///////////////////////////////////////////////////
// History, as it was on Mon Jul  2 23:59:04 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:5.64 -
p.makeTempoClock(1.2)

// - 0:0:10.18 -
c= p.clock

// - 0:1:57.2 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc, doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, 0, amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e));
}).store
);

// - 0:2:4.88 -
Synth(\fm)

// - 0:2:7.01 -
Synth(\fm)

// - 0:2:7.95 -
Synth(\fm)

// - 0:2:24.13 -
Pdef(\fm, Pbind(\instrument, \fm))

// - 0:2:29.76 -
Pdef(\fm, Pbind(\instrument, \fm)).play(c)

// - 0:3:7.56 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)))

// - 0:3:41.04 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf)))

// - 0:4:7.47 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf)))

// - 0:4:39.76 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf)))

// - 0:5:26.8 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

// - 0:5:53.86 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, 0, amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:6:53.26 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

// - 0:8:6.26 -
Pdef(\fm2).play(c)

// - 0:8:7.87 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([100, 100, 200], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:8:33.59 -
c.tempo_(c.tempo*1.1)

// - 0:8:50.36 -
c.tempo_(c.tempo*1.1)

// - 0:9:12.14 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([1000, 1000, 2000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:9:57.41 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, 0.01), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:10:4.57 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, 0.02), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:10:23.48 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:10:52.2 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:11:6.35 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.2, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:11:17.77 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:11:58.14 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

// - 0:12:15.59 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 1, 0.1], inf)))

// - 0:12:25.9 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:12:47.46 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:13:26.9 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:13:37.51 -
Pdef(\fm3).play(c)

// - 0:14:10.78 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, 0.25, \amp, 0.01, \f2, 1400))

// - 0:14:40.28 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, 0.01, \f2, 1400))

// - 0:15:9.92 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, 0.01, \f2, Pseq([2000, Pn(1400, 30), 1000], inf)))

// - 0:16:12.16 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pn(1400, 30), 1000], inf)))

// - 0:17:40.85 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)))

// - 0:19:1.17 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Prand([0.1, -0.1, 0.2, -0.2], inf)))

// - 0:19:25.46 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf)))

// - 0:19:50.7 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 204, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:20:3.41 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:20:15.88 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:20:25.84 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.25, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

// - 0:23:11.11 -
(
SynthDef(\hh, {|out= 0, pan= 0, cf= 4000, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(PinkNoise.ar(amp), cf, 0.2);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:23:16.83 -
Synth(\hh)

// - 0:23:19.67 -
Synth(\hh)

// - 0:23:27.91 -
Pdef(\hh).play(c)

// - 0:24:29.5 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([0, Pn(0.01, 7)], 8), \pan, 0.2))

// - 0:25:24.12 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pseries(0, 0.01, 8)], inf), \pan, 0.2))

// - 0:25:49.88 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 16), Pn(Pseries(0.1, -0.01, 8), 16)], inf), \pan, 0.2))

// - 0:26:13.11 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 2), Pn(Pseries(0.1, -0.01, 8), 2)], inf), \pan, 0.2))

// - 0:27:20.58 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 2), Pn(Pseries(0.1, -0.01, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

// - 0:28:4.9 -
(
SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:28:9.49 -
Synth(\sn)

// - 0:28:24.8 -
(
SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)*SinOsc.ar(1400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:28:25.47 -
Synth(\sn)

// - 0:28:35.22 -
(
SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)*SinOsc.ar(1400, 0, 10);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:28:37.85 -
Synth(\sn)

// - 0:29:2.31 -
(
SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)+SinOsc.ar(140, 0, e);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:29:4.58 -
Synth(\sn)

// - 0:29:6.97 -
Synth(\sn)

// - 0:29:17.34 -
Pdef(\sn).play(c)

// - 0:30:6.87 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.1, 0.05], inf)))

// - 0:30:15.74 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.05, 0.02], inf)))

// - 0:30:36.35 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.05, 0.02], inf), \pan, -0.2))

// - 0:32:13.48 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([Pseq([0.5, 1, 0.5], 15), Pn(0.25, 8)], inf), \amp, Pseq([Pseq([0, 0.05, 0.02], 15), Pseries(0, 0.01, 8)], inf), \pan, -0.2))

// - 0:33:10.1 -
(
SynthDef(\bd, {|out= 0, pan= 0, freq= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.01], Line.ar(2pi, 0, 0.04), e);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:33:15.7 -
Synth(\bd)

// - 0:33:20.5 -
Synth(\bd)

// - 0:33:30.55 -
Pdef(\bd).play(c)

// - 0:33:42.28 -
Pdef(\bd, Pbind(\instrument, \bd))

// - 0:33:48.66 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4))

// - 0:34:8.07 -
(
SynthDef(\bd, {|out= 0, pan= 0, freq= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.01], Line.ar(2pi, 0, 0.04), e*amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:34:22.07 -
Pdef(\bd).play(c, quant:4)

// - 0:34:28.46 -
Pdef(\sn).play(c, quant:4)

// - 0:34:32.89 -
Pdef(\hh).play(c, quant:4)

// - 0:34:46.53 -
Pdef(\bd).stop

// - 0:34:51.03 -
Pdef(\bd).play(c, quant:4)

// - 0:34:56.91 -
Pdef(\sn).stop

// - 0:35:0.83 -
Pdef(\sn).play(c, quant:4)

// - 0:35:7.68 -
Pdef(\hh).stop

// - 0:35:12.76 -
Pdef(\hh).play(c, quant:4)

// - 0:35:54.58 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4, \freq, Pseq([Pn(40, 14), 50, 60], inf)))

// - 0:36:31.47 -
(
SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.04), e*amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:36:36.91 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4, \f1, Pseq([Pn(40, 14), 50, 60], inf)))

// - 0:36:46.81 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4, \f1, Pseq([Pn(40, 14), 50, 60], inf)*2))

// - 0:37:16.82 -
(
SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+Impulse.ar(0);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:37:28.73 -
(
SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+LPF.ar(Impulse.ar(0), f1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:37:39.04 -
(
SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+LPF.ar(Impulse.ar(0), f1*2);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:38:1.41 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.25, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([2, 0.1, 2, 0.1], inf)))

// - 0:38:42.22 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([2, 0.1, 2, 0.1], inf)))

// - 0:39:3.09 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf), \f1, Pseq([30, 200, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([2, 0.1, 2, 0.1], inf)))

// - 0:39:42.92 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, 2))

// - 0:39:47.81 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, 0.2))

// - 0:40:21.29 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf)))

// - 0:40:56.45 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf)))

// - 0:41:28.85 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.02, 8), 2), Pn(Pseries(0.16, -0.02, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

// - 0:41:51.58 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

// - 0:42:16.3 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf)))

// - 0:42:41.65 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))

// - 0:42:49.74 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf)/2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))

// - 0:42:57.12 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))

// - 0:43:17.72 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))

// - 0:43:43.37 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:43:58.07 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:44:12.81 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:44:18.91 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:44:32.82 -
Pdef(\fm2).stop

// - 0:44:44.15 -
Pdef(\fm2).play(c, quant:4)

// - 0:45:15.7 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:45:48.42 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.9))

// - 0:45:55.16 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:46:1.94 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 500], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:46:18.08 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:47:29.74 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 200, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([2, 0.1, 2, 0.1], inf), \legato, 1.1))

// - 0:47:35.31 -
Pdef(\fm).stop

// - 0:47:42.73 -
Pdef(\fm).play(c, quant:4)

// - 0:47:59.86 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.1))

// - 0:48:17.94 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.1))

// - 0:48:33.51 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.5))

// - 0:48:41.48 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 3, 0.1], inf), \legato, 1.5))

// - 0:48:57.14 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

// - 0:49:44.87 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f2, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:50:14.16 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:50:25.98 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:50:32.31 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:50:43.71 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 0:51:54.26 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, Pseq([0.4, 01], inf), \f1, Pseq([Pn(40, 14), 50, 60], inf)*2, \dur, 0.5))

// - 0:52:31.44 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([Pseq([0.5, 1, 0.5], 15), Pn(0.125, 16)], inf), \amp, Pseq([Pseq([0, 0.05, 0.02], 15), Pseries(0, 0.01, 16)], inf), \pan, -0.2))

// - 0:52:51.91 -
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([Pseq([0.5, 1, 0.5], 15), Pn(0.125, 16)], inf), \amp, Pseq([Pseq([0, 0.05, 0.02], 15), Pseries(0, 0.01, 16)], inf), \pan, -0.2)).play(c, quant:4)

// - 0:53:1.04 -
Pdef(\bd, Pbind(\instrument, \bd, \amp, Pseq([0.4, 01], inf), \f1, Pseq([Pn(40, 14), 50, 60], inf)*2, \dur, 0.5)).play(c, quant:4)

// - 0:54:6 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*Prand([1, 1, 1, 1, 2], inf), \pan, 0.2))

// - 0:54:24.68 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*Pseq([1, 1, 1, 3], inf), \pan, 0.2))

// - 0:54:44.84 -
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*Pseq([1, 1, 1, 1, 1, 3], inf), \pan, 0.2)).play(c, quant:4)

// - 0:55:20.03 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf), \f2, Pseq([200, 404, 208, 40], inf)*2, \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

// - 0:55:32.32 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf)*2, \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

// - 0:56:45.15 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf)*Pseq([Pn(2, 64), Pn(1, 64), Pseq([Pn(0.5, 8), Pn(1, 8)], 4)], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

// - 0:57:8.88 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:57:25.32 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/4, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:58:1.14 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/Pseq([Pn(2, 64), Pn(4, 64), Pn(1, 32)], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 0:58:23.01 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf), \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:58:28.86 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf), \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:58:54.32 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [3000, 3400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:59:17.85 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 0:59:53.89 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 1:0:39.51 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 1:1:47.5 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1*0.75), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:57.98 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:23.84 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(2, 8)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 1:2:31.13 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:41.83 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:57.95 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.03, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:12.79 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.03, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:24.13 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.03, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:34.04 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:43.38 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:54.56 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0.4, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:15.91 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:40.12 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1)), f2*0.8, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:0.08 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:21.9 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(300), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:30 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(300, 0, 0.1), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:37.81 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:54.92 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1*0.5), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:6:6.76 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:6:16.94 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:6:33.58 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+BrownNoise.ar(0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:6:41.66 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+ClipNoise.ar(0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:6:52.52 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+ClipNoise.ar(0.3), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:7:2.43 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+PinkNoise.ar(0.3), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:7:12.25 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.4), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:7:23.44 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.4), f2*2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:7:50.67 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.4)), f2*2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:7:59.42 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.6)), f2*2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:8:18.31 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.6)), f2*2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:8:40.35 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(Line.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.7)), f2*2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:8:53.66 -
(
SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(Line.ar(pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.7)), f2*2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store
);

// - 1:9:24.44 -
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf)*2, \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

// - 1:9:46.41 -
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf)*2, \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/Pseq([Pn(2, 64), Pn(4, 64), Pn(1, 32)], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

// - 1:10:8.66 -
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf)*2, \f1, Pseq([30, 800, 200, 400], inf)*Pseq([Pn(2, 64), Pn(1, 64), Pseq([Pn(0.5, 8), Pn(1, 8)], 4)], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

// - 1:10:28.09 -
Pdef(\sn).stop

// - 1:10:33.53 -
Pdef(\bd).stop

// - 1:10:44.08 -
Pdef(\hh).stop

// - 1:11:1.55 -
Pdef(\fm3).stop

// - 1:11:12.1 -
Pdef(\fm2).stop

// - 1:11:20.39 -
Pdef(\fm).stop

// - 1:11:24.33 -
p.clear

// - 1:11:26.51 -
p.pop

