p= ProxySpace.push(s.boot)
p.makeTempoClock(1.2)
c= p.clock

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc, doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, 0, amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e));
}).store)
Synth(\fm)
Synth(\fm)
Synth(\fm)
Pdef(\fm, Pbind(\instrument, \fm))
Pdef(\fm, Pbind(\instrument, \fm)).play(c)
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf)))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf)))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf)))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, 0, amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

Pdef(\fm2).play(c)
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([100, 100, 200], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf)))

c.tempo_(c.tempo*1.1)
c.tempo_(c.tempo*1.1)
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([1000, 1000, 2000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf)))

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, 0.01), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, 0.02), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f1, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f2, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.2, \sus, Pseq([1, 0.9, 1.1], inf)))
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60], inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 1, 1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 2, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([1, 3, 1, 1], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 404, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm3).play(c)
Pdef(\fm3, Pbind(\instrument, \fm, \dur, 0.25, \amp, 0.01, \f2, 1400))
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, 0.01, \f2, 1400))
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, 0.01, \f2, Pseq([2000, Pn(1400, 30), 1000], inf)))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pn(1400, 30), 1000], inf)))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)))
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Prand([0.1, -0.1, 0.2, -0.2], inf)))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 204, 408, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([400, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.75, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.25, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([1, 0.1, 1, 0.1], inf)))

(SynthDef(\hh, {|out= 0, pan= 0, cf= 4000, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(PinkNoise.ar(amp), cf, 0.2);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\hh)
Synth(\hh)
Pdef(\hh).play(c)
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([0, Pn(0.01, 7)], 8), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pseries(0, 0.01, 8)], inf), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 16), Pn(Pseries(0.1, -0.01, 8), 16)], inf), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 16), Pn(Pseries(0.1, -0.01, 8), 16)], inf), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 2), Pn(Pseries(0.1, -0.01, 8), 2)], inf), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.01, 8), 2), Pn(Pseries(0.1, -0.01, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

(SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\sn)
(SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)*SinOsc.ar(1400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\sn)
(SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)*SinOsc.ar(1400, 0, 10);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\sn)
(SynthDef(\sn, {|out= 0, pan= 0, cf= 1400, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.1), doneAction:2);
	z= BPF.ar(WhiteNoise.ar(amp), cf, 0.7)+SinOsc.ar(140, 0, e);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\sn)
Synth(\sn)
Pdef(\sn).play(c)
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.1, 0.05], inf)))
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.05, 0.02], inf)))
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([0.5, 1, 0.5], inf), \amp, Pseq([0, 0.05, 0.02], inf), \pan, -0.2))
Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([Pseq([0.5, 1, 0.5], 15), Pn(0.25, 8)], inf), \amp, Pseq([Pseq([0, 0.05, 0.02], 15), Pseries(0, 0.01, 8)], inf), \pan, -0.2))

(SynthDef(\bd, {|out= 0, pan= 0, freq= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.01], Line.ar(2pi, 0, 0.04), e*amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Synth(\bd)
Synth(\bd)
Pdef(\bd).play(c)
Pdef(\bd, Pbind(\instrument, \bd))
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4))
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4))
Pdef(\bd).stop
Pdef(\bd).play(c, quant:4)
Pdef(\sn).stop
Pdef(\sn).play(c, quant:4)
Pdef(\hh).stop
Pdef(\hh).play(c, quant:4)

Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4, \freq, Pseq([Pn(40, 14), 50, 60], inf)))
(SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.04), e*amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Pdef(\bd, Pbind(\instrument, \bd, \amp, 0.4, \f1, Pseq([Pn(40, 14), 50, 60], inf)*2))
(SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+Impulse.ar(0);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+LPF.ar(Impulse.ar(0), f1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\bd, {|out= 0, pan= 0, f1= 40, amp= 0.1|
	var e, z;
	e= EnvGen.ar(Env.perc(0, 0.12), doneAction:2);
	z= SinOsc.ar(f1*#[1, 1.01], Line.ar(2pi, 0, 0.06), e*amp)+LPF.ar(Impulse.ar(0), f1*2);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf)*Pseq([Pn(1, 32), Pseq([0.25, 0.5], 32)], inf)*0.75, \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([2, 0.1, 2, 0.1], inf)))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf), \f1, Pseq([30, 300, 300, 300], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, Pseq([0.1, 0.2, 0.3, 0.4], inf), \sus, Pseq([2, 0.1, 2, 0.1], inf)))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 16), Pseq([1, 3, 1, 2, 1], 16)], inf), \f1, Pseq([30, 200, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([2, 0.1, 2, 0.1], inf)))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, 2))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, 0.2))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.1, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf)))
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf)))

Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.02, 8), 2), Pn(Pseries(0.16, -0.02, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf), \pan, 0.2))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf)))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf), \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf)/2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([2000, 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf)))
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], 2000, 4000], inf)*2, \f2, Pseq([80, 80, 80, 60]*2, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.3, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.1], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))
Pdef(\fm2).stop
Pdef(\fm2).play(c, quant:4)
Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf)*2, \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.9))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 500], 1400], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/2, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 200, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([2, 0.1, 2, 0.1], inf), \legato, 1.1))
Pdef(\fm).stop
Pdef(\fm).play(c, quant:4)
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 204, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.1))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.1))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 2, 0.1], inf), \legato, 1.5))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 400, 200, 200], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([3, 0.1, 3, 0.1], inf), \legato, 1.5))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(f2, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f1, f2), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), amp*f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

Pdef(\bd, Pbind(\instrument, \bd, \amp, Pseq([0.4, 01], inf), \f1, Pseq([Pn(40, 14), 50, 60], inf)*2, \dur, 0.5))

Pdef(\sn, Pbind(\instrument, \sn, \dur, Pseq([Pseq([0.5, 1, 0.5], 15), Pn(0.125, 16)], inf), \amp, Pseq([Pseq([0, 0.05, 0.02], 15), Pseries(0, 0.01, 16)], inf), \pan, -0.2)).play(c, quant:4)
Pdef(\bd, Pbind(\instrument, \bd, \amp, Pseq([0.4, 01], inf), \f1, Pseq([Pn(40, 14), 50, 60], inf)*2, \dur, 0.5)).play(c, quant:4)
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*Prand([1, 1, 1, 1, 2], inf), \pan, 0.2))
Pdef(\hh, Pbind(\instrument, \hh, \dur, 0.125, \amp, Pseq([Pn(Pseries(0, 0.04, 8), 2), Pn(Pseries(0.32, -0.04, 8), 2)], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*Pseq([1, 1, 1, 1, 1, 3], inf), \pan, 0.2)).play(c, quant:4)

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf), \f2, Pseq([200, 404, 208, 40], inf)*2, \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf)*2, \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf), \f1, Pseq([30, 800, 200, 400], inf)*Pseq([Pn(2, 64), Pn(1, 64), Pseq([Pn(0.5, 8), Pn(1, 8)], 4)], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/4, \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf), \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/Pseq([Pn(2, 64), Pn(4, 64), Pn(1, 32)], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf), \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.1, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [4000, 4400]], inf), \f2, Pseq([80, 80, 80, 60]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [3000, 3400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([4, 4, 8], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 80, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1*0.75), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(2, 8)], inf), \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.03)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.001, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, Line.ar(pi, 0, Rand(0.03, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.03, 0.05)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.03, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.01, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0.4, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(pi, 0.001, Rand(0.095, 0.1)), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1)), f2*0.8, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1)), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(300), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(300, 0, 0.1), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1*0.5), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.005, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+SinOsc.ar(1300, 0, 0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+BrownNoise.ar(0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+ClipNoise.ar(0.1), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+ClipNoise.ar(0.3), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+PinkNoise.ar(0.3), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.4), f2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(XLine.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.4)), f2*2, f1*0.8), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(Line.ar(2pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.7)), f2*2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\fm, {|f1= 300, f2= 400, amp= 0.1, sus= 1, pan= 0|
	var e, z;
	e= EnvGen.ar(Env.perc(0.001, sus), doneAction:2);
	z= SinOsc.ar(SinOsc.ar(0, BPF.ar(Line.ar(pi, 0.001, Rand(0.095, 0.1))+WhiteNoise.ar(0.7)), f2*2, f1), 0, amp);
	Out.ar(0, Pan2.ar(z*e, pan));
}).store)

Pdef(\fm2, Pbind(\instrument, \fm, \dur, Pseq([Pseq([4, 4, 8], 7), Pn(0.5, 32)], inf)*2, \f1, Pseq([[2000, 2400], [2000, 2800], [1000, 1400]], inf), \f2, Pseq([80, 180, 80, 160]*10, inf), \amp, 0.01, \sus, Pseq([1, 0.9, 1.5], inf), \sus, Pseq([0.75, 1, 1, 1, 1], inf), \strum, 0.8))
Pdef(\fm3, Pbind(\instrument, \fm, \dur, Pseq([0.5, Pn(0.25, 30), 0.5], inf)*2, \amp, Pseq([0.01, Pseq([0.05, 0, 0, 0.01, 0.01, 0.01], 5), 0.01], inf), \f2, Pseq([2000, Pseq([[1400, 1000, 800], [1400, 400]], 15), 1000, 1000], inf)/Pseq([Pn(2, 64), Pn(4, 64), Pn(1, 32)], inf), \pan, Pseq([0.1, -0.1, 0.2, -0.2, 0.3, -0.3], inf), \sus, Pseq([Pn(0.5, 7), 1, 0.5, 0.5], inf), \strum, 0.95))
Pdef(\fm, Pbind(\instrument, \fm, \dur, Pseq([Pseq([1, 3, 1, 1], 8), Pseq([1, 3, 1, 2, 1], 8)], inf)*2, \f1, Pseq([30, 800, 200, 400], inf)*Pseq([Pn(2, 64), Pn(1, 64), Pseq([Pn(0.5, 8), Pn(1, 8)], 4)], inf), \f2, Pseq([200, 404, 208, 40], inf), \amp, 0.1, \sus, Pseq([4, 0.1, 4, 0.1], inf), \legato, 1.5))
Pdef(\sn).stop
Pdef(\bd).stop
Pdef(\hh).stop
Pdef(\fm3).stop
Pdef(\fm2).stop
Pdef(\fm).stop
p.clear
p.pop