p= ProxySpace.push(s.boot)
p.makeTempoClock(2.3)
c= p.clock

~fm.ar(2)
~fm.play
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2, 0, 100, f1), 0, EnvGen.ar(Env.perc, t_trig, amp))}
Tdef(\fm).play(c, quant:4)
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, i%10*10+30);
		1.wait;
	}
}))
Tdef(\disrupt).play(c, quant:4)
(Tdef(\disrupt, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, i%10*10+30+100);
		3.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, i%10*10+30+200);
			0.25.wait;
			~fm.set(\t_trig, 1, \f1, i%10*10+30+300);
			3.wait;
		}, {
			~fm.set(\t_trig, 1, \f1, i%10*10+30+100);
			3.25.wait;
		});
	}
}))


~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), 0, EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), EnvGen.ar(Env.perc(0.001, 0.002), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), EnvGen.ar(Env.perc(0.001, 0.02), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), EnvGen.ar(Env.perc(0.005, 0.02), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), EnvGen.ar(Env.perc(0.005, 0.05), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, 100, f1), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, EnvGen.ar(Env.perc, t_trig, 200), f1), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, i%10*10+30+200);
			0.25.wait;
			~fm.set(\t_trig, 1, \f1, i%10*10+30+300);
			3.wait;
		}, {
			if(i%6==2, {
				~fm.set(\t_trig, 1, \f1, i%10*10+30+400, \f2, [300, 500].wrapAt(i));
				1.25.wait;
				~fm.set(\t_trig, 1, \f1, i%10*10+30+400);
				1.25.wait;
			}, {
				~fm.set(\t_trig, 1, \f1, i%10*10+30+100);
				3.25.wait;
			});
		});
	}
}))

~hh.ar(2)
~hh.play
~hh= {Pan2.ar(DC.ar(0), LFNoise2.kr(1, 0.8))}
~hh= {Pan2.ar(BPF.ar(DC.ar(0), LFNoise2.kr(1, 1000, 5000)), LFNoise2.kr(1, 0.8))}
~hh= {|t_trig= 1, amp= 0.1| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), LFNoise2.kr(1, 1000, 5000)), LFNoise2.kr(1, 0.8), amp)}

~hh.set(\t_trig, 1)
Tdef(\hh).play(c, quant:4)
(Tdef(\hh, {
	inf.do{|i|
		if(i%4==3, {
			~hh.set(\t_trig, 1);
			0.25.wait;
			~hh.set(\t_trig, 1);
			0.75.wait;
		}, {
			~hh.set(\t_trig, 1);
			0.5.wait;
		});
	}
}))

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], 0, EnvGen.ar(Env.sine, t_trig, 20), f1), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.sine, t_trig, 20), f1), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 20), f1), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~sn.ar(2)
~sn.play
~sn= {|t_trig= 1, amp= 0.1| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), LFNoise2.kr(1, 1000, 5000)), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.1| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), EnvGen.ar(Env.perc, t_trig, 100, 500)), LFNoise2.kr(1, 0.8), amp)}
~sn.set(\t_trig, 1)
~sn.set(\t_trig, 1)
Tdef(\sn).play(c, quant:4)
(Tdef(\sn, {
	inf.do{|i|
		if(i%2==1, {
			~sn.set(\t_trig, 1);

		});
		1.wait;
	}
}))
~sn= {|t_trig= 1, amp= 0.3| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), EnvGen.ar(Env.perc, t_trig, 100, 500)), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.3| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), EnvGen.ar(Env.perc, t_trig, 100, 500), 0.6), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), EnvGen.ar(Env.perc, t_trig, 100, 500), 1.6), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.08), t_trig)), EnvGen.ar(Env.perc, t_trig, 100, 500), 1.6), LFNoise2.kr(1, 0.8), amp)}
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, i%10*100+30);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, i%10*10+30);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, i%8*50+30);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i%8+50).midicps+30);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i.div(16)%4*6)%8+40).midicps+30);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i.div(16)%4*12)%8+30).midicps);
		1.wait;
	}
}))

(Tdef(\sn, {
	inf.do{|i|
		if(i%8==(i%5), {
			4.do{|j|
				~sn.set(\t_trig, 1, \amp, j/4*0.5+0.3);
				0.25.wait;
			}
		}, {
			if(i%2==1, {
				~sn.set(\t_trig, 1, \amp, 0.6);
			});
		});
		1.wait;
	}
}))

(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i.div(2)%4*12)%8+30).midicps);
		1.wait;
	}
}))

(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i.div(2)%8*12)%8+30).midicps);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i%8*12)%8+30).midicps);
		1.wait;
	}
}))
(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i%8*12)%8+30).midicps, \f2, [300, 400, 500].foldAt(i));
		1.wait;
	}
}))

(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*(i%8*12)%8+30).midicps, \f2, [300, 400, 500].foldAt(i));
		1.wait;
	}
}))

~del.ar(2)
~del.play
~del= {CombC.ar(~fm.ar, 1, LFNoise2.kr(0.1, 0.4, 0.5), LFNoise2.kr(0.1, 0.5, 0.5))}
~del2.ar(2)
~del2.play
~del2= {CombC.ar(~sn.ar, 1, LFNoise2.kr(0.1, 0.4, 0.5), LFNoise2.kr(0.1, 0.5, 0.5))}
~del2= {CombC.ar(~sn.ar, 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del= {CombC.ar(~fm.ar, 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del= {CombC.ar(HPF.ar(~fm.ar), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del2= {CombC.ar(HPF.ar(~sn.ar), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}

(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*2%8+30).midicps, \f2, [300, 400, 500, 100].foldAt(i));
		1.wait;
	}
}))

(Tdef(\fm, {
	inf.do{|i|
		~fm.set(\t_trig, 1, \f1, (i*2%8+34).midicps, \f2, [300, 400, 500, 100].foldAt(i));
		1.wait;
	}
}))
~hh= {|freq= 5000, t_trig= 1, amp= 0.1| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), LFNoise2.kr(1, 1000, freq)), LFNoise2.kr(1, 0.8), amp)}

(Tdef(\hh, {
	inf.do{|i|
		if(i%4==3, {
			~hh.set(\t_trig, 1, \freq, [1, 2, 4, 6].wrapAt(i)*1000);
			0.25.wait;
			~hh.set(\t_trig, 1);
			0.75.wait;
		}, {
			~hh.set(\t_trig, 1);
			0.5.wait;
		});
	}
}))
~hh= {|freq= 5000, t_trig= 1, amp= 0.1| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig)), Lag.kr(freq, 0.5), 0.4), LFNoise2.kr(1, 0.8), amp)}
~hh= {|freq= 5000, t_trig= 1, amp= 0.1| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig))*SinOsc.ar(freq), Lag.kr(freq, 0.5), 0.4), LFNoise2.kr(1, 0.8), amp*2)}
~hh= {|freq= 5000, t_trig= 1, amp= 0.1| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig))*SinOsc.ar(Lag.kr(freq, 1.5)), Lag.kr(freq, 0.5), 0.4), LFNoise2.kr(1, 0.8), amp*2)}

(Tdef(\hh, {
	inf.do{|i|
		if(i%4==3, {
			~hh.set(\t_trig, 1);
			0.25.wait;
			~hh.set(\t_trig, 1);
			0.75.wait;
		}, {
			~hh.set(\t_trig, 1);
			0.5.wait;
		});
		~hh.set(\freq, [1, 2, 4, 6].wrapAt(i)*1000);
	}
}))

(Tdef(\hh, {
	inf.do{|i|
		if(i%4==3, {
			~hh.set(\t_trig, 1);
			0.25.wait;
			~hh.set(\t_trig, 1);
			0.75.wait;
		}, {
			~hh.set(\t_trig, 1);
			0.5.wait;
		});
		~hh.set(\freq, [1, 2, 4, 6, 8, 4, 6, 8, 4, 6, 8, 8, 8].wrapAt(i)*1000);
	}
}))
~del2= {CombC.ar(HPF.ar(~sn.ar+~hh.ar), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del2= {CombC.ar(HPF.ar(~sn.ar+~hh.ar, 700), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, i%10*10+30+200);
			0.25.wait;

		});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [1000, 2000].choose);
			0.25.wait;
		});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3);
			0.25.wait;
		});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, [10, 20].choose);
			0.25.wait;
		});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, 100);
			0.25.wait;
		});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, 100);
			0.25.wait;
		}, {0.25.wait;});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6==3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, 100);
			0.25.wait;
		}, {0.125.wait;});
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%2==0, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, 100);
			0.25.wait;
		}, {0.125.wait;});
	}
}))
(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].choose, \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))
(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].foldAt(i), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].foldAt(i)+50, \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))
(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].foldAt(i), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].foldAt(i)+(i.div(16)%2*25), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))
(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200, 300, 400, 300, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, 100);
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200, 300, 400, 300, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200].wchoose([0.9, 0.1]));
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200, 300, 400, 300, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 10, 400].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200, 300, 400, 300, 200].foldAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 10, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 200, 300, 400, 300, 200].wrapAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 10, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 700, 300, 400, 300, 200].wrapAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 10, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 20), Lag.kr(f1, 0.1)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 50), Lag.kr(f1, 0.05)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.6)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.06)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.01], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.06)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~dist.ar(2)
~dist.play
~dist= {(~fm.ar*(SinOsc.kr(1/c.tempo)>0.9)*10).softclip}
~dist= {(~fm.ar*(SinOsc.kr(1/c.tempo)>0.9)*10).softclip*0.2}
~dist= {(~fm.ar*(SinOsc.kr(1/c.tempo)>0.9)*10).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/3, 1/c.tempo/3)*(SinOsc.kr(1/c.tempo)>0.9)*10).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(1/c.tempo)>0.9)*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(1/c.tempo)>LFNoise0.kr(0.1, 0.1, 0.9))*14).softclip*0.2}
~dist= {(CombN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2, 0.3)*(SinOsc.kr(1/c.tempo)>LFNoise0.kr(0.1, 0.1, 0.9))*14).softclip*0.2}
~dist= {(CombN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2, 1)*(SinOsc.kr(1/c.tempo)>LFNoise0.kr(0.1, 0.1, 0.9))*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(1/c.tempo)>0.8)*14).softclip*0.2}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.1), t_trig)), EnvGen.ar(Env.perc, t_trig, 200, 500), 1.6), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.1), t_trig)), EnvGen.ar(Env.perc, t_trig, 200, 600), 2), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0.01, 0.1), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 0.1), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp)}

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 700, 300, 800, 300, 200].wrapAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 10, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

~del= {CombC.ar(HPF.ar(~fm.ar+(~dist.ar*0.1)), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 700, 300, 800, 300, 200].wrapAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 1000, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

(Tdef(\disrupt, {
	inf.do{|i|
		if(i%6!=3, {
			~fm.set(\t_trig, 1, \f1, [100, 200, 300, 600, 300, 900, 50, 200].wrapAt(i)+(i.div(32)%2* -50), \amp, 0.3, \f2, [100, 200, 1000, 800].wchoose([0.9, 0.05, 0.025, 0.025]));
		});
		0.25.wait;
	}
}))

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(SinOsc.ar(f2*[1, 1.02], EnvGen.ar(Env.perc(0.001, 0.01), t_trig, pi), EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(BPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1))), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1))), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| LPF.ar(LFSaw.ar(LPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1))), 0, EnvGen.ar(Env.perc, t_trig, amp)))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.sine, t_trig, 10), Lag.kr(f1, 0.1))), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 10), Lag.kr(f1, 0.1))), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LPF.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.perc(0.8, 0.08), t_trig, 10), Lag.kr(f1, 0.1))), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}

~fm= {|t_trig= 1, f1= 30, f2= 300, amp= 0.2| SinOsc.ar(LFSaw.ar(f2*[1, 1.02], 0, EnvGen.ar(Env.perc(0.8, 0.08), t_trig, 10), Lag.kr(f1, 0.1)), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), EnvGen.ar(Env.perc, t_trig, amp))}
~del.release(20)

(Tdef(\hh, {
	inf.do{|i|
		if(i%4==3, {
			~hh.set(\t_trig, 1);
			0.25.wait;
			~hh.set(\t_trig, 1);
			0.75.wait;
		}, {
			~hh.set(\t_trig, 1);
			0.25.wait;
			~hh.set(\freq, [1, 2, 4, 6, 8, 4, 6, 8, 4, 6, 8, 8, 8].wrapAt(i)*500);
		});
	}
}))
~del2.release(20)
~fm.play
~del2= {CombC.ar(HPF.ar(~sn.ar+~hh.ar, 700), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del= {CombC.ar(HPF.ar(~fm.ar+(~dist.ar*0.1)), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del= {CombC.ar(BPF.ar(~fm.ar+(~dist.ar*0.1), 1000, 0.2), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del= {CombC.ar(RLPF.ar(~fm.ar+(~dist.ar*0.1), 1000, 0.2), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}
~del2= {CombC.ar(HPF.ar(~sn.ar+~hh.ar+~del.ar, 700), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))}

~del= {CombC.ar(RLPF.ar(~fm.ar+(~dist.ar*0.1), 1000, 0.2), 1, LFNoise2.kr(0.1, 0.4, 0.5).round(1/c.tempo/2), LFNoise2.kr(0.1, 0.5, 0.5))*0.4}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(1/c.tempo)>0.9)*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(1/c.tempo)>0.95)*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(2/c.tempo)>0.95)*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(2/c.tempo, pi/2)>0.95)*14).softclip*0.2}
~dist= {(DelayN.ar(~fm.ar+~sn.ar, 1/c.tempo/2, 1/c.tempo/2)*(SinOsc.kr(2/c.tempo, pi/2)>0.95)*14).softclip*0.2}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RLPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 0.6), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 0.6), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 0.6), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp*0.4)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 0.6), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(ClipNoise.ar(EnvGen.ar(Env.perc(0.01, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.01, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 2.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 1.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 0.5), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.perc, t_trig, 500, 600), 0.25), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.sine(0.2), t_trig, 500, 600), 0.25), LFNoise2.kr(1, 0.8), amp*0.14)}
~sn= {|t_trig= 1, amp= 0.5| Pan2.ar(RHPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 2), t_trig)), EnvGen.ar(Env.sine(0.2), t_trig, 500, 600), 0.25), LFNoise2.kr(1, 0.8), amp*0.14)}
~hh.release(20)
~del2.release(20)
~dist.release(20)
Tdef(\disrupt).pause
Tdef(\disrupt).resume
~del.release(20)
Tdef(\disrupt).pause
Tdef(\disrupt).resume
Tdef(\disrupt).pause
Tdef(\disrupt).resume
Tdef(\sn).stop
~fm.release
~sn.release
p.clear
p.pop
