///////////////////////////////////////////////////
// History, as it was on Wed Jul 18 00:03:45 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:6.78 -
p.makeTempoClock(1.8)

// - 0:0:10.01 -
c= p.clock

// - 0:0:14.6 -
~out.play

// - 0:1:5.72 -
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(0.1, 0.4)>0.4*0.2), SinOsc.kr(0.1))}

// - 0:1:26.29 -
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal))}

// - 0:1:38.49 -
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:2:0.21 -
~out= {|freq= 400| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:2:7.94 -
~out.set(\freq, 100)

// - 0:2:11.72 -
~out.set(\freq, 400)

// - 0:2:15.35 -
~out.set(\freq, 100)

// - 0:2:26.8 -
Tdef(\freq).play(c, quant:1)

// - 0:2:42.11 -
~out.set(\freq, 400)

// - 0:2:43.51 -
~out.set(\freq, 100)

// - 0:3:0.02 -
(
Tdef(\freq, {
	inf.do{|i|
		~out.set(\freq, [100, 100, 100, 400].wrapAt(i));
		1.wait;
	}
})
);

// - 0:3:33.34 -
(
Tdef(\freq, {
	var f= Pseq([100, 100, 100, 400], inf).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		1.wait;
	}
})
);

// - 0:4:15.62 -
(
Tdef(\freq, {
	var f= (Pseq([100, 100, 100, 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		1.wait;
	}
})
);

// - 0:4:44.25 -
~out= {|freq= 400, thresh= 0.2| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*thresh), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:4:55.22 -
~out.set(\thresh, 0.6)

// - 0:5:10.74 -
~out= {|freq= 400, thresh= 0.4| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>thresh*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:5:15.01 -
~out.set(\thresh, 0.3)

// - 0:5:37.21 -
Tdef(\dis).play(c, quant:1)

// - 0:6:18.72 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 90].wrapAt(i));
		[0.2, 2.8].foldAt(i).wait;
	}
})
);

// - 0:6:38.88 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 100].wrapAt(i));
		[0.2, 2.8].foldAt(i).wait;
	}
})
);

// - 0:7:20.4 -
~out= {|freq= 400, thresh= 0.4| var e= LFSaw.kr(c.tempo.reciprocal, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, 2pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:7:28.59 -
~out.set(\thresh, 0.5)

// - 0:7:54.46 -
(
Tdef(\freq, {
	var f= (Pseq([Pn(100, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		0.5.wait;
	}
})
);

// - 0:8:26.49 -
(
Tdef(\freq, {
	var f= (Pseq([Pn(100, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.2, 0.9].wrapAt(i));
		0.5.wait;
	}
})
);

// - 0:8:36.59 -
~hh.ar(2)

// - 0:8:40.01 -
~hh.play

// - 0:9:46.25 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(ClipNoise.ar(e*0.1), SinOsc.kr(1/c.tempo*3))}

// - 0:10:1.83 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq), SinOsc.kr(1/c.tempo*3))}

// - 0:10:17.18 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*100)), SinOsc.kr(1/c.tempo*3))}

// - 0:10:27.1 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*1000)), SinOsc.kr(1/c.tempo*3))}

// - 0:10:36.69 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:11:14.74 -
(
Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.2, 0.9].wrapAt(i));
		0.25.wait;
	}
})
);

// - 0:11:32.31 -
(
Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.4, 0.6].wrapAt(i));
		0.25.wait;
	}
})
);

// - 0:11:53.95 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 100].wrapAt(i));
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
})
);

// - 0:12:7.13 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i));
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
})
);

// - 0:12:33.8 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LFSaw.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, 2pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:12:48.64 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i), \factor, 2);
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
})
);

// - 0:12:59.99 -
(
Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.4, 0.6].wrapAt(i), \factor, 4);
		0.25.wait;
	}
})
);

// - 0:13:24.52 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:13:53.42 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:6.95 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:20.19 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor+SinOsc.ar(400), 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:28.75 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor+SinOsc.ar(400, 0, e*10), 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:44.73 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]++SinOsc.ar(400, 0, e*10), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:47.77 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*10), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:14:53.48 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*20), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:15:23.02 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:15:46.9 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:15:53.75 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, 0.01); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:15:58.55 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:16:54.39 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:17:2.31 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*4, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:17:10.02 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:17:47.95 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10%1.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:17:56 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10%5.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:0.03 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh%5.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:3.69 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh%1.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:16.66 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%1.0>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:22.12 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.5>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:26.43 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:41.03 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:18:51.05 -
//uhu, awful

// - 0:19:27.22 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1)*LFSaw.ar, freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:19:57.54 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(LFNoise1.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:20:33.57 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(LFNoise1.kr(c.tempo.reciprocal*factor, 1).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:20:45.69 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(BrownNoise.kr(c.tempo.reciprocal*factor, 1).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:21:2.39 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(~hh.ar.abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:21:9.06 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar.abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:21:17.23 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar.abs>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:21:29.33 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= ~hh.ar.abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:21:53.14 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar, freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:22:14.69 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LPF.ar(~hh.ar).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:22:19.79 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LPF.ar(~hh.ar*2).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:22:24.61 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LPF.ar(~hh.ar*10).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:22:36.45 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*10).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:22:48.49 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*50).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:22:59.48 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:23:31.83 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:23:44.2 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:23:54.59 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:23:59.33 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:24:14.55 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), EnvGen.ar(Env.perc(0.01, 0.1), factor>2, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:24:29.2 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:24:41.98 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:24:48.16 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:24:55.22 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:25:2.16 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:25:6.54 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*3, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:25:42 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*3, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:25:58.8 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:26:10.1 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.2; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:26:13.96 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:26:21.44 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:26:35.83 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:26:45 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:27:27.94 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, 0.2+EnvGen.kr(Env.sine(1), e)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:27:42.43 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:28:9.53 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), e, 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:28:34.68 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:28:44.69 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:29:0.18 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*0.5, 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:29:52.43 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*(SinOsc.ar(c.tempo.reciprocal/8).abs.round(0.8)+0.5), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:30:38.01 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*(SinOsc.ar(c.tempo.reciprocal/8).abs.round(0.8)), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:30:54.27 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*Lag.kr(SinOsc.ar(c.tempo.reciprocal/8).abs.round(0.8), 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:31:25.27 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*Lag.kr(SinOsc.ar(c.tempo.reciprocal/8).abs.round(0.5), 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:31:32.85 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs.round(0.5), 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:32:12.34 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:32:34.25 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([200, 204]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:32:41.9 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([100, 104]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:32:53.46 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([100, 104]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:33:5.84 -
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([200, 204]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:33:42.81 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 100, 400)), freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:34:29.21 -
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:35:8.34 -
(
Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\factor, [4, 3].choose);
		8.wait;
	}
})
);

// - 0:35:27.52 -
(
Tdef(\freq, {
	inf.do{|i|
		~out.set(\factor, [4, 3, 2].wrapAt(i));
		8.wait;
	}
})
);

// - 0:36:25.64 -
(
Tdef(\freq, {
	inf.do{|i|
		~out.set(\factor, [4, 3, 2].wrapAt(i), \freq, 200);
		8.wait;
	}
})
);

// - 0:36:38.59 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:36:39.62 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i), \factor, 2);
		[4.25, 4.75, 1].wrapAt(i).wait;
	}
})
);

// - 0:37:3.33 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [100, 400].wrapAt(i), \factor, 2);
		[8.25, 8.75, 1].wrapAt(i).wait;
	}
})
);

// - 0:37:19.78 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [100, 400].wrapAt(i), \factor, 2);
		[8.25, 8.75].foldAt(i).wait;
	}
})
);

// - 0:38:4.06 -
(
Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [100, 400].wrapAt(i), \factor, 2);
		[15.25, 16.75].foldAt(i).wait;
	}
})
);

// - 0:38:28.64 -
~ring.ar(2)

// - 0:39:5.7 -
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2, 0.1)}

// - 0:39:12.5 -
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2, 0.4)}

// - 0:39:26.27 -
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2)}

// - 0:39:29.79 -
~ring= {Ringz.ar(~hh.ar, 2000, 0.4, 0.2)}

// - 0:39:33.37 -
~ring= {Ringz.ar(~hh.ar, 2000, 0.6, 0.2)}

// - 0:39:53.25 -
~ring= {Ringz.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.6, 0.2)}

// - 0:40:1 -
~ring.play

// - 0:40:3.7 -
~ring= {Ringz.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.6, 0.1)}

// - 0:40:8.39 -
~ring= {Ringz.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.6, 0.05)}

// - 0:40:26.24 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.1, 0.2, 0.05)}

// - 0:40:37.16 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.1, 0.2, 0.1)}

// - 0:40:42.31 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.01, 0.2, 0.1)}

// - 0:41:17.85 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50), 0.01, 0.2, 0.1)}

// - 0:41:27.57 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50)*10, 0.01, 0.2, 0.1)}

// - 0:41:34.18 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50)*4, 0.01, 0.2, 0.1)}

// - 0:41:42.97 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)[1]).max(50)*4, 0.01, 0.2, 0.1)}

// - 0:42:19.34 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)[0]).max(50)*4, 0.01, 0.2, 0.1)}

// - 0:42:45.63 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*4, 0.01, 0.2, 0.1)}

// - 0:42:53.29 -
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*8, 0.01, 0.2, 0.1)}

// - 0:43:18.38 -
~ring= {CombN.ar(Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1), 1/c.tempo, 1/c.tempo, 2)}

// - 0:43:48.44 -
~ring= {var z= Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 0:44:17.38 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo, 1/c.tempo, 2), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 0:44:26.71 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 2), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 0:44:41.16 -
~hh.stop

// - 0:45:2.05 -
//sigh, really bad tonight

// - 0:45:34.87 -
~del= {CombN.ar(~out.ar, 1/c.tempo, 1/c.tempo)}

// - 0:45:37.43 -
~del.play

// - 0:45:44.88 -
~out.stop

// - 0:46:4.52 -
~del= {CombN.ar(~out.ar, 1/c.tempo, 1/c.tempo, 3)}

// - 0:46:56.47 -
Tdef(\hh).play(c, quant:1)

// - 0:47:28.83 -
(
Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1);
		0.5.wait;
	}
})
);

// - 0:47:35.99 -
~hh= {|freq= 4000, t_trig= 0| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3))}

// - 0:47:43.26 -
(
Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1);
		1.wait;
	}
})
);

// - 0:48:19.42 -
(
Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1, \amp, [1, 1, 1, 0.55, 0.25].foldAt(i));
		[1, 1, 1, 0.55, 0.25].foldAt(i).wait;
	}
})
);

// - 0:48:32.1 -
(
Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1, \amp, [1, 1, 1, 0.75, 0.25].foldAt(i));
		[1, 1, 1, 0.75, 0.25].foldAt(i).wait;
	}
})
);

// - 0:48:45.33 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:48:59.32 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(GrayNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:49:6.37 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:49:24.22 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:49:48.5 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:50:4.85 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:50:14.85 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:50:32.97 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:50:57.31 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400).round(100)), freq+(e*LFNoise2.kr(0.2, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:51:12.92 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:51:36.69 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:51:39.25 -
~hh.play

// - 0:51:45.06 -
~hh.stop

// - 0:52:37.18 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}

// - 0:52:57.09 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.3)}

// - 0:53:1.06 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.6)}

// - 0:53:4.01 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.3)}

// - 0:53:10.75 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.4)}

// - 0:53:41.92 -
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100), 0, e*0.2+0.4), freq+(e*SinOsc.kr(0.21, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.4)}

// - 0:54:34.33 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 2), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 0:55:28.28 -
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, 0.01), 1/c.tempo, 1/c.tempo, 3)}

// - 0:55:41.24 -
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, 0.05), 1/c.tempo, 1/c.tempo, 3)}

// - 0:56:15.65 -
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, SinOsc.kr(0.2, 0, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}

// - 0:56:36.44 -
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, SinOsc.kr(0.2, pi, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}

// - 0:57:19.3 -
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404]*SinOsc.kr(0.2, pi, 0.05, 1), 0, SinOsc.kr(0.2, pi, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}

// - 0:57:43.98 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:58:11.74 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.1), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:58:50.2 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(60*factor)), EnvGen.kr(Env.sine(0.1), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:58:58.25 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.1), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:59:12.05 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 0:59:51.63 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 1:0:29.71 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 1:0:54.04 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(50*factor).round(100)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 1:1:28.26 -
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(50*factor).round(100)), EnvGen.kr(Env.sine(1.2), DelayN.kr(e, c.tempo.reciprocal*2, c.tempo.reciprocal*2), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

// - 1:2:0.41 -
~hh.release

// - 1:2:29.2 -
~hh= {Impulse.ar([1, 0.8])}

// - 1:2:41.79 -
~hh= {Impulse.ar([1, 0.75])}

// - 1:3:1.14 -
~hh= {Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75])}

// - 1:3:21.24 -
~hh.play

// - 1:3:45.84 -
~hh= {Ringz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))}

// - 1:3:50.06 -
~hh.stop

// - 1:3:56.74 -
~hh= {Ringz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.1}

// - 1:4:13.04 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.1}

// - 1:4:19.01 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.6}

// - 1:4:21.97 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))}

// - 1:4:35.89 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 100)}

// - 1:4:44.77 -
~del.release

// - 1:4:52.6 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200)}

// - 1:4:57.91 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200)*1.5}

// - 1:5:2.02 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200)*2}

// - 1:5:9.68 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2}

// - 1:5:21.61 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar}

// - 1:5:32.54 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(500)}

// - 1:5:39.87 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(500, 0, 2)}

// - 1:5:49.7 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(50, 0, 2)}

// - 1:6:8.3 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal]), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}

// - 1:6:44.77 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/3, 1/c.tempo/3, 2), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 1:7:0.94 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 1:7:9.76 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.2); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 1:7:18.06 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}

// - 1:7:40.4 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}

// - 1:8:25.22 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo, 0, 50, 500))}

// - 1:8:36.54 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo, 0, 100, 500).round)}

// - 1:8:47.81 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 200, 500).round)}

// - 1:9:3.5 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round)}

// - 1:9:11.99 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.1).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}

// - 1:9:42.67 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round+Pitch.kr(~ring.ar))}

// - 1:9:55.17 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round+Pitch.kr(~hh.ar))}

// - 1:10:21.81 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 50, 100).round(50)+Pitch.kr(~hh.ar))}

// - 1:10:56.39 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/7, 0, 25, 50).round(25)+(Pitch.kr(~hh.ar)*2))}

// - 1:11:0.85 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/7, 0, 25, 50).round(25)+(Pitch.kr(~hh.ar)/2))}

// - 1:11:36.42 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Pitch.kr(~out.ar).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}

// - 1:11:45.16 -
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Pitch.kr(~out.ar), 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}

// - 1:12:12.28 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/7, 0, 50, 100).round(50)+(Pitch.kr(~hh.ar)))}

// - 1:12:29.74 -
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/6, 0, 50, 100).round(50)+Pitch.kr(~hh.ar))}

// - 1:13:13.4 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.4, 0.4), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}

// - 1:13:28.89 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}

// - 1:13:53.96 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}

// - 1:14:4.78 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+100, 0, 2)}

// - 1:14:15.79 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)}

// - 1:14:48.23 -
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4)}

// - 1:15:6.33 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4), -1, 1)}

// - 1:15:15.58 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4), -0.6, 0.6)}

// - 1:15:24.92 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}

// - 1:15:47.98 -
//uhu, better stop

// - 1:15:50.21 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}

// - 1:16:3.57 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}

// - 1:16:25.2 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), 200, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}

// - 1:16:43.36 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), 200, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}

// - 1:17:0.38 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), BrownNoise.ar, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}

// - 1:17:11.5 -
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), BrownNoise.ar, BrownNoise.ar)*BrownNoise.ar*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}

// - 1:17:47.07 -
~out.release(20)

// - 1:17:59.43 -
~ring.release(20)

// - 1:18:13.41 -
~hh.release(20)

// - 1:18:25.44 -
p.clear

// - 1:18:28.25 -
p.pop

