///////////////////////////////////////////////////
// History, as it was on Sat Jun  9 00:06:03 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:8.05 -
p.makeTempoClock(1.5)

// - 0:0:11.04 -
c= p.clock

// - 0:0:30.07 -
Pdef(\fir).play(c, quant:4)

// - 0:2:9.12 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate);
	z= SinOsc.ar(freq*#[1, 1.008], 0, amp);
	Out.ar(0, z*e);
}).store
);

// - 0:2:20.06 -
Pdef(\fir, Pbind(\firi))

// - 0:2:31.18 -
Pdef(\fir, Pbind(\instrument, \firi))

// - 0:2:54.49 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf)))

// - 0:3:33.69 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([[0, 4], 1, 0, 0, 0, -3], inf)))

// - 0:4:7.91 -
Pdef(\fur).play(c, quant:4)

// - 0:4:41.58 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([4], inf), \degree, Pseq([-12, -5], inf)))

// - 0:5:18.42 -
Pdef(\fur).stop

// - 0:5:21.73 -
Pdef(\fir).stop

// - 0:6:7.62 -
Pdef.all

// - 0:6:32.59 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], 0, amp);
	Out.ar(0, z*e);
}).store
);

// - 0:6:56.62 -
Pdef(\fur).play(c, quant:4)

// - 0:6:57.31 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([4], inf), \degree, Pseq([-12, -5], inf)))

// - 0:7:8.49 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([[0, 4], 1, 0, 0, 0, -3], inf)))

// - 0:7:17.08 -
Pdef(\fir).play(c, quant:4)

// - 0:8:16.52 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([0, 6], [2, 4]), 2], inf)))

// - 0:9:39.92 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([4], 16), Pseq([2, 3], 8)], inf), \degree, Pseq([Pseq([-12, -5], 8), Pseq([-18, -12], 2)])))

// - 0:10:9.89 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)))

// - 0:10:21.04 -
p.clock.tempo_(1.6)

// - 0:11:7.02 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, 0.04), amp);
	Out.ar(0, z*e);
}).store
);

// - 0:11:23.15 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, Rand(0, 0.1)), amp);
	Out.ar(0, z*e);
}).store
);

// - 0:11:37.15 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, Rand(0001, 0.05)), amp);
	Out.ar(0, z*e);
}).store
);

// - 0:12:18.17 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -5], 8), Pseq([-18, -12], 2)], inf)))

// - 0:12:57.75 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -4], 8), Pseq([-14, -8], 2)], inf)))

// - 0:13:18.95 -
Pdef(\far).play(c, quant:4)

// - 0:14:25.33 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([12, 5], 16), Pseq([8, 12], 8)], inf), \amp, 0.1))

// - 0:14:30.1 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([12, 5], 16), Pseq([8, 12], 8)], inf), \amp, 0.01))

// - 0:14:39.86 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 12], 8)], inf), \amp, 0.01))

// - 0:14:59.03 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01))

// - 0:15:27.43 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01))

// - 0:15:44.83 -
Pdef(\for).play(c, quant:4)

// - 0:15:54.98 -
//quant broken???

// - 0:16:59.93 -
Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01))

// - 0:18:33.59 -
(
SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(0, z*e);
}).store
);

// - 0:21:6.33 -
(
SynthDef(\revi, {|dur= 0.2, mix= 0|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(x, 1, dur.min(1), 1);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store
);

// - 0:21:17.99 -
(
SynthDef(\revi, {|dur= 0.2, mix= 0|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), 1);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store
);

// - 0:21:51.3 -
Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01), \out, Pseq([10, 0],inf))

// - 0:22:4.58 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:22:31.67 -
r= Synth(\revi)

// - 0:22:41.15 -
r.set(\mix, 0.5)

// - 0:23:2.18 -
r.set(\mix, 0.6, \dur, 0.1)

// - 0:23:14.36 -
r.free

// - 0:24:1.62 -
r= Synth(\revi, [\mix, 0.7, \dur, 0.05])

// - 0:24:10.17 -
Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01), \out, 0)

// - 0:24:20.03 -
Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01), \out, 10)

// - 0:24:53.1 -
r.set(\mix, 0.2, \dur, 0.2)

// - 0:25:9.05 -
//stuck

// - 0:25:51.44 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(Rand(0, 0.02)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:26:23.78 -
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01))

// - 0:26:42.97 -
r.set(\mix, 0.99, \dur, 0.2)

// - 0:27:1.23 -
r.set(\mix, 0.99, \dur, 0.2, \dec, \2)

// - 0:27:30.15 -
(
SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store
);

// - 0:28:33.87 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Prand([10, 0], inf)))

// - 0:28:53.26 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([0, 10, 0, 0], inf)))

// - 0:29:7.83 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

// - 0:29:16.9 -
r.set(\mix, 0.99, \dur, 0.2, \dec, 2)

// - 0:29:27.77 -
c.tempo

// - 0:29:36.62 -
r.set(\mix, 0.99, \dur, c.tempo.reciprocal/3, \dec, 2)

// - 0:30:24.24 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 32), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -4], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

// - 0:31:16.27 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

// - 0:32:3.14 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5]*0.5, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

// - 0:32:54.24 -
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([6, 8], inf), \degree, Pseq([10, Prand([14, 16, 18], 1)], inf), \amp, 0.01))

// - 0:33:15.21 -
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([6, 8], inf), \degree, Pseq([10, Pser([14, 16, 18], 1)], inf), \amp, 0.01))

// - 0:33:31.19 -
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([4, 6, 8], inf), \degree, Pseq([10, Pser([14, 16, 18], 1)], inf), \amp, 0.01))

// - 0:34:10.1 -
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([4, 6, 8], inf), \degree, Pseq([10, Pseq([14, 16, 18], 1)], inf), \amp, 0.01))

// - 0:34:49.45 -
r.set(\mix, 0.99, \dur, c.tempo.reciprocal/3, \dec, 3)

// - 0:34:55.74 -
r.set(\mix, 0.99, \dur, c.tempo.reciprocal/2, \dec, 3)

// - 0:35:13.34 -
r.set(\mix, 0.89, \dur, c.tempo.reciprocal, \dec, 4)

// - 0:35:18.12 -
r

// - 0:35:45.15 -
c.tempo.reciprocal

// - 0:36:1.5 -
r.set(\mix, 0.89, \dur, c.tempo.reciprocal/2, \dec, 5)

// - 0:36:21.38 -
(
SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec, 1.2);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store
);

// - 0:36:42.89 -
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/2, \dec, 5)

// - 0:37:15.51 -
(
SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec, 1.2);
	Out.ar(0, XFade2.ar(z, x, mix*2-1));	//ggr, this should of course be -1
}).store
);

// - 0:37:36.77 -
r.free

// - 0:37:38.68 -
r= Synth(\revi)

// - 0:37:41.99 -
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/2, \dec, 5)

// - 0:37:52.88 -
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/3, \dec, 5)

// - 0:37:57.71 -
c.tempo.reciprocal/1.5

// - 0:37:59.58 -
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/1.5, \dec, 5)

// - 0:38:56.56 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(Rand(0, 0.03), Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08)), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:39:53.49 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(200, 0, 2pi), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:39:59.53 -
//uhu

// - 0:40:19.55 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(200, 0, 0.1), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:40:30.54 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(20, 0, 0.1), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:40:55.54 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(20, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0001, 0.08))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:41:8.85 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0001, 0.01))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:41:32.87 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.01))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:41:43.34 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.04))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:41:51.36 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(200, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.04))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:42:9 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(freq, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.02))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:42:28.48 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(freq, 0, Line.ar(2pi, 0, Rand(0, 0.02))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:43:5.47 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.03))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:43:49.22 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 32), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

// - 0:44:8.15 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

// - 0:44:25.34 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

// - 0:45:3.34 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

// - 0:45:15.91 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([[17, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

// - 0:46:7.95 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([0.25, 0.25, 0.5, 1], 8)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

// - 0:46:31.27 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([0.25, 0.25, 0.5, 1], 8)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

// - 0:47:20.65 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.25, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

// - 0:47:36.14 -
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/1.5, \dec, 3)

// - 0:47:43.77 -
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/1.5, \dec, 3)

// - 0:48:15.28 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 10, 0], inf)))

// - 0:49:14.72 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf)))

// - 0:50:13.81 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3], inf)))

// - 0:50:33.14 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf)))

// - 0:51:15.76 -
Pdef(\fir).pause

// - 0:52:2.4 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.25, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2)

// - 0:52:28.15 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

// - 0:52:30.44 -
Pdef(\fir).resume

// - 0:52:48.09 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

// - 0:52:56.45 -
Pdef(\far).pause

// - 0:53:1.85 -
Pdef(\far).resume

// - 0:53:18.45 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, -2))

// - 0:53:42.3 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([15], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, -2))

// - 0:53:54.71 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

// - 0:54:15.52 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10, 15], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

// - 0:54:24.79 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10, 14], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

// - 0:54:45.76 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

// - 0:55:6.4 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2))

// - 0:55:55.2 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

// - 0:56:19.17 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

// - 0:57:5.22 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2)

// - 0:58:11.35 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*Rand(0.99, 1.01), 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:58:32.69 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*IRand(1, 3), 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store
);

// - 0:59:25.83 -
(
SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5, spread= 1|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*spread, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store
);

// - 1:0:17.54 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2))

// - 1:0:46.89 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0))

// - 1:1:31.19 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pseq([Pn(1, 5), Pn(1, 5), Pn(4, 5), Pn(2, 5)], inf)))

// - 1:2:8.34 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pseq([1, 4, 5, 1, 3], inf)))

// - 1:2:42.38 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 5, 1, 3], inf))))

// - 1:2:59.54 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 5, 1, 3, 1, 0.5], inf))))

// - 1:3:29.49 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 1.5], inf)))

// - 1:3:47.19 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf)))

// - 1:4:17.57 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:4:45.7 -
c.tempo_(c.tempo+0.1)

// - 1:4:54.09 -
Pdef(\far).pause

// - 1:5:19.32 -
r.set(\mix, 0.4, \dur, 0.8, \dec, 2)

// - 1:5:26.6 -
r.set(\mix, 0.4, \dur, 0.3, \dec, 2)

// - 1:5:31.35 -
r.set(\mix, 0.5, \dur, 0.3, \dec, 2)

// - 1:5:45.63 -
r.set(\mix, 0.5, \dur, 0.15, \dec, 4)

// - 1:5:55.33 -
r.set(\mix, 0.5, \dur, 0.2, \dec, 3)

// - 1:6:10.68 -
r.set(\mix, 0.4, \dur, 0.2, \dec, 5)

// - 1:6:21.09 -
Pdef(\far).resume

// - 1:7:5.49 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf), \out, Pseq([Pn(0, 7), 10], inf)))

// - 1:7:28.51 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf), \out, Pseq([Pn(0, 3), 10], inf)))

// - 1:7:46.36 -
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/2, \dec, 5)

// - 1:7:55.69 -
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/3, \dec, 5)

// - 1:8:4.52 -
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/5, \dec, 5)

// - 1:8:13.35 -
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/4, \dec, 5)

// - 1:8:26.11 -
r.set(\mix, 0.3, \dur, c.tempo.reciprocal/3, \dec, 6)

// - 1:9:19.76 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:9:41.11 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, [-4, -12]], 8), 0, 0, Pseq([-12, [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:10:1.14 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, [-3, -12]], 8), 0, 0, Pseq([-12, [-3, -12]], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:10:15.18 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, [-3, -12]], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:10:25.12 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:10:37.07 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:11:1.54 -
Pdef(\far).pause

// - 1:11:30.49 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf), \amp, 0.07))

// - 1:11:39.67 -
Pdef(\far).resume

// - 1:11:46.43 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf), \amp, 0.007))

// - 1:11:53.57 -
Pdef(\far).pause

// - 1:12:16.79 -
Tdef(\rctrl).play

// - 1:13:12.21 -
(
Tdef(\rctrl, {
	inf.do{|i|
		r.set(\mix, i.div(4)%4/3.5, \dur, c.tempo.reciprocal/3, \dec, 6);
		6.wait;
	}
})
);

// - 1:13:25.4 -
Pdef(\far).resume

// - 1:14:0.24 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:14:27.34 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:15:5.82 -
Pdef(\fir).pause

// - 1:15:12.33 -
Pdef(\fir).resume

// - 1:15:30.47 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))

// - 1:15:50.03 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))

// - 1:16:29.96 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))

// - 1:16:45.74 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:18:57.32 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:19:7.11 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5], 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:19:25.73 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([2, 3], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:19:43.8 -
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 16), Pseq([0.5, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:20:25.69 -
Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:20:42.66 -
Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([10, 10, 14], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:21:10.1 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

// - 1:21:42.04 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:21:51.96 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:22:4.99 -
Tdef(\rctrl).stop

// - 1:22:25.17 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 12, 12, 12, 12, 10, 12, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:22:57.3 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, Prand([10, 12], inf)))

// - 1:23:8.03 -
Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 12, 12, 12, 12, 10, 12, 12], 2), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

// - 1:23:22.33 -
Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([10, 10, 14], 18), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

// - 1:23:37.55 -
Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3], 8), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, Prand([10, 12], inf)))

// - 1:24:42.27 -
Pdef(\fur).stop

// - 1:24:58.14 -
Pdef(\fir).stop

// - 1:25:2.06 -
Pdef(\far).stop

// - 1:25:9.27 -
r.free

// - 1:25:33.34 -
p.clear

// - 1:25:38.33 -
p.pop

