p= ProxySpace.push(s.boot)
p.makeTempoClock(1.5)
c= p.clock

Pdef(\fir).play(c, quant:4)
(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate);
	z= SinOsc.ar(freq*#[1, 1.008], 0, amp);
	Out.ar(0, z*e);
}).store)
Pdef(\fir, Pbind(\instrument, \firi))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf)))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([[0, 4], 1, 0, 0, 0, -3], inf)))

Pdef(\fur).play(c, quant:4)
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([4], inf), \degree, Pseq([-12, -5], inf)))

Pdef(\fur).stop
Pdef(\fir).stop
//oops forgot doneaciont.  kill all synths with cmd+.

(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], 0, amp);
	Out.ar(0, z*e);
}).store)
Pdef(\fur).play(c, quant:4)
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([4], inf), \degree, Pseq([-12, -5], inf)))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([[0, 4], 1, 0, 0, 0, -3], inf)))
Pdef(\fir).play(c, quant:4)

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([0, 6], [2, 4]), 2], inf)))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([4], 16), Pseq([2, 3], 8)], inf), \degree, Pseq([Pseq([-12, -5], 8), Pseq([-18, -12], 2)])))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)))
p.clock.tempo_(1.6)

(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, 0.04), amp);
	Out.ar(0, z*e);
}).store)

(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, Rand(0, 0.1)), amp);
	Out.ar(0, z*e);
}).store)

(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*#[1, 1.008], Line.kr(2pi, 0, Rand(0001, 0.05)), amp);
	Out.ar(0, z*e);
}).store)

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -5], 8), Pseq([-18, -12], 2)], inf)))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -4], 8), Pseq([-14, -8], 2)], inf)))
Pdef(\far).play(c, quant:4)
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([12, 5], 16), Pseq([8, 12], 8)], inf), \amp, 0.1))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 12], 8)], inf), \amp, 0.01))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([2, 1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01))

Pdef(\for).play(c, quant:4)
//quant broken???
Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01))

(SynthDef(\firi, {|freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(0, z*e);
}).store)

(SynthDef(\revi, {|dur= 0.2, mix= 0|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), 1);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store)

Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01), \out, Pseq([10, 0],inf))
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc, gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(out, z*e);
}).store)
r= Synth(\revi)
r.set(\mix, 0.5)
r.set(\mix, 0.6, \dur, 0.1)
r.free
r= Synth(\revi, [\mix, 0.7, \dur, 0.05])

Pdef(\for, Pbind(\instrument, \firi, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01), \out, 10)
r.set(\mix, 0.2, \dur, 0.2)
//stuck

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(Rand(0, 0.02)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.05)), amp);
	Out.ar(out, z*e);
}).store)

Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([6, 8], inf), \degree, Pseq([10, 14], inf), \amp, 0.01))

r.set(\mix, 0.99, \dur, 0.2, \dec, \2)

(SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store)

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Prand([10, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([0, 10, 0, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

r.set(\mix, 0.99, \dur, 0.2, \dec, 2)
r.set(\mix, 0.99, \dur, c.tempo.reciprocal/3, \dec, 2)

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 32), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -4], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([1, 0.5, 1, 1.5], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5]*0.5, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([6, 8], inf), \degree, Pseq([10, Prand([14, 16, 18], 1)], inf), \amp, 0.01))
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([4, 6, 8], inf), \degree, Pseq([10, Pser([14, 16, 18], 1)], inf), \amp, 0.01))
Pdef(\for, Pbind(\instrument, \firi, \out, 10, \dur, Pseq([4, 6, 8], inf), \degree, Pseq([10, 10, Pseq([14, 16, 18], 1)], inf), \amp, 0.01))

r.set(\mix, 0.99, \dur, c.tempo.reciprocal/3, \dec, 3)
r.set(\mix, 0.99, \dur, c.tempo.reciprocal/2, \dec, 3)
r.set(\mix, 0.89, \dur, c.tempo.reciprocal/2, \dec, 5)

(SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec, 1.2);
	Out.ar(0, XFade2.ar(z, x, mix*2+1));
}).store)

r.set(\mix, 0.5, \dur, c.tempo.reciprocal/2, \dec, 5)

(SynthDef(\revi, {|dur= 0.2, mix= 0, dec= 1|
	var z, x;
	z= InFeedback.ar(10, 2);
	x= CombL.ar(z, 1, dur.min(1), dec, 1.2);
	Out.ar(0, XFade2.ar(z, x, mix*2-1));	//ggr, this should of course be -1
}).store)
r.free
r= Synth(\revi)
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/2, \dec, 5)
r.set(\mix, 0.5, \dur, c.tempo.reciprocal/1.5, \dec, 5)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(Rand(0, 0.03), Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08)), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(200, 0, 2pi), amp);
	Out.ar(out, z*e);
}).store)

//uhu
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(200, 0, 0.1), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], Line.kr(Rand(pi, 2pi), 0, Rand(0001, 0.08))*SinOsc.ar(20, 0, 0.1), amp);
	Out.ar(out, z*e);
}).store)
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(20, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0001, 0.08))), amp);
	Out.ar(out, z*e);
}).store)
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0001, 0.01))), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.01))), amp);
	Out.ar(out, z*e);
}).store)
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(2, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.04))), amp);
	Out.ar(out, z*e);
}).store)
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(200, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0.01, 0.04))), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.2)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.016)], SinOsc.ar(freq, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.02))), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.03))), amp);
	Out.ar(out, z*e);
}).store)

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 32), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, 0]], 8), Pseq([-14, -8, -14, -6], 1)], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([7, 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([1, 1.5, 0.5], 8)], inf), \degree, Pseq([Pseq([[17, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([0.25, 0.25, 0.5, 1], 8)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 32), Pseq([0.25, 0.25, 0.5, 1], 8)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 16), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 0, 0], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.25, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf))

r.set(\mix, 0.5, \dur, c.tempo.reciprocal/1.5, \dec, 3)
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/1.5, \dec, 3)

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, 0.01, \out, Pseq([10, 0, 10, 0], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf)))

Pdef(\fir).pause

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.25, 2)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), Pseq([1, 6], [0, 4]), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2)
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), Pseq([-14, -8, -14, -6], 1)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

Pdef(\fir).resume

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

Pdef(\far).pause
Pdef(\far).resume

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([[18, 7], 5], 16), Pseq([8, 5], 8), Pseq([[20, 7], 5], 8), Pseq([8, 5], 8)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, -2))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10, 15], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([10, 14], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 0, 10, 0], inf), \gtranspose, 2))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2)

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf)), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2)


(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*Rand(0.99, 1.01), 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store)
(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*IRand(1, 3), 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store)

(SynthDef(\firi, {|out= 0, freq= 390, gate= 1, amp= 0.5, spread= 1|
	var e, z;
	e= EnvGen.kr(Env.perc(0.01, Rand(0.8, 1.4)), gate, doneAction:2);
	z= SinOsc.ar(freq*[1, Rand(1, 1.02)], SinOsc.ar(freq*spread, 0, Line.ar(Rand(pi, 2pi), 0, Rand(0, 0.05))), amp);
	Out.ar(out, z*e);
}).store)


Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 2))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pseq([Pn(1, 5), Pn(1, 5), Pn(4, 5), Pn(2, 5)], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pseq([1, 4, 5, 1, 3], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 5, 1, 3], inf))))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 0, 0, 10], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 5, 1, 3, 1, 0.5], inf))))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 1.5], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))
c.tempo_(c.tempo+0.1)

Pdef(\far).pause

r.set(\mix, 0.4, \dur, 0.8, \dec, 2)
r.set(\mix, 0.4, \dur, 0.3, \dec, 2)
r.set(\mix, 0.5, \dur, 0.15, \dec, 4)
r.set(\mix, 0.5, \dur, 0.2, \dec, 3)
r.set(\mix, 0.4, \dur, 0.2, \dec, 5)

Pdef(\far).resume

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf), \out, Pseq([Pn(0, 7), 10], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 0.5, 0.5, 0.5, 0.5], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.6, inf), \gtranspose, 2, \spread, Prand([0.5, 1, 2.5], inf), \out, Pseq([Pn(0, 3), 10], inf)))

r.set(\mix, 0.4, \dur, c.tempo.reciprocal/2, \dec, 5)
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/3, \dec, 5)
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/5, \dec, 5)
r.set(\mix, 0.4, \dur, c.tempo.reciprocal/4, \dec, 5)
r.set(\mix, 0.3, \dur, c.tempo.reciprocal/3, \dec, 6)

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([[-12, 0], [-4, -12]], 8), 0, 0, Pseq([[-12, 0], [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, [-4, -12]], 8), 0, 0, Pseq([-12, [-4, -12]], 8), -12, -12], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, [-3, -12]], 8), 0, 0, Pseq([-12, [-3, -12]], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, [-3, -12]], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2, 1, 1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))
Pdef(\far).pause

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf), \amp, 0.07))

Pdef(\far).resume
Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 64), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf), \amp, 0.007))
Pdef(\far).pause
Tdef(\rctrl).play
Tdef(\rctrl, {
	inf.do{|i|
		r.set(\mix, i.div(4)%4/3.5, \dur, c.tempo.reciprocal/3, \dec, 6);
		6.wait;
	}
})

Pdef(\far).resume

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.25], 16), Pseq([0.25, 0.25, 0.5], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1], 16), Pseq([1, 2], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

Pdef(\fir).pause
Pdef(\fir).resume
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 10, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([[0, 4], 1, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 4, 0.25, 1, 3, 1, 0.5], inf))))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5]*0.5, 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5]*0.5, 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))
Pdef(\fir, Pbind(\instrument, \firi, \dur, Pseq([Pseq([1, 0.5, 1, 1.5], 7), Pseq([1, 0.5, 1, 1.5], 4)], inf), \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Pdef(\fur, Pbind(\instrument, \firi, \dur, Pseq([Pseq([2], 16), Pseq([2, 3], 8)], inf), \degree, Pseq([Pseq([-12, -3], 8), 0, 0, Pseq([-12, -4], 8)], inf), \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

Pdef(\far, Pbind(\instrument, \firi, \dur, Pseq([Pseq([0.5], 16), Pseq([0.5, 0.5, 1], 4)], inf), \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([Pseq([10, 14], 64), Pseq([10, 14], 64)], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([10, 10, 14], inf), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, 10))

Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, Pseq([Pseq([0, 0, 0, 0, 0, -3], 8), 2], inf), \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 0, 0, 12, 12, 10, 0, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Tdef(\rctrl).stop

Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 12, 12, 12, 12, 10, 12, 12], inf), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3]*0.5, inf), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, Prand([10, 12], inf)))

Pdef(\fir, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \out, Pseq([0, 12, 12, 12, 12, 10, 12, 12], 2), \gtranspose, 0, \spread, Pstutter(10, Pseq([1, 0.4, 0.25, 1, 0.3, 2, 0.5], inf))))

Pdef(\far, Pbind(\instrument, \firi, \dur, 1, \degree, Pseq([10, 10, 14], 18), \amp, Pseq([Pn(0.01, 16), Pn(0, 32)], inf), \out, Pseq([10, 12, 10, 0], inf), \gtranspose, 2, \spread, Pseq([1, 1, 2, 4], inf)))

Pdef(\fur, Pbind(\instrument, \firi, \dur, 2, \degree, 0, \amp, Pseq([Pn(0, 16), 0, 0.5, 0.5, 0.3, 0.3], 8), \gtranspose, 2, \spread, Pseq([0.5, 1, 1, 3], inf), \out, Prand([10, 12], inf)))

Pdef(\fur).stop
Pdef(\fir).stop
Pdef(\far).stop
r.free
p.clear
p.pop
//cmd+. to clean up