p= ProxySpace.push(s.boot)
p.makeTempoClock(2.6)
c= p.clock

Pdef(\asdf).play(c)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0), doneAction:2);
	z= SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
Pdef(\asdf, Pbind(\instrument, \pm))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pseq([0, 0.1], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pseq([0, 0.1, 0.1, 0.1, 0, 0].scramble, inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pshuf([0, 0.1, 0.1, 0.1, 0, 0], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.2, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= LPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 400*amp+400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= LPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 4000*amp+400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(1, 0, 0.15)), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, 0.3+amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \freq, Pn(Pshuf([90, 90, 90, 60, 50], 4), inf)))
90.cpsmidi
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \degree, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 0.1, 0.1, 0.1, 1, 1], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\zwei).play(c)
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\drei).play(c)
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 4, \amp, 0.4, \pan, 0.3))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 6, \amp, 0.4, \pan, 0.3))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 8, \amp, 0.4, \pan, 0.3))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([8, 8, 4, 4, 2, 2, 4], inf), \amp, 0.4, \pan, 0.3))

Pdef(\fyra).play(c)
Pdef(\fyra, Pbind(\instrument, \asdf, \dur, 1))
Pdef(\asdf).stop
Pdef(\fyra).stop
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 1))
//uhu, recursion depth
//will it ever stop?
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 1))
Pdef(\fyra).stop
Pdef(\asdf).stop
//cpu +125%

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= SinOsc.ar(freq, 0, 0.01);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
//temp
Pdef(\asdf).clear
Pdef(\fyra).clear
//seems endless
c.clear
c= p.clock
Pdef(\zwei).play(c)
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)
c.clear

cmd+.
c= p.clock
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)
Pdef(\zwei).play(c)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\drei).play(c)
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 4, \amp, 0.4, \pan, 0.3))

Pdef(\fyra).play(c)
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 1))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 10))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf)))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 40))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 90))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 120))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 110, \amp, 0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98], \amp, 0.3))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98], \amp, [0.3, 0.1]))
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98, 90], \amp, [0.3, 0.1, 0.1]))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(2, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))
Pdef(\asdf).play(c)

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+5, \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 2, \midinote, [110, 98, 90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 2, \amp, 0.4, \pan, 0.3))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 38, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 39, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 30, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 35, \dur, 4, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 2.5, \amp, 0.4, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 2.5, \amp, 0.14, \pan, -0.3))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, -0.3))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 2, \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.3, 0.3], inf)))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(5, 16), Pn(-5, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(2, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 4.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, IRand(3, 4)], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 5)+0.04], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(10, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(10, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.1, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.01, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.01, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(15, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.5, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.33, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/3, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 2, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 0.5, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(62, 60), Pseries(61, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 30, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 29, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, 34, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pstutter(8, Pseq([34, 30, 29], 1), inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 8), Pn(29, 8)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 17), Pn(30, 7), Pn(29, 7)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 15), Pn(30, 7), Pn(29, 7)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(62, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(15, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.3))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1200), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1200), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\zwei).pause

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(0.5, 12), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(0.5, 12), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 1000, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 1000, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400, 1), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)


Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/3, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, [90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, 80, \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.25, 0.5, 1].choose}.dup(8)), 1], inf), \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pshuf({[0.25, 0.5, 1].choose}.dup(8), inf), \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pshuf({[0.25, 0.5, 1].choose}.dup(8), inf), \midinote, Pseq([90, Pn(78, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 500), amp), 5000*amp+500, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.1, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(10, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(60, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, 1), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, 0.5), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, RLPF.ar(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 100), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(LFSaw.ar(freq, 0, 2pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store)

Pdef(\zwei).resume

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(82, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(82, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([90, 60], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.6.rand.round(0.3)}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

Pdef(\drei).pause

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.8, 0.8, 0.8, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 0.5, 0.5, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 0.5, 0.5, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))


(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(MouseX.kr(0, 500).poll, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(freq2, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \freq2, Pseq([Pn(123.7, 12), Pn(0, 12)], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.6.rand.round(0.3)}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(0, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(1, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(10, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(100, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(1000, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(200, 12)], inf)))
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(123.7*2, 12)], inf)))

Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(200, 12)], inf)))

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Lag.kr(freq2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)
(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.kr(0, freq2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.kr(freq2, freq2/2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)

(SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(123, BPF.ar(Saw.ar(freq, 2pi), 2), amp), Line.kr(freq2, freq2/2, 0.5)*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store)
Pdef(\drei).resume

Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*2, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+40, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+30, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+20, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+10, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 100, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 100, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 1, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 10, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 1, \pan, Pseq([0.3, -0.3], inf)))
Pdef(\drei).stop
Pdef(\zwei).stop
Pdef(\asdf).pause
Pdef(\fyra).isPlaying
Pdef(\fyra).stop
p.pop
p.clear
