///////////////////////////////////////////////////
// History, as it was on Fri Jun 22 02:00:08 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:11.74 -
p.makeTempoClock(160/60)

// - 0:0:14.81 -
c= p.clock

// - 0:0:21.46 -
//trying to code a hover sound

// - 0:1:35.58 -
~hov= {|t_trig= 0, freq= 400| Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]))}

// - 0:1:57.09 -
~hov.clear

// - 0:2:7.6 -
~hov= {|t_trig= 0, freq= 400| Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4])))}

// - 0:2:11.86 -
~hov.play

// - 0:2:22.95 -
~hov.set(\freq, 60)

// - 0:2:36.65 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400| Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4])), 0, amp)}

// - 0:3:29.18 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400| var e= EnvGen.ar(Env.linen(0.01, 1, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:3:35.52 -
~hov.set(\t_trig, 1)

// - 0:4:4.84 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:4:9.62 -
~hov.set(\t_trig, 1, \dur, 0.5)

// - 0:4:12.46 -
~hov.set(\t_trig, 1, \dur, 0.05)

// - 0:4:28.98 -
Tdef(\hov).play(c, quant:4)

// - 0:4:52.62 -
(
Tdef(\hov, {
	inf.do{|i|
		~hov.set(\t_trig, 1, \dur, 0.05);
		0.5.wait;
	}
})
);

// - 0:5:47.6 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		~hov.set(\t_trig, 1, \dur, 0.05);
		dur.next.wait;
	}
})
);

// - 0:6:3.88 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d);
		dur.next.wait;
	}
})
);

// - 0:6:21.61 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d);
		d.wait;
	}
})
);

// - 0:6:32.45 -
Tdef(\hov).reset

// - 0:6:40 -
Tdef(\hov).play(c, quant:4)

// - 0:6:45.74 -
Tdef(\hov).stop

// - 0:6:51.38 -
Tdef(\hov).play(c, quant:4)

// - 0:8:26.32 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:8:38.79 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]/2, inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:8:52.05 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:9:9.02 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:9:15.57 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.5-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:9:25.43 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:10:17.33 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beats2secs(d), \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:10:38.3 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:10:44.77 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, 0.1-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:10:58.02 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur.poll, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:11:20.19 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d, \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:11:29.03 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:11:38.2 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

// - 0:12:1.69 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

// - 0:12:38.07 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[0.4, 0.3, 0.1], 0, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

// - 0:13:35.2 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[0.4, 0.3, 0.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

// - 0:13:54.04 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[1.4, 1.3, 1.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

// - 0:14:18.58 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

// - 0:14:25.71 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 2900), 0, amp)}

// - 0:14:42.63 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), LFNoise2.kr(0.4, 1000, 3000)), 0, amp)}

// - 0:15:51.27 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], 0, e)};

// - 0:15:58.39 -
~kick.play

// - 0:16:5.37 -
~kick.set(\t_trig, 1)

// - 0:16:5.8 -
~kick.set(\t_trig, 1)

// - 0:16:6.15 -
~kick.set(\t_trig, 1)

// - 0:16:6.53 -
~kick.set(\t_trig, 1)

// - 0:16:6.88 -
~kick.set(\t_trig, 1)

// - 0:16:7.24 -
~kick.set(\t_trig, 1)

// - 0:16:7.58 -
~kick.set(\t_trig, 1)

// - 0:16:7.98 -
~kick.set(\t_trig, 1)

// - 0:16:8.35 -
~kick.set(\t_trig, 1)

// - 0:16:17.85 -
Tdef(\kick).play(c, quant:4)

// - 0:16:53.11 -
(
Tdef(\kick, {
	inf.do{|i|
		~kick.set(\t_trig, 1);
		1.wait;
	}
})
);

// - 0:17:29.04 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], 0, e*3).clip(-0.9, 0.9)};

// - 0:17:50.18 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

// - 0:18:45.05 -
(
Tdef(\kick, {
	var dur= Pdef([Pn(1, 15), Pn(0.25, 4)], inf).asStream;
	inf.do{|i|
		~kick.set(\t_trig, 1);
		dur.next.wait;
	}
})
);

// - 0:19:1.76 -
(
Tdef(\kick, {
	var dur= Pseq([Pn(1, 15), Pn(0.25, 4)], inf).asStream;
	inf.do{|i|
		~kick.set(\t_trig, 1);
		dur.next.wait;
	}
})
);

// - 0:19:8.09 -
Tdef(\kick).clear

// - 0:19:9.47 -
(
Tdef(\kick, {
	var dur= Pseq([Pn(1, 15), Pn(0.25, 4)], inf).asStream;
	inf.do{|i|
		~kick.set(\t_trig, 1);
		dur.next.wait;
	}
})
);

// - 0:19:18.43 -
Tdef(\kick).play(c, quant:4)

// - 0:20:5.04 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(64)%2+1), \freq, freq.next.midicps);
		d.wait;
	}
})
);

// - 0:20:37.35 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(64)%2+1), \freq, freq.next.midicps*(i.div(64)%2+1));
		d.wait;
	}
})
);

// - 0:21:49.25 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
})
);

// - 0:23:19.1 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, [4000, 5000])+BPF.ar(z, [500, 400], 0.3)};

// - 0:23:23.23 -
~hat.play

// - 0:23:30.05 -
~hat.set(\t_trig, 1)

// - 0:23:32.24 -
~hat.set(\t_trig, 1)

// - 0:23:42.97 -
Tdef(\hat).play(c, quant:4)

// - 0:24:9.97 -
(
Tdef(\hat, {
	0.5.wait;
	inf.do{|i|
		~hat.set(\t_trig, 1);
		1.wait;
	}
})
);

// - 0:24:52.88 -
(
Tdef(\hat, {
	0.5.wait;
	inf.do{|i|
		if(0.1.coin, {
			0.5.wait;
			~hat.set(\t_trig, 1);
			0.5.wait;
		}, {
			~hat.set(\t_trig, 1);
			1.wait;
		});
	}
})
);

// - 0:25:50.21 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, [500, 400], 0.3)};

// - 0:26:13.31 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [500, 400]), 0.3)};

// - 0:26:31.07 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

// - 0:26:49.16 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e)*SinOsc.ar(400, 0, 10); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

// - 0:27:17.28 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e)*Pulse.ar(400, 0.3, 0, 10); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

// - 0:27:31.49 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10)*amp; BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

// - 0:28:5.52 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10)*amp; (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)*3).clip(-0.9, 0.9)};

// - 0:28:19.25 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)*3).clip(-0.9, 0.9)*amp};

// - 0:28:27.05 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:28:34.12 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(4000, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:28:39.67 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar([4000, 100], 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:28:44.87 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 100], 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:29:7.38 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([400, 100], 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:29:13.16 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([400, 100], 0, 3); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:29:24.86 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:30:42.93 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
})
);

// - 0:31:51.74 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, 0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

// - 0:32:3.72 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, e*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

// - 0:32:26.38 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

// - 0:33:16.63 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)+SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

// - 0:33:40.18 -
c.tempo= c.tempo+0.1

// - 0:33:54.57 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)+SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:34:0.35 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:34:6.11 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)/SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:34:17.57 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:34:40.74 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), LFNoise2.kr(2, 1000, 3000)), 0, amp)}

// - 0:34:55.21 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 2000, 3000)), 0, amp)}

// - 0:35:0.78 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 1000, 3000)), 0, amp)}

// - 0:35:12.53 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 100, 3000)), 0, amp)}

// - 0:35:18.97 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 100, 1000)), 0, amp)}

// - 0:35:25.54 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1000), 0, amp)}

// - 0:36:1.2 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 100, 1000)), 0, amp)}

// - 0:36:7.59 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1000), 0, amp)}

// - 0:36:32.16 -
//hehe, forgot the phase of the sineosc

// - 0:36:34.67 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 0, 100, 1000)), 0, amp)}

// - 0:36:42.83 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 0, 1000, 3000)), 0, amp)}

// - 0:37:28.33 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 1000, 3000)), 0, amp)}

// - 0:37:34.88 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 2000, 3000)), 0, amp)}

// - 0:38:3.14 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 2000, 3000)), 0, amp)}

// - 0:38:43.49 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), LFPulse.kr(c.tempo.reciprocal, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:39:1.03 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:39:49.88 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 16)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
})
);

// - 0:40:37 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:41:23.5 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
})
);

// - 0:42:0.99 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, [0.4, 0.35, 0.3, 0.25, 0.2], 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:42:10.88 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, [0.4, 0.35, 0.3, 0.25, 0.2].reverse, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:43:14.58 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise1.kr(0.5.dup(5), 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:43:42.17 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise1.kr([0.5, 0.5, 0.5, 0.5, 0.5], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:44:6.66 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:44:28.49 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]/3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:44:39.99 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:45:14.86 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:45:52.28 -
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*[3, 3.01, 3.02, 3.03, 3.04], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

// - 0:47:31.08 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*1000+5000), 5500))*0.1}

// - 0:47:35.59 -
~glitter.play

// - 0:48:0.17 -
90.midicps

// - 0:48:3.09 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*1000+120.midicps), 5500))*0.06}

// - 0:48:21.33 -
24.midicps

// - 0:48:22.79 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 5500))*0.06}

// - 0:48:32.04 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 5500, 0.3))*0.06}

// - 0:48:44.18 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 120.midicps*1.5, 0.3))*0.06}

// - 0:49:20.69 -
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3))*0.06}

// - 0:49:46.3 -
~glitter= {Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.06}

// - 0:50:15.05 -
~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.06}

// - 0:51:40.62 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*12+86));
		});
		d.wait;
	}
})
);

// - 0:51:51.28 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*12+50));
		});
		d.wait;
	}
})
);

// - 0:51:59.99 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*12+50).postln);
		});
		d.wait;
	}
})
);

// - 0:52:17.25 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*3+30).postln);
		});
		d.wait;
	}
})
);

// - 0:52:24.62 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*3+80).postln);
		});
		d.wait;
	}
})
);

// - 0:52:45.23 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*4+80));
		});
		d.wait;
	}
})
);

// - 0:52:56.87 -
(
Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*5+80));
		});
		d.wait;
	}
})
);

// - 0:53:8.08 -
~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

// - 0:53:48.86 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)+SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)};

// - 0:54:0.5 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)};

// - 0:54:6.77 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[4.02, 4.03], 0, e2*0.1)};

// - 0:54:14.78 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[5.02, 5.03], 0, e2*0.1)};

// - 0:54:37.01 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], 0, e2*0.1)};

// - 0:54:46.45 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], 0, e2*0.4)};

// - 0:54:56.68 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:55:9.9 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:55:18.46 -
~hov.release(30)

// - 0:55:54.19 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

// - 0:56:5.79 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 10, [500, 400]), 0.3))*amp};

// - 0:56:19.35 -
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.1); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 10, [500, 400]), 0.3))*amp};

// - 0:56:31.17 -
~hat.release(30)

// - 0:56:44.86 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:56:49.97 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.1, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:56:54.77 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.2, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:56:59.66 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.4, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:57:6.95 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:57:16.85 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(48.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:57:22.67 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(36.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:57:28.67 -
~kick.release(30)

// - 0:57:34.78 -
~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(24.midicps*[1, 1.01], e*2pi, e2*0.1)};

// - 0:57:52.09 -
~glitter.release(30)

// - 0:57:58.55 -
~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(1), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

// - 0:58:4.34 -
~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(0.5), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

// - 0:58:21.91 -
~glitter.release(30)

// - 0:58:27.06 -
~kick.release(30)

// - 0:58:58.7 -
Tdef(\hat).stop; Tdef(\kick).stop; Tdef(\hover).stop

// - 0:59:0.29 -
p.clear

// - 0:59:1.57 -
p.pop

