p= ProxySpace.push(s.boot)
p.makeTempoClock(1.8)
c= p.clock

~out.play
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(0.1, 0.4)>0.4*0.2), SinOsc.kr(0.1))}
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal))}
~out= {Pan2.ar(SinOsc.ar([400, 404], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*0.2), SinOsc.kr(c.tempo.reciprocal*3))}
~out.set(\freq, 100)
~out.set(\freq, 400)
~out.set(\freq, 100)
Tdef(\freq).play(c, quant:1)
(Tdef(\freq, {
	inf.do{|i|
		~out.set(\freq, [100, 100, 100, 400].wrapAt(i));
		1.wait;
	}
}))
(Tdef(\freq, {
	var f= Pseq([100, 100, 100, 400], inf).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		1.wait;
	}
}))
(Tdef(\freq, {
	var f= (Pseq([100, 100, 100, 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		1.wait;
	}
}))
~out= {|freq= 400, thresh= 0.2| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>0.4*thresh), SinOsc.kr(c.tempo.reciprocal*3))}
~out.set(\thresh, 0.6)
~out= {|freq= 400, thresh= 0.4| Pan2.ar(SinOsc.ar(freq+[0, 4], 0, LFSaw.kr(c.tempo.reciprocal, 0.4)>thresh*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out.set(\thresh, 0.3)

Tdef(\dis).play(c, quant:1)
(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 90].wrapAt(i));
		[0.2, 2.8].foldAt(i).wait;
	}
}))

(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 100].wrapAt(i));
		[0.2, 2.8].foldAt(i).wait;
	}
}))
~out= {|freq= 400, thresh= 0.4| var e= LFSaw.kr(c.tempo.reciprocal, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, 2pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out.set(\thresh, 0.5)

(Tdef(\freq, {
	var f= (Pseq([Pn(100, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next);
		0.5.wait;
	}
}))

(Tdef(\freq, {
	var f= (Pseq([Pn(100, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.2, 0.9].wrapAt(i));
		0.5.wait;
	}
}))

~hh.ar(2)
~hh.play
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(ClipNoise.ar(e*0.1), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*100)), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*1000)), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1), freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}

(Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.4, 0.6].wrapAt(i));
		0.25.wait;
	}
}))

(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 100].wrapAt(i));
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
}))

(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i));
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
}))

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LFSaw.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, 2pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}


(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i), \factor, 2);
		[0.25, 2.75, 1].wrapAt(i).wait;
	}
}))

(Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\freq, f.next, \thresh, [0.4, 0.6].wrapAt(i), \factor, 4);
		0.25.wait;
	}
}))

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, 4], EnvGen.ar(Env.perc(0.01, 0.01), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4)>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor+SinOsc.ar(400), 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)], EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*10), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*20), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, 0.01); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*4, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(Clip.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10, -1, 1), 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10%1.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh*10%5.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh%5.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs>thresh%1.0, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%1.0>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.5>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(SinOsc.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
//uhu, awful
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1)*LFSaw.ar, freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.1)*LFSaw.ar, freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(LFNoise1.kr(c.tempo.reciprocal*factor, 0.4).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(LFNoise1.kr(c.tempo.reciprocal*factor, 1).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.kr(BrownNoise.kr(c.tempo.reciprocal*factor, 1).abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar.abs%0.9>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar.abs>thresh, 0.05); Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= ~hh.ar.abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar, freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LPF.ar(~hh.ar).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= LPF.ar(~hh.ar*2).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*10).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*50).abs>thresh; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(freq+[0, SinOsc.kr(0.2, 0, 1, 4)]+SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400*factor, 0, e*SinOsc.kr([0.1, 0.11], 0, 5, 20)), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), EnvGen.ar(Env.perc(0.01, 0.1), e, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), EnvGen.ar(Env.perc(0.01, 0.1), factor>2, pi), e*0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq, freq), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.3; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*3, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Lag.ar(~hh.ar*3, 0.1)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.2; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar(400, 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+100), 0, 0.3+(e*0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+100), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, 0.3), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, 0.2+EnvGen.kr(Env.sine(1), e)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), 0, EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), e, 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404], 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*0.5, 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*(SinOsc.ar(c.tempo.reciprocal/8).abs.round(0.8)+0.5), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([400, 404]*Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs.round(0.5), 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([200, 204]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([100, 104]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([100, 104]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 400, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([200, 204]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 100, 400)), freq+(e*1000), e+0.5), SinOsc.kr(1/c.tempo*3))}
~hh= {|freq= 4000| var e= EnvGen.ar(Env.perc, Impulse.kr(1/c.tempo)); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3))}

(Tdef(\freq, {
	var f= (Pseq([Pseries(100, 50, 7), 400], inf)*Pseq([Pn(1, 32), Pn(0.5, 8), Pn(0.6, 8)], inf)).asStream;
	inf.do{|i|
		~out.set(\factor, [4, 3].choose);
		8.wait;
	}
}))
(Tdef(\freq, {
	inf.do{|i|
		~out.set(\factor, [4, 3, 2].wrapAt(i));
		8.wait;
	}
}))
(Tdef(\freq, {
	inf.do{|i|
		~out.set(\factor, [4, 3, 2].wrapAt(i), \freq, 200);
		8.wait;
	}
}))

~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.2+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [80, 1000].wrapAt(i), \factor, 2);
		[4.25, 4.75, 1].wrapAt(i).wait;
	}
}))
(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [100, 400].wrapAt(i), \factor, 2);
		[8.25, 8.75].foldAt(i).wait;
	}
}))

(Tdef(\dis, {
	inf.do{|i|
		~out.set(\freq, [100, 400].wrapAt(i), \factor, 2);
		[15.25, 16.75].foldAt(i).wait;
	}
}))
~ring.ar(2)
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2, 0.1)}
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2, 0.4)}
~ring= {Ringz.ar(~hh.ar, 2000, 0.1, 0.2)}
~ring= {Ringz.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.6, 0.1)}
~ring.play
~ring= {Ringz.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.6, 0.05)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.1, 0.2, 0.05)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.1, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), 2000, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50), 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50)*10, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out)[1]).max(50)*4, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)[1]).max(50)*4, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)[0]).max(50)*4, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*4, 0.01, 0.2, 0.1)}
~ring= {Formlet.ar(DelayN.ar(~hh.ar, 1/c.tempo, 1/c.tempo), Lag.kr(Pitch.kr(~out.ar)).max(50)*8, 0.01, 0.2, 0.1)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo, 1/c.tempo, 2), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 2), Lag.kr(Pitch.kr(~out.ar)).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~hh.stop
//sigh, really bad tonight

~del= {CombN.ar(~out.ar, 1/c.tempo, 1/c.tempo, 3)}
~del.play
~out.stop
Tdef(\hh).play(c, quant:1)
(Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1);
		0.5.wait;
	}
}))
~hh= {|freq= 4000, t_trig= 0| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3))}
(Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1);
		1.wait;
	}
}))
(Tdef(\hh, {
	inf.do{|i|
		~hh.set(\t_trig, 1, \amp, [1, 1, 1, 0.75, 0.25].foldAt(i));
		[1, 1, 1, 0.75, 0.25].foldAt(i).wait;
	}
}))
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(ClipNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(GrayNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFSaw.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc, t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.5), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e*0.5)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400)), freq+(e*LFNoise2.kr(0.2, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(LFNoise2.kr(0.2, 200, 400).round(100)), freq+(e*LFNoise2.kr(0.2, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 100, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0.005, 1), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)*LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh.play
~hh.stop
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100)), freq+(e*SinOsc.kr(0.2, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp)}
~hh= {|freq= 4000, t_trig= 0, amp= 1| var e= EnvGen.ar(Env.perc(0, 0.8), t_trig); Pan2.ar(BPF.ar(WhiteNoise.ar(e)+LFPulse.ar(SinOsc.kr(0.2, 0, 200, 400).round(100), 0, e*0.2+0.4), freq+(e*SinOsc.kr(0.21, 0, 200, 900)).round(100), e+0.2), SinOsc.kr(1/c.tempo*3), amp*0.4)}

~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 2), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, 0.01), 1/c.tempo, 1/c.tempo, 3)}
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, 0.05), 1/c.tempo, 1/c.tempo, 3)}
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, SinOsc.kr(0.2, 0, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404], 0, SinOsc.kr(0.2, pi, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}
~del= {CombN.ar(~out.ar+SinOsc.ar([400, 404]*SinOsc.kr(0.2, pi, 0.05, 1), 0, SinOsc.kr(0.2, pi, 0.05).max(0)), 1/c.tempo, 1/c.tempo, 3)}

~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.1; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.2), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(40*factor)), EnvGen.kr(Env.sine(0.1), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.sine(0.1), DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/8).abs>0.5+1, 1), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Amplitude.kr(~hh.ar)>0.5; Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(100*factor)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}

~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(50*factor).round(100)), EnvGen.kr(Env.perc, DelayN.kr(e, c.tempo.reciprocal, c.tempo.reciprocal), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(50*factor).round(100)), EnvGen.kr(Env.sine(1.2), DelayN.kr(e, c.tempo.reciprocal*2, c.tempo.reciprocal*2), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~out= {|freq= 200, thresh= 0.4, factor= 1| var e= Lag.kr(Amplitude.kr(~hh.ar)>0.5); Pan2.ar(SinOsc.ar(SinOsc.ar([freq, freq+4]/Lag.kr(SinOsc.kr(c.tempo.reciprocal/4).abs>0.5+1, 0.3), 0, e*freq+(50*factor).round(100)), EnvGen.kr(Env.sine(1.2), DelayN.kr(e, c.tempo.reciprocal*2, c.tempo.reciprocal*2), 2pi), EnvGen.kr(Env.sine(1), e, 0.3, 0.2)), SinOsc.kr(c.tempo.reciprocal*3))}
~hh.release
~hh= {Impulse.ar([1, 0.8])}
~hh= {Impulse.ar([1, 0.75])}
~hh= {Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75])}
~hh= {Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75])}
~hh.play
~hh= {Ringz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))}
~hh.stop
~hh= {Ringz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.1}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.1}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))*0.6}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]))}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 100)}
~del.release
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200)*1.5}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200)*2}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(500)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(500, 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal*0.75]), 200, 0.4)*2*SinOsc.ar(50, 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal]), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/3, 1/c.tempo/3, 2), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.1); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.2); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 2)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.3).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo, 0, 50, 500))}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo, 0, 100, 500).round)}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 200, 500).round)}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Lag.kr(Pitch.kr(~out.ar), 0.1).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round+Pitch.kr(~ring.ar))}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 100, 200).round+Pitch.kr(~hh.ar))}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/8, 0, 50, 100).round(50)+Pitch.kr(~hh.ar))}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/7, 0, 25, 50).round(25)+(Pitch.kr(~hh.ar)*2))}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/7, 0, 25, 50).round(25)+(Pitch.kr(~hh.ar)/2))}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Pitch.kr(~out.ar).max(50)*5, 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}
~ring= {var z= Formlet.ar(CombN.ar(~hh.ar, 1/c.tempo/2, 1/c.tempo/2, 3), Pitch.kr(~out.ar), 0.01, 0.2, 0.6); z+CombN.ar(z, 1/c.tempo, 1/c.tempo, 3)}
~out= {SinOsc.ar(SinOsc.kr(1/c.tempo/6, 0, 50, 100).round(50)+Pitch.kr(~hh.ar))}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.4, 0.4), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60], 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+100, 0, 2)}
~hh= {Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4), -1, 1)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 4), -0.6, 0.6)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.25, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}
//uhu, better stop
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, 0.4)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, 0.2), 200, 0.4)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), 200, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), -0.3, 0.3)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), 200, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), BrownNoise.ar, BrownNoise.ar)*2*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}
~hh= {Clip.ar(Resonz.ar(Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal])+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], BrownNoise.ar, BrownNoise.ar)+Impulse.ar([c.tempo.reciprocal, c.tempo.reciprocal], 0.325, BrownNoise.ar), BrownNoise.ar, BrownNoise.ar)*BrownNoise.ar*SinOsc.ar([50, 60]+200, 0, 3), BrownNoise.ar, BrownNoise.ar)}
~out.release(20)
~ring.release(20)
~hh.release(20)
p.clear
p.pop