p= ProxySpace.push(s.boot)

~sun= {|t_trig| SinOsc.ar(40, EnvGen.ar(Env.perc, t_trig)*2pi)}
~out.ar(2)
~out.play
~out.fadeTime_(3)
~out= ~sun
~sun.set(\t_trig, 1)
~sun.set(\t_trig, 1)
~sun.set(\t_trig, 1)

Tdef(\mon).play
(Tdef(\mon, {
	inf.do{|i|
		~sun.set(\t_trig, 1);
		0.2.wait;
	}
}))
(Tdef(\mon, {
	var pat= #[1, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~sun.set(\t_trig, 1);
		});
		0.2.wait;
	}
}))

~sun= {|freq= 40, t_trig| SinOsc.ar(freq, EnvGen.ar(Env.perc, t_trig)*2pi)}

(Tdef(\mon, {
	var pat= #[1, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[40, 60, 80, 80, 80].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~sun.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		0.2.wait;
	}
}))

(Tdef(\mon, {
	var pat= #[1, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[40, 60, 80, 80, 80].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~sun.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.1, 0.1].wrapAt(i.div(6)).wait;
	}
}))


~mon= {|freq= 400, t_trig| BPF.ar(Saw.ar(freq, EnvGen.ar(Env.perc, t_trig)), 200)}
~mon.clear
~mon.ar(2)
~mon= {|freq= 400, t_trig| BPF.ar(Saw.ar(freq, EnvGen.ar(Env.perc, t_trig)), [200, 208])}
~mon.fadeTime_(2)
~out= ~sun+~mon
~mon.set(\t_trig, 1)
Tdef(\tis).play
(Tdef(\tis, {
	var pat= #[1, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[400, 500, 100, 400, 400].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~sun.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.1, 0.1].wrapAt(i.div(6)).wait;
	}
}))

(Tdef(\tis, {
	var pat= #[1, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[400, 500, 100, 400, 400].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~mon.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.1, 0.1].wrapAt(i.div(6)).wait;
	}
}))

~mon= {|freq= 400, t_trig| BPF.ar(Saw.ar(freq, EnvGen.ar(Env.perc, t_trig)), [200, 208], 0.6)}

(Tdef(\tis, {
	var pat= #[1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[400, 600, 200, 400, 400].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~mon.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))

(Tdef(\tis, {
	var pat= #[1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[400, 460, 480, 400, 400].choose}.dup(16)/4;
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~mon.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))

~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(freq, EnvGen.ar(Env.perc, t_trig))*SinOsc.ar(404), [400, 408], 0.5)}

~mon= {|freq= 400, t_trig| RLPF.ar(LFSaw.ar(freq, 0, EnvGen.ar(Env.perc, t_trig)), [400, 408], 0.5)}

~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(freq, EnvGen.ar(Env.perc(0.1), t_trig)), [400, 408], 0.5)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.2), EnvGen.ar(Env.perc(0.05), t_trig)), 800.dup, 0.5)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.2), EnvGen.ar(Env.perc(0.05), t_trig)), EnvGen.ar(Env.perc(0.5, 2), t_trig, 400, [400, 404]), 0.35)}

~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.5), EnvGen.ar(Env.perc(0.05), t_trig)), EnvGen.ar(Env.perc(0.5, 2), t_trig, 400, [400, 404]), 0.35)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.5), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.5, 2), t_trig, 400, [400, 404]), 0.35)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.5), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]), 0.25)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, 0.7), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]), 0.25)}

~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.04, 0.4), t_trig, 400, [400, 404]), 0, 2pi)).dup}
~tis.ar(2)
~tis.fadeTime_(3)
~out= ~sun+~mon+~tis
~out= ~sun+~mon
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.04, 0.4), t_trig, 400, [400, 404]), 0, 2pi)*0.2).dup}
~out= ~sun+~mon+~tis
~out= ~sun+~mon
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.04, 0.4), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~out= ~sun+~mon+~tis
~out= ~sun+~mon

(Tdef(\ons, {
	var pat= #[1, 1, 0, 0, 0, 1];
	var freq= {460*[1, 1, 1.5, 2].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~tis.set(\t_trig, 1, \freq, 300);
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))
Tdef(\ons).play
~out= ~sun+~mon+~tis

(Tdef(\ons, {
	var pat= #[1, 1, 0, 0, 0, 1];
	var freq= {460*[1, 1, 1.5, 2].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~tis.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))


(Tdef(\ons, {
	var pat= #[1, 1, 0, 0, 0, 1];
	var freq= {[1, 1, 1.5, 2].choose}.dup(16);
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~tis.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))
(Tdef(\ons, {
	var pat= #[1, 1, 0, 0, 0, 1];
	var freq= {[1, 1, 1.5, 2].choose}.dup(16)*0.05;
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~tis.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))

(Tdef(\ons, {
	var pat= #[1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0].scramble;
	var freq= {[1, 1, 1.5, 2, 0.5, 0.5, 0.5].choose}.dup(16)*0.05;
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~tis.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(8)).wait;
	}
}))

~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0, 0.4), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(Rand(0, 1), 0.4), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(1, 0.4), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.sine(1), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.2, 0.9), t_trig, -400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.2, 0.9), t_trig, 400, [400, 404]), 0, 2pi), 0.2).dup}
~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.2, 0.9), t_trig, 400, [400, 404]), 0, SinOsc.kr(0.05, 0, pi, pi)), 0.2).dup}

~sun= {|freq= 40, t_trig| SinOsc.ar(freq, EnvGen.ar(Env.perc(0), t_trig)*2pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq, CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.2, 0.2)*2pi)}

~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, SinOsc.kr(0.2, 0, 0.3, 0.5)), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]), 0.25)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, SinOsc.kr(0.2, 0, 0.3, 0.5)), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]*(SinOsc.kr(0.2)>0.4+1)), 0.25)}
~mon= {|freq= 400, t_trig| RLPF.ar(Saw.ar(Lag.kr(freq, SinOsc.kr(0.2, 0, 0.3, 0.5)), EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]*(SinOsc.kr(0.2)>0.4+1)), SinOsc.kr(0.2, 0, 0.1, 0.3))}

(Tdef(\tis, {
	var pat= #[1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 1, 1];
	var freq= {[400, 460, 480, 400, 600].choose}.dup(16)/4;
	inf.do{|i|
		if(pat.wrapAt(i)==1, {
			~mon.set(\t_trig, 1, \freq, freq.wrapAt(i));
		});
		[0.2, 0.2, 0.1].wrapAt(i.div(6)).wait;
	}
}))

~out= ~tis+~mon
~out= ~tis
~out= ~sun
~out.fadeTime_(10)
~out= ~sun*~mon
~out= ~sun
~out= ~sun*~tis
~out= ~sun
~sun= {|freq= 40, t_trig| SinOsc.ar(freq, CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.2, 0.1)*2pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq, CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*2pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(EnvGen.ar(Env.perc(0.1, 0.1), t_trig), 400, 400), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}

~sun= {|freq= 40, t_trig| SinOsc.ar(freq, CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*2pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(EnvGen.ar(Env.perc(0.01, 0.01), t_trig), 400, 400), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(EnvGen.ar(Env.perc(0.1, 0.06), t_trig, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(EnvGen.ar(Env.perc(0.1, 0.6), t_trig, 400, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.1, 0.6), t_trig, 400, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.1, 0.6), t_trig, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.1, 0.06), t_trig, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.01, 0.06), t_trig, 400)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.01, 0.06), t_trig, 800)), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(500, 0, 1, EnvGen.ar(Env.perc(0.01, 0.06), t_trig, SinOsc.ar(0.2, 0, 400, 400))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(700, 0, 1, EnvGen.ar(Env.perc(0.01, 0.06), t_trig, SinOsc.ar(0.2, 0, 400, 400))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(70, 0, 1, EnvGen.ar(Env.perc(0.01, 0.06), t_trig, SinOsc.ar(0.2, 0, 400, 400))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(70, 0, 1, EnvGen.ar(Env.perc(SinOsc.kr(0.2, 0, 0.005, 0.01), SinOsc.kr(0.2, 0, 0.03, 0.06)), t_trig, SinOsc.ar(0.2, 0, 400, 400).round(50))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}
~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(70, 0, 1, EnvGen.ar(Env.perc(SinOsc.kr(0.2, 0, 0.005, 0.01), SinOsc.kr(0.2, 0, 0.03, 0.06)), t_trig, SinOsc.ar(0.3, 0, 200, 400).round(50))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*pi)}

~sun= {|freq= 40, t_trig| SinOsc.ar(freq+SinOsc.ar(70, 0, 1, EnvGen.ar(Env.perc(SinOsc.kr(0.2, 0, 0.005, 0.01), SinOsc.kr(0.2, 0, 0.03, 0.06)), t_trig, SinOsc.ar(0.3, 0, 200, 400).round(50))), CombN.ar(EnvGen.ar(Env.perc(0), t_trig), 0.4, 0.4)*2pi)}
~out= ~sun+(~mon*0.1)

~mon= {|freq= 400, t_trig| RLPF.ar(LFPulse.ar(Lag.kr(freq, SinOsc.kr(0.2, 0, 0.3, 0.5)), 0, EnvGen.ar(Env.perc(0.0), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]*(SinOsc.kr(0.2)>0.4+1)), SinOsc.kr(0.2, 0, 0.1, 0.3))}
~mon= {|freq= 400, t_trig| RLPF.ar(LFPulse.ar(Lag.kr(freq, SinOsc.kr(0.2, 0, 0.3, 0.5)), 0, EnvGen.ar(Env.perc(0.2, 0.2), t_trig)), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 400, [400, 404]*(SinOsc.kr(0.2)>0.4+1)), SinOsc.kr(0.2, 0, 0.1, 0.3))}

~out= ~sun+(~mon*0.1)+(~tis*0.1)

~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0.2, 0.9), t_trig, 40, [400, 404]), 0, SinOsc.kr(0.05, 0, pi, pi)), 0.2).dup}

~tis= {|freq= 400, t_trig| SinOsc.ar(Lag2.kr(freq, 0.3), SinOsc.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig, 40, [400, 404]), 0, SinOsc.kr(0.06, 0, pi, pi)), 0.2).dup}

~ons.ar(2)
~ons= {|freq= 900| ~tis.ar*SinOsc.ar(EnvGen.ar(Env.perc(0, 0.1), ~sun.ar>0.9, 400, 400))}
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.1)

~ons= {|freq= 900| ~tis.ar*SinOsc.ar(EnvGen.ar(Env.perc(0, SinOsc.kr(0.2, 0, 0.1, 0.3)), ~sun.ar>0.9, 400, 800))}

~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)

~ons= {|freq= 900| ~tis.ar*SinOsc.ar(EnvGen.ar(Env.perc(0, SinOsc.kr(0.2, 0, 0.1, 0.3)), ~sun.ar>0.9, 400, freq))}
Tdef(\tor).play
(Tdef(\tor, {
	var freq= [800, 800, 800, 800, 800, 900, 900, 900].scramble;
	inf.do{|i|
		~ons.set(\freq, freq.wrapAt(i));
		0.2.wait;
	}
});)
(Tdef(\tor, {
	var freq= [800, 800, 800, 800, 800, 900, 900, 900].scramble;
	inf.do{|i|
		~ons.set(\freq, freq.wrapAt(i));
		2.wait;
	}
}))
(Tdef(\tor, {
	var freq= [800, 1800, 800, 800, 800, 900, 900, 900].scramble;
	inf.do{|i|
		~ons.set(\freq, freq.wrapAt(i));
		[0.2, 1].foldAt(i).wait;
	}
}))
(Tdef(\tor, {
	var freq= [800, 1800, 1800, 800, 800, 900, 900, 900].scramble;
	inf.do{|i|
		~ons.set(\freq, freq.wrapAt(i));
		[0.2, 1].foldAt(i).wait;
	}
}))

~tor= {|freq= 900| ~ons.ar*SinOsc.ar(EnvGen.ar(Env.perc(0, SinOsc.kr(0.22, 0, 0.1, 0.3)), ~mon.ar>0.9, 400, 800))}
~tor.ar(2)
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.1)

(Tdef(\fre, {
	var freq= [800, 1800, 1800, 800, 800, 900, 900, 900]*2;
	inf.do{|i|
		~tor.set(\freq, freq.wrapAt(i));
		[0.3, 0.9].foldAt(i).wait;
	}
}))
Tdef(\fre).play
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.2)

~fre= {|freq= 900| ~tor.ar*SinOsc.ar(EnvGen.ar(Env.perc(0, SinOsc.kr(0.24, 0, 0.1, 0.3)), ~tis.ar>0.9, 400, 800))}
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.2)+(~fre*0.1)

(Tdef(\lor, {
	var freq= [1800, 800, 800, 900, 900, 900].scramble*4;
	inf.do{|i|
		~fre.set(\freq, freq.wrapAt(i));
		[0.4, 0.8].foldAt(i).wait;
	}
}))
Tdef(\lor).play


~lor= {|freq= 900| ~sun.ar*~mon.ar*~tis.ar*~ons.ar*~tor.ar*~fre.ar}
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.2)+(~fre*0.1)+(~lor*0.05)
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.2)+(~fre*0.1)+(~lor*0.1)
~out= ~sun+(~mon*0.1)+(~tis*0.1)+(~ons*0.2)+(~tor*0.2)+(~fre*0.1)+(~lor*0.2)
~out= ~sun+(~mon*0.08)+(~tis*0.08)+(~ons*0.15)+(~tor*0.15)+(~fre*0.1)+(~lor*0.2)
~out= ~sun+(~mon*0.04)+(~tis*0.04)+(~ons*0.1)+(~tor*0.1)+(~fre*0.08)+(~lor*0.5)
~out= (~sun*0.8)+(~mon*0.02)+(~tis*0.02)+(~ons*0.08)+(~tor*0.08)+(~fre*0.04)+~lor
~out= (~sun*0.6)+(~tis*0.02)+(~tor*0.08)+(~fre*0.04)+~lor
~out= (~sun*0.4)+(~lor*1.3)
~out= (~sun*0.3)+(~lor*1.6)
~out= (~sun*0.3)+(~lor*2)
~out= (~sun*0.2)+(~lor*3)
~out= (~sun*0.1)+(~lor*4)
~out= (~sun*0.05)+(~lor*5)
~out= (~sun*0.025)+(~lor*6)
~out= (~sun*0.01)+(~lor*7)
~out= (~lor*8)
~out.release(10)
p.clear
p.pop
