///////////////////////////////////////////////////
// History, as it was on Wed Jun 13 02:31:35 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:9.66 -
p.makeTempoClock(2.6)

// - 0:0:13.85 -
c= p.clock

// - 0:0:45.57 -
Pdef(\asdf).play(c)

// - 0:2:25.98 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0), doneAction:2);
	z= SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:2:44.54 -
Pdef(\asdf, Pbind(\instrument, \pm))

// - 0:3:1.85 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pseq([0, 0.1], inf)))

// - 0:3:13.32 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pseq([0, 0.1, 0.1, 0.1, 0, 0].scramble, inf)))

// - 0:3:36.57 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pshuf([0, 0.1, 0.1, 0.1, 0, 0], inf)))

// - 0:3:57.97 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf)))

// - 0:4:11.22 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25))

// - 0:5:24.87 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:5:37.46 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.2, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25))

// - 0:6:7.28 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= LPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 400*amp+400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:6:24.55 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= LPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 4000*amp+400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:6:38.02 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 4000*amp+400);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:6:43.21 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(0.2, 0, 0.1)), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:7:11.91 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, SinOsc.ar(freq, 0, 2pi+SinOsc.kr(1, 0, 0.15)), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:7:50.37 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, 0.3);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:8:3.13 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, 0.3+amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:8:30.34 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:8:37.58 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RHPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:8:40.68 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:8:45.01 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), amp), 6000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:2.5 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), 900), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:7.35 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), 900, 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:17.81 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:53.32 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \freq, Pn(Pshuf([90, 90, 90, 60, 50], 4), inf)))

// - 0:10:14.37 -
90.cpsmidi

// - 0:10:45.69 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \degree, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

// - 0:10:55.18 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

// - 0:11:30.87 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 0.1, 0.1, 0.1, 1, 1], 4), inf)))

// - 0:11:52.64 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 0:12:12.7 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:12:30.3 -
Pdef(\zwei).play(c)

// - 0:13:14.43 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)

// - 0:13:31.9 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29), \dur, 4)

// - 0:14:0.34 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:14:12.26 -
Pdef(\drei).play(c)

// - 0:14:30.6 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 4, \amp, 0.4, \pan, 0.3))

// - 0:14:38.08 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 6, \amp, 0.4, \pan, 0.3))

// - 0:14:45.47 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 8, \amp, 0.4, \pan, 0.3))

// - 0:15:10.77 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([8, 8, 4, 4, 2, 2, 4], inf), \amp, 0.4, \pan, 0.3))

// - 0:16:46.4 -
Pdef(\fyra).play(c)

// - 0:17:40.06 -
Pdef(\fyra, Pbind(\instrument, \asdf, \dur, 1))

// - 0:18:2.26 -
Pdef(\asdf).stop

// - 0:18:6.62 -
Pdef(\fyra).stop

// - 0:18:15.61 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 1))

// - 0:18:29.64 -
//uhu, recursion depth

// - 0:19:30.67 -
//will it ever stop?

// - 0:19:51.88 -
Pdef(\fyra).stop

// - 0:20:7.77 -
Pdef(\asdf).stop

// - 0:20:32.71 -
//cpu +125%

// - 0:21:8.21 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= SinOsc.ar(freq, 0, 0.01);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:21:17.47 -
//temp

// - 0:21:28.91 -
Pdef.all

// - 0:21:48.95 -
Pdef(\asdf).clear

// - 0:21:56.23 -
Pdef(\fyra).clear

// - 0:23:23.55 -
//seems endless

// - 0:24:16.25 -
c.clear

// - 0:24:29.76 -
c= p.clock

// - 0:24:30.82 -
Pdef(\zwei).play(c)

// - 0:24:38.19 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)

// - 0:24:50.86 -
c.clear

// - 0:25:10.32 -
c= p.clock

// - 0:25:12.66 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29-12), \dur, 4)

// - 0:25:17.96 -
Pdef(\zwei).play(c)

// - 0:25:37.1 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(1, 0, 0.15))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:25:44.08 -
Pdef(\drei).play(c)

// - 0:25:44.21 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 4, \amp, 0.4, \pan, 0.3))

// - 0:25:56.48 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 1))

// - 0:25:57.29 -
Pdef(\fyra).play(c)

// - 0:26:2.81 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, 10))

// - 0:26:22.65 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf)))

// - 0:27:10.25 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 40))

// - 0:27:16.26 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 90))

// - 0:27:24 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 120))

// - 0:27:34.43 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 110))

// - 0:27:49.04 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, 110, \amp, 0.3))

// - 0:28:7.27 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98], \amp, 0.3))

// - 0:28:19.91 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98], \amp, [0.3, 0.1]))

// - 0:28:35.04 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 3, \midinote, [110, 98, 90], \amp, [0.3, 0.1, 0.1]))

// - 0:28:59.41 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.01), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(2, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:29:14.88 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 0:29:24.15 -
Pdef(\asdf).play(c)

// - 0:29:37.95 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+5, \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 0:30:2.44 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 0:30:36.67 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.1, 0.1, 0.1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 0:31:42.71 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pn(1, 16), 8], inf), \legato, 2, \midinote, [110, 98, 90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:32:9.17 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 2, \amp, 0.4, \pan, 0.3))

// - 0:32:30.52 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 38, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:32:37.83 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 39, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:32:43.91 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 30, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:32:50.94 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 29, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:32:59.31 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 35, \dur, 4, \amp, 0.4, \pan, -0.3))

// - 0:33:11.09 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 2.5, \amp, 0.4, \pan, -0.3))

// - 0:33:18.23 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 2.5, \amp, 0.14, \pan, -0.3))

// - 0:34:27.81 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, -0.3))

// - 0:35:8.08 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, 2, \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:35:23.39 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 50, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.3, 0.3], inf)))

// - 0:36:35.43 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:37:17.52 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(-12, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:37:37.08 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(12, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:37:51.48 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(5, 16), Pn(-5, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:38:1.73 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(2, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:38:19.08 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 4.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:38:31.51 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*#[1, 2.01, 3.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 4000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:39:51.28 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 5)+0.04], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:40:4.38 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(0, BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:40:34.25 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(10, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:40:44.31 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(10, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:40:57.5 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.1, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:41:7.83 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.01, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.kr(5, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:41:19.22 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.01, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(15, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:41:50.96 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:42:8.67 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:42:18.34 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.5, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:42:30.21 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.33, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:42:44.64 -
c.tempo.reciprocal

// - 0:42:45.29 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:42:54.45 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/2, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:43:1.21 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/3, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]))

// - 0:43:23.64 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 4/3, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:43:38.1 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 2, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:43:50.35 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, 0.5, \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:44:51.39 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, 62, \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:45:47.02 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(62, 60), Pseries(61, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:46:27.71 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:46:49.19 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 30, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:46:54.29 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 29, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:47:0.38 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 33, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:47:4.81 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 34, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:48:9.21 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pstutter(8, Pseq([34, 30, 29], 1), inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:48:56.86 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 8), Pn(29, 8)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:49:15.18 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 17), Pn(30, 7), Pn(29, 7)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:49:35.16 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 15), Pn(30, 7), Pn(29, 7)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:50:21.59 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:50:52.39 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(62, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 0:51:10.88 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(15, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:51:19.79 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.2))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:51:35.48 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.3))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:51:50.55 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 900), 0.2), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:52:6.44 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0, amp*2+0.04), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1200), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:52:26.31 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1200), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:52:39.67 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.02, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:52:53.16 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(25, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:53:7.65 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, amp), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:53:26.53 -
Pdef(\zwei).pause

// - 0:54:2.77 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(0.5, 12), 2], inf), \amp, 0.4, \pan, Pseq([0.3, -0.3], inf)))

// - 0:54:38.85 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(0.5, 12), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

// - 0:55:5.06 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01, IRand(3, 4)+0.02], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:55:29.1 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq*[1, 2.01], 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:55:41.09 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), Rand(500, 1600), 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:55:55.78 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= RLPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 1000, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:56:3.52 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 1000, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:56:14.02 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400, 0.3), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:56:21.18 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= BPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400, 1), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:56:30.01 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 400), amp), 5000*amp+400, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:57:3.45 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf), \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

// - 0:58:4.68 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, c.tempo.reciprocal/3, \midinote, [110, 98, 90]-Pseq([Pn(0, 16), Pn(6, 16), Pn(-6, 16)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 0:58:29.41 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, [90], \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 0:58:36.86 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, 80, \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 0:58:54.91 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.5, 1].choose}.dup(8)), 8], inf), \legato, 2, \strum, 0.1, \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 0:59:34.91 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pseq([Pshuf({[0.25, 0.5, 1].choose}.dup(8)), 1], inf), \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 1:0:9.38 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pshuf({[0.25, 0.5, 1].choose}.dup(8), inf), \midinote, Pseq([90, Pn(80, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 1:0:27.86 -
Pdef(\fyra, Pbind(\instrument, \pm, \dur, Pshuf({[0.25, 0.5, 1].choose}.dup(8), inf), \midinote, Pseq([90, Pn(78, 7)], inf), \amp, Prand([1, 0.8, 1.2], inf)*[0.3, 0.1, 0.1]*0.3))

// - 1:0:55.73 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 500), amp), 5000*amp+500, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:8.57 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.04, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:20.6 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.ar(freq*0.1, 0, 0.1), BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:30.25 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(10, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:39.12 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(60, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:1:46.29 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp*2+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:12.26 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, amp*2+0.07), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:31.7 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, 1), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Mix(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5))), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:2:47.05 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.006, 0.5), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:3.67 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, RLPF.ar(SinOsc.ar(freq, 0, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:21.85 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi+SinOsc.ar(35, 0, 0.5)), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:3:51.46 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 300), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:14.34 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 100), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:22.18 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:34.87 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(LFSaw.ar(freq, 0, 2pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:44.4 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+600, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:4:59.13 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 1:5:34.38 -
Pdef(\zwei).resume

// - 1:6:5.91 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(82, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.15.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 1:6:17.62 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(82, 60), Pseries(51, 2, 4/0.125)], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 1:6:40.93 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([90, 60], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 1:6:54.73 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([Pn(0.5, 60), Pn(0.125, 4/0.125)], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 1:7:8.03 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.4, 0.4], inf)))

// - 1:7:31.22 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.5.rand}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

// - 1:7:46.63 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.6.rand.round(0.3)}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

// - 1:8:8.28 -
Pdef(\drei).pause

// - 1:8:51.02 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.8, 0.8, 0.8, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 1:8:59.47 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 0.5, 0.5, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)+Pseq([Pn(0, 32), Pn(5, 32), Pn(0, 40), Pn(-7, 24)], inf), \legato, Pn(Pshuf([1, 1.5, 2, 1.5, 1, 1], 4), inf)))

// - 1:9:20.45 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 0.5, 0.5, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

// - 1:9:34.93 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf), \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

// - 1:10:2.67 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(160, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:10:32.62 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(MouseX.kr(0, 500), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:10:47.32 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(MouseX.kr(0, 500).poll, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:12:4.95 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf)))

// - 1:12:37.67 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \freq2, 123.7, \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.6.rand.round(0.3)}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

// - 1:12:58.4 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(freq2, BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:13:33.4 -
Pdef(\zwei, Pbind(\instrument, \pm, \midinote, Pseq([82, 51], inf), \freq2, Pseq([Pn(123.7, 12), Pn(0, 12)], inf), \dur, Pseq([1, 1.5], inf), \amp, Pn(Pshuf({0.6.rand.round(0.3)}.dup(16), 8), inf), \pan, Pseq([-0.7, 0.7], inf)))

// - 1:13:54.95 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(0, 12)], inf)))

// - 1:14:2.28 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(1, 12)], inf)))

// - 1:14:8.98 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(10, 12)], inf)))

// - 1:14:13.21 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(100, 12)], inf)))

// - 1:14:17.07 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(1000, 12)], inf)))

// - 1:14:22.03 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(200, 12)], inf)))

// - 1:14:38.37 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(123.7*2, 12)], inf)))

// - 1:14:51.37 -
Pdef(\asdf, Pbind(\instrument, \pm, \amp, Pn(Pshuf([0, 0.5, 1, 1, 0, 0], 4), inf)*0.9, \dur, 0.25, \midinote, Pn(Pshuf([41, 41, 41, 41, 29, 33], 4), inf), \freq2, Pseq([Pn(123.7, 12), Pn(200, 12)], inf)))

// - 1:15:11.45 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Lag.kr(freq2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:15:34.47 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.kr(0, freq2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:15:46.19 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(Line.kr(freq2, freq2/2, 0.5), BPF.ar(Saw.ar(freq, 2pi), 10), amp), 5000*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:16:15.89 -
(
SynthDef(\pm, {|out= 0, freq= 90, amp= 0.1, pan= 0, freq2= 140|
	var z, e;
	e= EnvGen.ar(Env.perc(0.01, 0.7), doneAction:2);
	z= LPF.ar(SinOsc.ar(123, BPF.ar(Saw.ar(freq, 2pi), 2), amp), Line.kr(freq2, freq2/2, 0.5)*amp+800, amp+0.1);
	Out.ar(out, Pan2.ar(Limiter.ar(z)*e, pan));
}).store
);

// - 1:16:48.72 -
Pdef(\drei).resume

// - 1:17:6.68 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf), \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:27.17 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*2, \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:32.89 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+50, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:38.1 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+40, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:42.54 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+30, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:46.85 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+20, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:17:50.37 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, Pseq([Pn(34, 16), Pn(30, 6), Pn(29, 6)], inf)+10, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:18:6.37 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 100, \dur, Pseq([Pn(1, 6), 2], inf), \amp, Pshuf([0.4, 0.5, 0.6], inf)*3, \pan, Pseq([0.3, -0.3], inf)))

// - 1:18:16.64 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 100, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 1, \pan, Pseq([0.3, -0.3], inf)))

// - 1:18:27.94 -
Pdef(\drei, Pbind(\instrument, \pm, \midinote, 10, \dur, Pseq([Pn(1, 6), 2], inf), \amp, 1, \pan, Pseq([0.3, -0.3], inf)))

// - 1:18:37.53 -
Pdef(\drei).stop

// - 1:18:43.55 -
Pdef(\zwei).stop

// - 1:18:54.03 -
Pdef(\asdf).pause

// - 1:19:8.91 -
Pdef(\fyra).isPlaying

// - 1:19:12.86 -
Pdef(\fyra).stop

// - 1:19:19 -
p.pop

// - 1:19:20.94 -
p.clear

