p= ProxySpace.push(s.boot)
p.makeTempoClock(2)
c= p.clock

~out.ar(2)
~out.play

~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| Pan2.ar(SinOsc.ar(freq, 0, amp), pan)}
~out= ~bas
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp), 500), pan)}
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 1), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}
~bas.set(\t_trig, 1)
Tdef(\bas).play(c, quant:4)
(Tdef(\bas, {
	inf.do{|i|
		~bas.set(\t_trig, 1);
		1.wait;
	}
}))
(Tdef(\bas, {
	var f= Pseq([60, 62, 55, 55], inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next);
		4.wait;
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 62, 55, 55], inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		4.wait;
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]*0.5, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		4.wait;
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		4.wait;
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		4.wait;
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		8.wait;
	}
}))

~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.perc(0.05, c.beatDur*8), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.asr(0.05, c.beatDur*7.9, 0.1), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}

~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7.9, 0.1), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7.5, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp*e), 500), pan)}
~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(freq, 0, amp)*e, 500), pan)}

Tdef(\bas).pause

~fm= {|freq= 60, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(BPF.ar(SinOsc.ar(freq+SinOsc.ar(freq2, 0, amp2), 0, amp)*e, 500), pan)}
~out= ~bas+~fm
~fm.set(\t_trig, 1)
~fm= {|freq= 60, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(BPF.ar(SinOsc.ar(freq*SinOsc.ar(freq2, 0, amp2), 0, amp)*e, 500), pan)}
~fm.set(\t_trig, 1)
~fm= {|freq= 60, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(SinOsc.ar(freq*SinOsc.ar(freq2, 0, amp2), 0, amp)*e, pan)}
~fm.set(\t_trig, 1)
~fm= {|freq= 600, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(SinOsc.ar(freq*SinOsc.ar(freq2, 0, amp2), 0, amp)*e, pan)}
~fm.set(\t_trig, 1)
~fm= {|freq= 600, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(SinOsc.ar(freq+SinOsc.ar(freq2, 0, amp2), 0, amp)*e, pan)}
~fm.set(\t_trig, 1, \amp2, 100)
~fm= {|freq= 600, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(SinOsc.ar(freq+SinOsc.ar(freq2, 0, amp2*e), 0, amp)*e, pan)}
~fm.set(\t_trig, 1, \amp2, 100)
~fm= {|freq= 600, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 0.5), t_trig); Pan2.ar(SinOsc.ar(freq+SinOsc.ar(freq2*e, 0, amp2*e), 0, amp)*e, pan)}
~fm.set(\t_trig, 1, \amp2, 100)
~fm= {|freq= 600, freq2= 80, t_trig= 0, amp= 0.1, amp2= 0.2, pan= 0| var e= EnvGen.ar(Env.perc(0.05, 3), t_trig); Pan2.ar(SinOsc.ar(freq+SinOsc.ar(freq2*e, 0, amp2*e), 0, amp)*e, pan)}
Tdef(\arp).play(c, quant:4)
(Tdef(\arp, {
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \amp2, (j*3+60).midicps);
			(1/6).wait;
		};
		3.wait;
	}
}))
Tdef(\bas).resume

(Tdef(\arp, {
	inf.do{|i|
		//6.do{|j|
		~fm.set(\t_trig, 1, \amp2, (80).midicps);
		//	(1/6).wait;
		//};
		1.wait;
		3.wait;
	}
}))

(Tdef(\arp, {
	inf.do{|i|
		//6.do{|j|
		~fm.set(\t_trig, 1, \amp2, (82).midicps);
		//	(1/6).wait;
		//};
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (75).midicps);
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (82).midicps);
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (84).midicps);
		1.wait;
	}
}))

(Tdef(\arp, {
	inf.do{|i|
		//6.do{|j|
		~fm.set(\t_trig, 1, \freq, (82).midicps, \amp2, 4);
		//	(1/6).wait;
		//};
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (75).midicps);
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (82).midicps);
		1.wait;
		~fm.set(\t_trig, 1, \amp2, (84).midicps);
		1.wait;
	}
}))
Tdef(\arp).pause
~fm.set(\t_trig, 1, \freq, 84.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 55.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 75.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 76.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 78.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 80.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 82.midicps, \freq2, 10, \amp2, 10);
~fm.set(\t_trig, 1, \freq, 75.midicps, \freq2, 10, \amp2, 10);

(Tdef(\arp, {
	var f= Pseq([76, 80, 82, 75], inf).asStream;
	inf.do{|i|
		//6.do{|j|
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
		//	(1/6).wait;
		//};
		1.wait;

	}
}))
Tdef(\arp).resume

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		//6.do{|j|
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
		//	(1/6).wait;
		//};
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
			(1/6).wait;
		};
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
			(1/8).wait;
		};
		(1/8).wait;
		(1/8).wait;
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		4.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
			(1/8).wait;
		};
		(1/8*4).wait;
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 1);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		4.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j, \freq2, 40);
			(1/8).wait;
		};
		(1/8*4).wait;
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		4.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*40, \freq2, 40);
			(1/8).wait;
		};
		(1/8*4).wait;
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		4.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 15);
			(1/8).wait;
		};
		(1/8*4).wait;
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([77, 80, 82, 75], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 15);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([75, 80, 82, 77], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

~sn= {|pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc, t_trig)), 2000, 0.2), pan)}
~sn= {|t_trig= 0, pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc, t_trig)), 2000, 0.2), pan)}
~out= ~sn+~arp+~bas
~out= ~sn+~fm+~bas
Tdef(\sn).play(c, quant:4)
(Tdef(\sn, {
	0.5.wait;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2);
		1.wait;
	}
}))
~sn= {|cutoff= 2000, t_trig= 0, pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 0.1), t_trig)), cutoff, 0.2), pan)}

(Tdef(\sn, {
	var f= Pseq([2000, 4000, 2000, 6000], inf).asStream;
	0.5.wait;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next);
		1.wait;
	}
}))

a= {[1.0.rand, 0].wchoose([0.3, 0.6, 0.1])}.dup(16)
(Tdef(\sn, {
	var f= Pseq([2000, 4000, 2000, 6000], inf).asStream;
	0.5.wait;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		1.wait;
	}
}))
~sn= {|amp= 0.1, cutoff= 2000, t_trig= 0, pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, 0.1), t_trig)), cutoff, 0.2), pan, amp)}

(Tdef(\sn, {
	var f= Pseq([2000, 4000, 2000, 6000], inf).asStream;
	0.5.wait;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([2000, 4000, 2000, 6000], inf).asStream;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		0.25.wait;
	}
}))

a= a.collect{|x, y| if(y%4==2, 1, x)}

(Tdef(\sn, {
	var f= Pseq([2000, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		0.25.wait;
	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Pseq([60, 60, 80, 80], 4)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Prand([Pseq([60, 60, 80, 80], 4), Pseq([59, 59, 80, 80], 4)], 1)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Prand([Pseq([60, 60, 80, 80], 4), Pseq([62, 62, 80, 80], 4)], 1)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 1, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Prand([Pseq([60, 60, 80, 80], 4), Pseq([62, 62, 80, 80], 4)], 1)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 10, \freq2, 10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Prand([Pseq([60, 60, 80, 80], 4), Pseq([63, 63, 80, 80], 4)], 1)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 10, \freq2, i%10);
		1.wait;

	}
}))

(Tdef(\arp, {
	var f= Pseq([Pseq([75, 80, 82, 77], 4), Prand([Pseq([60, 60, 80, 80], 4), Pseq([64, 64, 80, 80], 4)], 1)], inf).asStream;
	inf.do{|i|
		6.do{|j|
			~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, j*10, \freq2, 150);
			(1/6).wait;
		};
		~fm.set(\t_trig, 1, \freq, f.next.midicps, \amp2, 10, \freq2, i%10);
		1.wait;

	}
}))

a= {[1.0.rand, 0].wchoose([0.3, 0.6, 0.1])}.dup(16)
a= a.collect{|x, y| if(y%4==2, 1, x)}

~bas= {|freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(freq, 0, amp)*e, 1500), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(freq, 0, amp)*e, cutoff), pan)}

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps);
		if(i%4==0, {
			4.wait;
			~bas.set(\t_trig, 1, \freq, f.next.midicps);
			4.wait;
		}, {
			8.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500);
		if(i%4==0, {
			4.wait;
			~bas.set(\t_trig, 1, \freq, f.next.midicps);
			4.wait;
		}, {
			8.wait;
		});
	}
}))

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(freq+EnvGen.kr(Env.perc, t_trig, 30), 0, amp)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), 0, amp)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), 0, amp*2)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.1, 0.2), t_trig, 2pi), amp*2)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*2)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.5, 0.25]*amp))+t_trig, pan)}
~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.5, 0.25]*amp))+t_trig, 0)}
~out= ~sn+~fm+~bas+~kik
~kik.set(\t_trig, 1)
~kik.set(\t_trig, 1)
~kik.set(\t_trig, 1, \amp, 0.7)
~kik.set(\t_trig, 1, \amp, 1)
~out.fadeTime_(5)
~out= ~sn+~bas
~out= ~sn+~kik
~kik.set(\t_trig, 1, \amp, 1)

~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.5, 0.25]*amp*e))+t_trig, 0)}
~kik.set(\t_trig, 1, \amp, 1)
~kik.set(\t_trig, 1, \amp, 1)
~kik.set(\t_trig, 1, \amp, 1)
Tdef(\kik).play(c, quant:4)
(Tdef(\kik, {
	inf.do{|i|
		~kik.set(\t_trig, 1, \amp, 0.7);
		1.wait;
	}
}))

a= {[1.0.rand, 0].wchoose([0.3, 0.6, 0.1])}.dup(16)
a= a.collect{|x, y| if(y%4==2, 1, x)}

(Tdef(\kik, {
	var hick;
	inf.do{|i|
		~kik.set(\t_trig, 1, \amp, 0.7);
		if(0.1.coin, {
			hick= 1.0.rand.round(0.1);
			hick.wait;
			~kik.set(\t_trig, 1, \amp, 0.3.rand);
			(1-hick).wait;
		}, {
			1.wait;
		});
	}
}))

(Tdef(\kik, {
	var hick;
	inf.do{|i|
		~kik.set(\t_trig, 1, \amp, 0.7);
		if(0.1.coin, {
			hick= [0.25, 0.5, 0.75].choose;
			hick.wait;
			~kik.set(\t_trig, 1, \amp, 0.3.rand);
			(1-hick).wait;
		}, {
			1.wait;
		});
	}
}))
(Tdef(\kik, {
	var hick;
	inf.do{|i|
		~kik.set(\t_trig, 1, \amp, 0.7);
		if(0.1.coin, {
			hick= [0.125, 0.125, 0.25, 0.5, 0.75].choose;
			hick.wait;
			~kik.set(\t_trig, 1, \amp, 0.3.rand);
			(1-hick).wait;
		}, {
			1.wait;
		});
	}
}))

~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.6, 0.4]*amp*e))+t_trig, 0)}

~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.13), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.6, 0.4]*amp*e))+t_trig, 0)}

~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, SinOsc.kr(0.2, 0, 0.05, 0.11)), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.6, 0.4]*amp*e))+t_trig, 0)}
~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, SinOsc.kr(0.2, 0, 0.05, 0.11), t_trig)); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.6, 0.4]*amp*e))+t_trig, 0)}
~kik= {|t_trig= 0, freq= 40, amp= 0.1| var e= EnvGen.ar(Env.perc(0.01, 0.11), t_trig); Pan2.ar(Mix(SinOsc.ar(freq*[1, 2.01, 3.02], 0, [1, 0.6, 0.4]*amp*e))+t_trig, 0)}


~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)*SinOsc.ar(400)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}
~out= ~sn+~bas
~out= ~sn+~kik
~out= ~sn+~kik+~bas

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)*SinOsc.ar(4000)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)*SinOsc.ar(4000, 0, 2)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)*SinOsc.ar(140, 0, 2)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(freq, 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

a= {[1.0.rand, 0, 1].wchoose([0.3, 0.6, 0.1])}.dup(16)
a= a.collect{|x, y| if(y%4==2, 1, x)}

(Tdef(\sn, {
	var f= Pseq([200, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i));
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, f.next, \amp, a.wrapAt(i)*2);
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		var fnext= f.next;
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, fnext, \amp, a.wrapAt(i)*2, \dur, 6000/fnext);
		0.25.wait;
	}
}))
~sn= {|dur= 0.1, amp= 0.1, cutoff= 2000, t_trig= 0, pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, dur), t_trig)), cutoff, 0.2), pan, amp)}

~sn= {|q= 0.2, dur= 0.1, amp= 0.1, cutoff= 2000, t_trig= 0, pan= 0| Pan2.ar(BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0.001, dur), t_trig)), cutoff, q), pan, amp)}

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		var fnext= f.next;
		~sn.set(\t_trig, 1, \pan, 0.4.rand2, \cutoff, fnext, \amp, a.wrapAt(i)*2, \dur, 6000/fnext/2, \q, i%64/63+0.05);
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		var fnext= f.next;
		~sn.set(\t_trig, 1, \pan, i%12/11*0.5-0.5, \cutoff, fnext, \amp, a.wrapAt(i)*2, \dur, 6000/fnext/2, \q, i%64/63+0.05);
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([500, 4000, 2000, 6000, 2000, 1500, 2000], inf).asStream;
	inf.do{|i|
		var fnext= f.next;
		~sn.set(\t_trig, 1, \pan, i%12/11-0.5, \cutoff, fnext, \amp, a.wrapAt(i)*2, \dur, 6000/fnext/2, \q, i%64/63+0.05);
		0.25.wait;
	}
}))

(Tdef(\sn, {
	var f= Pseq([Prand([500, 250, 750], 1), 4000, 2000, 6000, 2000, Prand([500, 250, 750], 1), 2000], inf).asStream;
	inf.do{|i|
		var fnext= f.next;
		~sn.set(\t_trig, 1, \pan, i%12/11-0.5, \cutoff, fnext, \amp, a.wrapAt(i)*2, \dur, 6000/fnext/2, \q, i%64/63+0.05);
		0.25.wait;
	}
}))


~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.05, c.beatDur*7, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq, 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq, 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.1), t_trig, 2pi), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq, 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.07), t_trig, 2pi*2), amp*3)*e, cutoff), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq, 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.07), t_trig, 2pi*2), amp*3)*e, cutoff+LFNoise2.kr(0.5, 100)), pan)}

~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq+LFNoise2.kr(0.5, 10), 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.07), t_trig, 2pi*2), amp*3)*e, cutoff+LFNoise2.kr(0.5, 100)), pan)}
~bas= {|cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq+LFNoise2.kr(0.5, 2), 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.07), t_trig, 2pi*2), amp*3)*e, cutoff+LFNoise2.kr(0.5, 100)), pan)}
(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500);
		if(i%4==i.div(3), {
			if(0.2.coin, {
				2.wait;
				~bas.set(\t_trig, 1, \freq, 40);
				2.wait;
				~bas.set(\t_trig, 1, \freq, 80);
				4.wait;
			}, {
				4.wait;
				~bas.set(\t_trig, 1, \freq, f.next.midicps);
				4.wait;
			})
		}, {
			8.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==i.div(3), {
			if(0.2.coin, {
				2.wait;
				~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
				2.wait;
				~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
				4.wait;
			}, {
				4.wait;
				~bas.set(\t_trig, 1, \freq, f.next.midicps, \dur, 1);
				4.wait;
			})
		}, {
			8.wait;
		});
	}
}))

~bas= {|dur= 1, cutoff= 500, freq= 60, t_trig= 0, amp= 0.1, pan= 0| var e= EnvGen.ar(Env.linen(0.01, c.beatDur*6*dur, 0.5), t_trig); Pan2.ar(LPF.ar(LFSaw.ar(Lag2.kr(freq+LFNoise2.kr(0.5, 2), 0.5), 0, amp)+SinOsc.ar(EnvGen.kr(Env.perc, t_trig, 30, freq), EnvGen.ar(Env.perc(0.01, 0.07), t_trig, 2pi*2), amp*3)*e, cutoff+LFNoise2.kr(0.5, 100)), pan)}

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==i.div(3), {
			if(0.5.coin, {
				2.wait;
				~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
				2.wait;
				~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
				4.wait;
			}, {
				4.wait;
				~bas.set(\t_trig, 1, \freq, f.next.midicps, \dur, 1);
				4.wait;
			})
		}, {
			8.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(0.5.coin, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		})
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-24, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			4.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			4.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			~bas.set(\t_trig, 1);
			1.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next.midicps, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			~bas.set(\t_trig, 1, \dur, 0.01);
			1.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			~bas.set(\t_trig, 1, \dur, 0.01);
			1.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			~bas.set(\t_trig, 1, \dur, 0.001);
			0.5.wait;
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			4.do{
				~bas.set(\t_trig, 1, \dur, 0.001);
				0.5.wait;
			}
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([60, 61.9, 55, 55]-12, inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			4.do{
				~bas.set(\t_trig, 1, \dur, 0.01);
				0.5.wait;
			}
		});
	}
}))

(Tdef(\bas, {
	var f= Pseq([40, 100], inf).asStream;
	inf.do{|i|
		~bas.set(\t_trig, 1, \freq, f.next, \cutoff, i%32*10+500, \dur, 1);
		if(i%4==2, {
			2.wait;
			~bas.set(\t_trig, 1, \freq, 40, \dur, 0.1);
			2.wait;
			~bas.set(\t_trig, 1, \freq, 80, \dur, 0.12);
			4.wait;
		}, {
			4.do{
				~bas.set(\t_trig, 1, \dur, 0.01);
				0.5.wait;
			}
		});
	}
}))
Tdef(\bas).stop
Tdef(\sn).stop
Tdef(\fm).resume
~out= ~kik+~fm
~out= ~kik+~fm+~sn
Tdef(\sn).play
~out.release(30)
Tdef(\sn).stop
Tdef(\kik).stop
Tdef(\fm).stop
p.clear
p.pop
