p= ProxySpace.push(s.boot)
p.makeTempoClock(160/60)
c= p.clock

//trying to code a hover sound
~hov= {|t_trig= 0, freq= 400| Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]))}
~hov.clear
~hov= {|t_trig= 0, freq= 400| Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4])))}
~hov.play
~hov.set(\freq, 60)
~hov= {|t_trig= 0, amp= 0.1, freq= 400| Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4])), 0, amp)}
~hov= {|t_trig= 0, amp= 0.1, freq= 400| var e= EnvGen.ar(Env.linen(0.01, 1, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}
~hov.set(\t_trig, 1)
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

~hov.set(\t_trig, 1, \dur, 0.5)
~hov.set(\t_trig, 1, \dur, 0.05)

Tdef(\hov).play(c, quant:4)
(Tdef(\hov, {
	inf.do{|i|
		~hov.set(\t_trig, 1, \dur, 0.05);
		0.5.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		~hov.set(\t_trig, 1, \dur, 0.05);
		dur.next.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d);
		dur.next.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d);
		d.wait;
	}
}))
Tdef(\hov).stop
Tdef(\hov).play(c, quant:4)

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]/2, inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, d, \freq, freq.next.midicps);
		d.wait;
	}
}))

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.5-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d, \freq, freq.next.midicps);
		d.wait;
	}
}))

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.01, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], #[0.4, 0.5, 0.6], #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[0.4, 0.3, 0.1], 0, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[0.4, 0.3, 0.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[1.4, 1.3, 1.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 2900), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), LFNoise2.kr(0.4, 1000, 3000)), 0, amp)}

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], 0, e)};
~kick.play
~kick.set(\t_trig, 1)
Tdef(\kick).play(c, quant:4)
(Tdef(\kick, {
	inf.do{|i|
		~kick.set(\t_trig, 1);
		1.wait;
	}
}))

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], 0, e*3).clip(-0.9, 0.9)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

(Tdef(\kick, {
	var dur= Pseq([Pn(1, 15), Pn(0.25, 4)], inf).asStream;
	inf.do{|i|
		~kick.set(\t_trig, 1);
		dur.next.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(64)%2+1), \freq, freq.next.midicps);
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(64)%2+1), \freq, freq.next.midicps*(i.div(64)%2+1));
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
}))

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, [4000, 5000])+BPF.ar(z, [500, 400], 0.3)};
~hat.play
~hat.set(\t_trig, 1)
~hat.set(\t_trig, 1)
Tdef(\hat).play(c, quant:4)
(Tdef(\hat, {
	0.5.wait;
	inf.do{|i|
		~hat.set(\t_trig, 1);
		1.wait;
	}
}))

(Tdef(\hat, {
	0.5.wait;
	inf.do{|i|
		if(0.1.coin, {
			0.5.wait;
			~hat.set(\t_trig, 1);
			0.5.wait;
		}, {
			~hat.set(\t_trig, 1);
			1.wait;
		});
	}
}))

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, [500, 400], 0.3)};
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [500, 400]), 0.3)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e)*SinOsc.ar(400, 0, 10); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(amp*e)*Pulse.ar(400, 0.3, 0, 10); BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10)*amp; BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10)*amp; (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)*3).clip(-0.9, 0.9)};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)*3).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(400, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar(4000, 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*Pulse.ar([4000, 100], 0.3, 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([400, 100], 0, 10); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([400, 100], 0, 3); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
}))

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, 0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, e*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)+SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)+SinOsc.ar(freq*#[1, 1.01], e*2pi, e*3).clip(-0.9, 0.9)};
c.tempo= c.tempo+0.1

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)+SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= WhiteNoise.ar(e)*SinOsc.ar([4000, 1000], 0, 5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), LFNoise2.kr(2, 1000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 2000, 3000)), 0, amp)}
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 1000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 100, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, 100, 1000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), 1000), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 100, 1000)), 0, amp)}

//hehe, forgot the phase of the sineosc
~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 0, 100, 1000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.ar(c.tempo.reciprocal, 0, 1000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 1000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3], SinOsc.kr(#[2.4, 2.3, 2.1], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), SinOsc.kr(c.tempo.reciprocal, EnvGen.ar(Env.perc, t_trig, 2pi), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), LFPulse.kr(c.tempo.reciprocal, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 16)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
}))

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, 0.2, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		d.wait;
	}
}))

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, [0.4, 0.35, 0.3, 0.25, 0.2], 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr(#[2.4, 2.3, 2.1, 2.0, 1.9], e2*2pi, [0.4, 0.35, 0.3, 0.25, 0.2].reverse, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise1.kr(0.5.dup(5), 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise1.kr([0.5, 0.5, 0.5, 0.5, 0.5], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]/3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], LFNoise0.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*3, 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~hov= {|t_trig= 0, amp= 0.1, freq= 400, dur= 0.25| var e= EnvGen.ar(Env.linen(0.001, dur*0.9-0.11, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.1), t_trig); Pan2.ar(LPF.ar(Mix(Pulse.ar(freq*#[1, 2, 3, 4, 5], SinOsc.kr([c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal, c.tempo.reciprocal]*[3, 3.01, 3.02, 3.03, 3.04], 0.3, 0.5), #[0.6, 0.5, 0.4, 0.3, 0.2]*e)), LFPulse.kr(c.tempo.reciprocal*2, 0, EnvGen.ar(Env.perc, t_trig, 0.5, 0.2), 2000, 3000)), 0, amp)}

~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*1000+5000), 5500))*0.1}
~glitter.play
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*1000+120.midicps), 5500))*0.06}
~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 5500))*0.06}

~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 5500, 0.3))*0.06}

~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps), 120.midicps*1.5, 0.3))*0.06}

~glitter= {Pan2.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3))*0.06}

~glitter= {Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+120.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.06}

~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.06}

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*12+86));
		});
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*12+50));
		});
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*3+80).postln);
		});
		d.wait;
	}
}))

(Tdef(\hov, {
	var dur= Pseq([1, 0.5, 1, 0.5, 1, 1, 0.5, 1, 0.5, 1], inf).asStream;
	var freq= Pseq([80, 80, 80, 80, 80, 83, 83, 78, 78, 78]-(12*2), 4);
	var freq2= Pseq([freq, Pn(40, 10*16), Pn(30, 10*8)], inf).asStream;
	inf.do{|i|
		var d= dur.next;
		~hov.set(\t_trig, 1, \dur, c.beatDur*d*(i.div(10*6)%2+1), \freq, freq2.next.midicps*(i.div(10*8)%2+1));
		if(d==1, {
			~glitter.set(\midi, (i%8*5+80));
		});
		d.wait;
	}
}))

~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(2), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)+SinOsc.ar(freq*#[2.01, 2.02], 0, e2*0.2)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[3.02, 3.03], 0, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[4.02, 4.03], 0, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(freq*#[5.02, 5.03], 0, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], 0, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], 0, e2*0.4)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.2), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.02, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~hov.release(30)
~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 100, [500, 400]), 0.3)).clip(-0.9, 0.9)*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.5); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 10, [500, 400]), 0.3))*amp};

~hat= {|t_trig= 0, amp= 0.1| var e= EnvGen.ar(Env.perc(0.001, 0.1), t_trig); var z= SinOsc.ar([4000, 1000], 0, 0.1); (BPF.ar(z, SinOsc.kr(0.2, 0, 1000, [4000, 5000]))+BPF.ar(z, SinOsc.kr(0.2, 0, 10, [500, 400]), 0.3))*amp};

~hat.release(30)

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.01, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.1, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.2, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.4, 0.54), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(60.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(48.midicps*[1, 1.01], e*2pi, e2*0.1)};

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(36.midicps*[1, 1.01], e*2pi, e2*0.1)};
~kick.release(30)

~kick= {|t_trig= 0, freq= 60| var e= EnvGen.ar(Env.perc(0.005, 0.1), t_trig); var e2= EnvGen.ar(Env.perc(0.5, 0.4), t_trig); var e3= EnvGen.ar(Env.perc(0.1, 0.25), t_trig); SinOsc.ar(24.midicps*[1, 1.01], e*2pi, e2*0.1)};

~glitter.release(30)

~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(1), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

~glitter= {|midi= 120| Pan2.ar(CombN.ar(BPF.ar(LFSaw.ar(SinOsc.kr(0.4)>0.7*24.midicps+midi.midicps, 0, Decay.kr(Dust.kr(0.5), 2)), 120.midicps*1.5, 0.3), 0.4, 0.4, 3))*0.1}

~glitter.release(30)
~kick.release(30)
Tdef(\hat).stop; Tdef(\kick).stop; Tdef(\hover).stop
p.clear
p.pop
