///////////////////////////////////////////////////
// History, as it was on Sun Jun 24 02:18:41 2007.
///////////////////////////////////////////////////

// - 0:0:0 -
p= ProxySpace.push(s.boot)

// - 0:0:10.45 -
p.makeTempoClock(1.8)

// - 0:0:13.65 -
c= p.clock

// - 0:2:54.22 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, freq), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:3:3.6 -
a= Synth(\olf)

// - 0:3:5.82 -
a= Synth(\olf)

// - 0:3:6.17 -
a= Synth(\olf)

// - 0:3:21 -
Tdef(\olf).play(c, quant:2)

// - 0:4:0.64 -
(
Tdef(\olf, {
	10.do{|i|
		Synth(\olf, [\freq, i*10+40]);
		0.125.wait;
	}
})
);

// - 0:4:47.24 -
(
Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40]);
		});
		0.125.wait;
	}
})
);

// - 0:5:25.25 -
(
Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, 0.05.rand2+0.1]);
		});
		0.125.wait;
	}
})
);

// - 0:5:39.13 -
(
Tdef(\olf, {
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, 0.01.rrand(1)]);
		});
		0.125.wait;
	}
})
);

// - 0:6:53.6 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1]);
		});
		0.125.wait;
	}
})
);

// - 0:7:36.5 -
Tdef(\ulf).play(c, quant:2)

// - 0:8:12.71 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
})
);

// - 0:8:20.57 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 0.02]);
		1.wait;
	}
})
);

// - 0:8:55.27 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:8.42 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:18.45 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, 10), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:34.27 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(0, SinOsc.ar(freq*f, 0, Rand(0, 2pi)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:46.28 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(f, SinOsc.ar(freq*f, 0, Rand(0, 2pi)), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:9:55.4 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 0.02]);
		1.wait;
	}
})
);

// - 0:10:2.7 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
})
);

// - 0:10:22.01 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(freq*f, 0, f), 0, amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:10:32.19 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(freq*f, 0, 1, f), 0, amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:10:52.49 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(freq, 0, 1, f), 0, amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:11:9.71 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), 0, amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:11:32.09 -
//sigh - too tired for this

// - 0:11:44.38 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:11:58.85 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f*freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:12:4.93 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(freq, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:12:14.34 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(freq/f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:12:22.74 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
})
);

// - 0:12:39.9 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0.01, dur), gate, doneAction:2);
	var z= SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:13:8.32 -
(
SynthDef(\olf, {|out= 0, freq= 40, amp= 0.4, pan= 0.4, dur= 0.3, gate= 1, f= 0.1|
	var e= EnvGen.ar(Env.perc(0, dur), gate, doneAction:2);
	var z= LPF.ar(SinOsc.ar(SinOsc.ar(f, 0, 1, freq), SinOsc.ar(f, 0, 2pi), amp), 9000);
	Out.ar(out, Pan2.ar(z*e, pan));
}).store
);

// - 0:13:19.72 -
(
Tdef(\ulf, {
	5.do{|i|
		Synth(\olf, [\freq, 400, \f, 2]);
		1.wait;
	}
})
);

// - 0:13:50.2 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.5+0.5]);
		0.5.wait;
	}
})
);

// - 0:14:32.57 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		0.5.wait;
	}
})
);

// - 0:15:12.71 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, 200, \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:15:26.14 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:15:58.17 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.3, 0.4, 0.5].foldAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:16:13.93 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:16:44.85 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)*100), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:16:57.9 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 2, \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:17:33.26 -
Synth(\olf, [\freq, 300, \f, 2, \amp, 0.5])

// - 0:17:34.3 -
Synth(\olf, [\freq, 300, \f, 2, \amp, 0.5])

// - 0:17:34.88 -
Synth(\olf, [\freq, 300, \f, 2, \amp, 0.5])

// - 0:17:38.92 -
Synth(\olf, [\freq, 400, \f, 2, \amp, 0.5])

// - 0:17:41.54 -
Synth(\olf, [\freq, 400, \f, 2, \amp, 0.5])

// - 0:17:44.87 -
Synth(\olf, [\freq, 300, \f, 2, \amp, 0.5])

// - 0:17:49.87 -
Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5])

// - 0:18:8.09 -
Tdef(\alf).play(c, quant:2)

// - 0:18:36.68 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5, \dur, 2]);
		4.wait;
	}
})
);

// - 0:19:3.43 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 600].foldAt(i), \f, 2, \amp, 0.5, \dur, 2]);
		4.wait;
	}
})
);

// - 0:19:19.07 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:20:40.59 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 10].wchoose([0.9, 0.1])]);
		});
		0.125.wait;
	}
})
);

// - 0:21:53.36 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2);
	z= Resonz.ar(z, freq, q);
	Out.ar(out, z);
}).store
);

// - 0:22:6.73 -
e= Synth(\efx)

// - 0:22:35.6 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*5;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:22:57.98 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*10;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:23:27.59 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*10;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:23:41.41 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*30;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:24:5.6 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*30;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, z.clip(-1, 2));
}).store
);

// - 0:24:17.25 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*130;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, z.clip(-1, 2));
}).store
);

// - 0:24:40.17 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*130;
	//z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:24:56.07 -
//ah, need to start a new effect ofcourse

// - 0:25:0.57 -
e.free

// - 0:25:7.2 -
e= Synth(\efx)

// - 0:25:17.64 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*5;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:25:31.12 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*2;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, Clip.ar(z, -1, 1));
}).store
);

// - 0:25:50.34 -
(
SynthDef(\efx, {|in= 10, out= 0, freq= 500, q= 0.3|
	var z= InFeedback.ar(in, 2)*2;
	z= Resonz.ar(z, freq, q);
	Out.ar(out, z.softclip);
}).store
);

// - 0:26:18.51 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 10].wrapAt(i)]);
		});
		0.125.wait;
	}
})
);

// - 0:26:32.27 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 0, 10].foldAt(i)]);
		});
		0.125.wait;
	}
})
);

// - 0:26:47.6 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].foldAt(i)]);
		});
		0.125.wait;
	}
})
);

// - 0:27:5.02 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%4)]);
		});
		0.125.wait;
	}
})
);

// - 0:27:19.94 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%5)]);
		});
		0.125.wait;
	}
})
);

// - 0:27:25.61 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%6)]);
		});
		0.125.wait;
	}
})
);

// - 0:27:32.17 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%10*0.1+0.1, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
})
);

// - 0:28:7.57 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:28:40.83 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, 500, \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:29:0.04 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 50].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:29:16.58 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 500, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:29:41.07 -
~sn.ar(2)

// - 0:29:44.43 -
~sn.play

// - 0:30:27.81 -
~sn= {|t_trig= 0| BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), 5000, 0.4)}

// - 0:30:31.95 -
~sn.clear

// - 0:30:38.65 -
~sn= {|t_trig= 0| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), 5000, 0.4))}

// - 0:30:41.27 -
~sn.play

// - 0:30:45.44 -
~sn.set(\t_trig, 1)

// - 0:30:47.31 -
~sn.set(\t_trig, 1)

// - 0:30:48.97 -
~sn.set(\t_trig, 1)

// - 0:31:1.88 -
Tdef(\sn).play(c, quant:2)

// - 0:31:38.2 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[0.75, 0.5].wrapAt(i).wait;
	}
})
);

// - 0:31:52.65 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[2/3, 1].wrapAt(i).wait;
	}
})
);

// - 0:32:4.53 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[2/3, 1, 1/3].wrapAt(i).wait;
	}
})
);

// - 0:32:39.47 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1);
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
})
);

// - 0:33:8.03 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i));
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
})
);

// - 0:33:25.09 -
~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), freq, 0.3))}

// - 0:33:41.75 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:34:22.41 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*10+40, \f, i.div(32)%5*0.1+0.01, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
})
);

// - 0:34:34.94 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [0, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
})
);

// - 0:35:14.61 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*1.1+0.01, \out, [20, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
})
);

// - 0:35:30.76 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [20, 0, 10].wrapAt(i%7)]);
		});
		0.125.wait;
	}
})
);

// - 0:37:0.87 -
(
SynthDef(\efx2, {|in= 20, out= 0, del= 0.4|
	var z= InFeedback.ar(in, 2);
	z= z+CombN.ar(z, del, del, 1/del);
	Out.ar(out, z);
}).store
);

// - 0:37:11.49 -
f= Synth(\efx2)

// - 0:37:55.54 -
f.free

// - 0:38:12 -
(
SynthDef(\efx2, {|in= 20, out= 0, del= 0.4|
	var z= InFeedback.ar(in, 2);
	z= z+CombN.ar(z, 3, del.min(3), 1/del);
	Out.ar(out, z);
}).store
);

// - 0:38:14.73 -
f= Synth(\efx2)

// - 0:38:22.94 -
f.set(\del, 0.1)

// - 0:38:50.8 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 20, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:39:17.68 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, [2, 2, 0.125, 2].wrapAt(i), \out, [0, 0, 20, 10].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:40:9.04 -
~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)), freq, EnvGen.ar(Env.perc, t_trig, 0.3, 0.3)))}

// - 0:40:22.2 -
~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.3), t_trig)), freq, EnvGen.ar(Env.perc, t_trig, 0.3, 0.3)))}

// - 0:40:34.75 -
~sn= {|t_trig= 0, freq= 5000| Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)))}

// - 0:40:50.55 -
Tdef(\olf).stop

// - 0:41:21.4 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, 1.6.rrand(2.2), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:42:11.26 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 20].wchoose([0.9, 0.1]), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:42:43.57 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 10, 20].wrapAt(i%5)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:43:2.01 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 0, 10, 20].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:43:36.06 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [0, 0, 10, [20, 0].choose].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:44:4.02 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, [20, 0].wrapAt(i)]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:44:19.85 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.25+0.25, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:44:38.15 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*100), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:44:48.78 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(32)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:46:0.42 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)); z= z+CombN.ar(z, 0.2, 0.2, 2); Pan2.ar(z)}

// - 0:46:39.48 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, EnvGen.ar(Env.perc(0.1, 0.1), t_trig, 0.3, 0.3)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:47:5.49 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45].wrapAt(i)).wait;
	}
})
);

// - 0:47:34.35 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2, \amp, 0.5, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:47:49.34 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 4, \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:48:2.36 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 4, \amp, 0.25, \dur, 2, \out, [0, 20, 0, 20].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:48:25.19 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 20, 0, 20].wrapAt(i)]);
		4.wait;
	}
})
);

// - 0:49:27.71 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:49:50.28 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(PinkNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:50:7.76 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.2, 0.2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:50:42.38 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*1000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 0:51:40.34 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%64*5+40, \f, i.div(32)%5*0.1+0.01, \out, [20, 20, 20].wrapAt(i%7), \amp, 0.1]);
		});
		8.wait;
	}
})
);

// - 0:51:50.67 -
Tdef(\olf).play

// - 0:52:14.99 -
Tdef(\chrds).play(c, quant:2)

// - 0:53:25.26 -
(
Tdef(\chrds, {
	inf.do{|i|
		Synth(\olf, [\freq, 110, \amp, 0.2, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440, \amp, 0.2, \out, 20, \dur, 2]);
		4.wait;
	}
})
);

// - 0:53:39.95 -
(
Tdef(\chrds, {
	inf.do{|i|
		Synth(\olf, [\freq, 110, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 880, \amp, 0.1, \out, 20, \dur, 2]);
		4.wait;
	}
})
);

// - 0:54:54.26 -
(
Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		x= i.div(32)%3*20;
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2]);
		4.wait;
	}
})
);

// - 0:57:30.08 -
(
Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		if(i%8>6, {
			x= 20;
		}, {
			x= 0;
		});
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.1]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.15]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.2]);
		4.wait;
	}
})
);

// - 0:58:40.73 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.4), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:58:56.86 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.4).round(0.05), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 0:59:16 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.25).round(0.05), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 1:0:18.06 -
(
Tdef(\olf, {
	var f= 0.1;
	inf.do{|i|
		if(i.div(64)%2==0, {
			Synth(\olf, [\freq, i%4*2+140, \f, i.div(4)%5*0.1+0.01, \out, 20, \amp, 0.1]);
		});
		8.wait;
	}
})
);

// - 1:1:20.99 -
(
Tdef(\chrds, {
	var x= 0;
	inf.do{|i|
		if(i%16>14, {
			x= 40;
		}, {
			if(i%8>6, {
				x= 20;
			}, {
				x= 0;
			});
		});
		Synth(\olf, [\freq, 110+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.1]);
		Synth(\olf, [\freq, 440+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.15]);
		Synth(\olf, [\freq, 880+x, \amp, 0.1, \out, 20, \dur, 2, \f, 0.2]);
		4.wait;
	}
})
);

// - 1:1:39.41 -
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*2000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);

// - 1:1:41.34 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*2000), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:2:9.06 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].choose), \f, [1.6.rrand(2.2), 1.5, 1.5, 20].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:2:45.21 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i)), \f, [1.6.rrand(2.2), 1.5, 1.5, 200].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:3:0.1 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i)), \f, [1.6.rrand(2.2), 1.5, 1.5, [200, 20].wrapAt(i)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:3:31.84 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [200, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:3:47.44 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.55, 0.45, 2].wrapAt(i)).wait;
	}
})
);

// - 1:4:2.32 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:4:19.28 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [500, 600, 500, 100].wrapAt(i), \f, 2.rrand(60), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:4:36.72 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [800, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:4:54.65 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [80, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:5:30.14 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 2.rrand(6), \amp, 0.25, \dur, 2, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:6:35.69 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.5].wrapAt(i.div(16)));
		[1, 1, 0.6, 0.3].wrapAt(i).wait;
	}
})
);

// - 1:7:26.21 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(0.07, 0, 0.1, 0.25).round(0.15), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 1:8:7.36 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, SinOsc.kr(c.tempo.reciprocal*0.5, 0, 0.1, 0.25).round(0.2), SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 1:8:49.64 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, 0.25, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 1:9:14.06 -
c.tempo

// - 1:9:18.16 -
c.tempo.reciprocal

// - 1:9:25.66 -
~sn= {|t_trig= 0, freq= 5000| var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.2), t_trig)), freq, SinOsc.kr(0.12, 0, 0.3, 0.35)); z= z+CombN.ar(z, 0.5, c.tempo.reciprocal/2, SinOsc.kr(0.1, 0, 2, 2)); Pan2.ar(z)}

// - 1:9:43.75 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.5].wrapAt(i.div(16)));
		[1, 1, 0.5, 0.5].wrapAt(i).wait;
	}
})
);

// - 1:10:5.68 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.25].wrapAt(i.div(16)));
		[1, 1, 0.5, 0.5].wrapAt(i).wait;
	}
})
);

// - 1:10:41.34 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 3, \amp, 0.2, \dur, 1.5, \out, [0, 0, 0, 20].wrapAt(i)]);
		1.wait;
	}
})
);

// - 1:10:59.76 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [1.6.rrand(2.2), 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
})
);

// - 1:11:16.84 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, i%2*0.125+0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
})
);

// - 1:11:35.2 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [200, 220].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
})
);

// - 1:13:15.8 -
(
Tdef(\sn, {
	inf.do{|i|
		~sn.set(\t_trig, 1, \freq, [5000, 4000, 4000, 6000].wrapAt(i)*[0.75, 1, 0.25].wrapAt(i.div(16)));
		if(i%32>=28, {
			0.25.wait;
		}, {
			[1, 1, 0.5, 0.5].wrapAt(i).wait;
		});
	}
})
);

// - 1:14:41.44 -
(
Tdef(\alf, {
	inf.do{|i|
		Synth(\olf, [\freq, [180, 600, 500, 100].wrapAt(i), \f, 3, \amp, 0.2, \dur, 1.5, \out, [0, 0, 0, 20].wrapAt(i)]);
		if(i%32>=30, {
			0.25.wait;
		}, {
			1.wait;
		});
	}
})
);

// - 1:15:25.17 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.125, \pan, i%5/4*2-1, \dur, [0.1, 0.2, 0.4, 0.6].wrapAt(i), \out, 20]);
		([0.5, 0.5, 2].wrapAt(i)).wait;
	}
})
);

// - 1:15:59.93 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i)+(i.div(8)%2*[2000, 1000, 500].wrapAt(i%3)), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
})
);

// - 1:16:19.82 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i), \f, [0.5, 1.5, 1.5, [100, 20].wrapAt(i%5)].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
})
);

// - 1:16:39.12 -
(
Tdef(\ulf, {
	inf.do{|i|
		Synth(\olf, [\freq, [100, 120].wrapAt(i), \f, [0.5, 1.5, 1.5, 100].wrapAt(i), \amp, 0.25, \pan, i%5/4*2-1, \dur, 0.1, \out, 20]);
		1.wait;
	}
})
);

// - 1:17:11 -
~sn.release(20)

// - 1:17:21.45 -
e.free

// - 1:17:31.39 -
Tdef(\sn).stop

// - 1:17:52.65 -
Tdef(\olf).stop

// - 1:17:59.87 -
Tdef(\alf).stop

// - 1:18:10.51 -
Tdef(\ulf).stop

// - 1:18:32.45 -
Tdef(\chrds).stop

// - 1:18:36.5 -
f.free

// - 1:18:38.94 -
p.clear

// - 1:18:40.71 -
p.pop

