p= ProxySpace.push(s.boot)
p.makeTempoClock(2)
c= p.clock

~gl= {Pan2.ar(SinOsc.ar(4000, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl.play

~gl2= {Pan2.ar(Mix(SinOsc.ar([2020, 101], 0, LFPulse.kr(0.2, 0.1, 0.2))))}
~gl2.play

~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)+0.01))}
~imp.play
~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)+0.1))}
~imp= {Pan2.ar(Dust.ar(Amplitude.kr(~gl2.ar)+0.1))}
~imp= {Pan2.ar(Dust.ar(Amplitude.kr(~gl2.ar)+0.1), LFNoise2.kr(0.2, 0.7))}
~imp= {Pan2.ar(Dust.ar(Amplitude.kr(~gl2.ar)+1), LFNoise2.kr(0.2, 0.7))}
~imp= {Pan2.ar(Dust.ar(Amplitude.kr(~gl2.ar)*5), LFNoise2.kr(0.2, 0.7))}
~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*5), LFNoise2.kr(0.2, 0.7))}
~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*5).round(1), LFNoise2.kr(0.2, 0.7))}

~gl2= {Pan2.ar(Mix(SinOsc.ar([2020, 101], 0, LFPulse.kr(0.25, 0.1, 0.2))))}

~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), LFNoise2.kr(0.2, 0.7))}
~imp2= {Pan2.ar(RHPF.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 1000, 0.3), LFNoise2.kr(0.2, 0.7))}
~imp2.play

~imp2= {Pan2.ar(RHPF.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 100, 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(RHPF.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 100, 0.03), LFNoise2.kr(0.2, 0.7))}
~imp2= {Pan2.ar(BPF.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 100, 0.03), LFNoise2.kr(0.2, 0.7))}
~imp2= {Pan2.ar(Resonz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 100, 0.3), LFNoise2.kr(0.2, 0.7))}
~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 100, 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), 10, 0.3), LFNoise2.kr(0.2, 0.7))}
~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), LFPulse.kr(0.1, 0.3, 100, 10), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), LFPulse.kr(0.3, 0.3, 100, 10), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), LFPulse.kr(1, 0, 0.3, 100, 10), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), LFPulse.kr(0.7, 0, 0.7, 100, 10), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*25).round(1), LFPulse.kr(0.7, 0, 0.7, 100, 50), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*15).round(1), LFPulse.kr(0.7, 0, 0.7, 10, 50), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*55).round(1), LFPulse.kr(0.7, 0, 0.7, 10, 50), 0.3), LFNoise2.kr(0.2, 0.7))}

~imp2= {Pan2.ar(Ringz.ar(Impulse.ar(Amplitude.kr(~gl.ar)*SinOsc.kr(0.2, 0, 10, 50).round(10)).round(1), LFPulse.kr(0.7, 0, 0.7, 10, 50), 0.3), LFNoise2.kr(0.2, 0.7))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.01), Lag.kr(Amplitude.kr(~imp2.ar)>0.4, 1))), 9000, 0.1))}
~sn.play

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.01), Lag.kr(Amplitude.kr(~imp2.ar)>0.2, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.01), Lag.kr(Amplitude.kr(~imp2.ar)>0.2, 0.5))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(~imp2.ar)>0.2, 0.5))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(~imp2.ar)>0.5, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~imp2.ar, 0.5, 0.5))>0.5, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~imp2.ar, 0.5, 0.5, 2))>0.5, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~imp2.ar, 0.5, 0.5, 2))>0.25, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~imp2.ar, 1, 1, 2))>0.25, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~imp.ar, 1, 1, 2))>0.25, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.25, 1))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.25, 0.5))), 9000, 0.1))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.06), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.5))), 9000, 0.1))}

~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1)*SinOsc.ar(400), LFNoise2.kr(0.2, 0.7))}

~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), LFNoise2.kr(0.2, 0.7)*SinOsc.ar(400))}

~imp= {Pan2.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), LFNoise2.kr(0.2, 0.7)*SinOsc.ar(4000))}

~imp= {Pan2.ar(Decay.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), 0.01)*SinOsc.ar(4000), LFNoise2.kr(2, 0.7))}

~imp= {Pan2.ar(Decay.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), 0.01)*SinOsc.ar(40), LFNoise2.kr(2, 0.7))}

~imp= {Pan2.ar(Decay.ar(Impulse.ar(Amplitude.kr(~gl2.ar)*15).round(1), 0.01)*SinOsc.ar(SinOsc.ar(0.2, 0, 1000, 1010)), LFNoise2.kr(2, 0.7))}

~lund= {Pan2.ar(RLPF.ar(Dust.ar(Amplitude.kr(~gl.ar)*100), 1300, 0.3, 0.02), LFNoise2.kr(2, 0.7))}
~lund.play
~lund= {Pan2.ar(RLPF.ar(Dust.ar(Amplitude.kr(~gl.ar)*100), 1300, 0.3, 0.1), LFNoise2.kr(2, 0.7))}
~lund= {Pan2.ar(RLPF.ar(Dust.ar(Amplitude.kr(~gl.ar)*100), 1300, 0.3, 0.3), LFNoise2.kr(2, 0.7))}
~lund= {Pan2.ar(RLPF.ar(Dust.ar(Amplitude.kr(DelayN.ar(~gl.ar, 1, 1))*100), 1300, 0.3, 0.3), LFNoise2.kr(2, 0.7))}

~lund= {Pan2.ar(RLPF.ar(Dust.ar(DelayN.ar(~gl.ar, 2, 2)+1*100), 1300, 0.3, 0.3), LFNoise2.kr(2, 0.7))}

~lund= {Pan2.ar(RLPF.ar(Dust.ar(DelayN.ar(~gl.ar, 2, 2).max(0)*100), 1300, 0.3, 0.3), LFNoise2.kr(2, 0.7))}

~lund= {Pan2.ar(RLPF.ar(Dust.ar(DelayN.ar(~gl.ar, 2, 2).max(0)*100), 1300, 0.13, 0.4), LFNoise2.kr(2, 0.7))}

~lund= {Pan2.ar(RHPF.ar(Dust.ar(DelayN.ar(~gl.ar, 2, 2).max(0)*100), 1300, 0.13, 0.4), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, SinOsc.kr(0.2)>0.9*0.1)), 1000), LFNoise2.kr(2, 0.7))}
~chord.play

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, ~imp2>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, Lag.ar(~imp2.ar, 0.1)>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, Lag.ar(~imp2.ar, 0.01)>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, Lag.ar(~imp2.ar>0.3, 0.1)*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797], 0, Lag.ar(~imp2.ar*~gl>0.3, 0.1)*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797, 201], 0, Lag.ar(~imp2.ar*~gl>0.3, 0.1)*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797, 201], 0, ~imp2.ar*~gl>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(LPF.ar(Mix(LFSaw.ar([400, 797, 201], 0, ~gl.ar*~gl2>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl.ar>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3*0.1)), 1000), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3*0.1)), 1000, 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3*0.1)), 200, 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3*0.1)), 200, 0.3, 4), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3*0.1)), 200, 0.3, 8), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201], 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr(0.2, 0, 10), 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr([0.2, 0.21, 0.22], 0, 20), 0, [0.2, 0.3, 0.4], ~gl2.ar>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr([0.2, 0.21, 0.22], 0, 20), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr([0.2, 0.21, 0.22], 0, 5), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr([0.2, 0.21, 0.22], 0, 5), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>0.3)), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFSaw.kr([0.2, 0.21, 0.22], 0, 5), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 5), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, 0.3, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, 0.2, 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 201]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.2, 0.3, 0.4], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, LFNoise2.kr(0.2, 0.4, 0.45), 1), LFNoise2.kr(2, 0.7))}

~bd.ar(2)
~bd.play
~bd= {var t= Impulse.ar(1); t+SinOsc.ar([60, 63], 0, Decay.ar(t, 0.01))}
~bd= {var t= Impulse.ar(1); t+SinOsc.ar([60, 63], 0, Decay.ar(t, 0.5))}
~bd= {var t= Impulse.ar(0.6); t+SinOsc.ar([60, 63], 0, Decay.ar(t, 0.5))}
~bd= {var t= Amplitude.ar(~chord.ar)>0.3; SinOsc.ar([60, 63], 0, Decay.ar(t, 0.5))}
~bd.release
~bd= {var t= Impulse.ar(0.6); SinOsc.ar([60, 63], Decay.ar(t, 0.15)*2pi, Decay.ar(t, 0.15))}
~bd.play
~bd= {var t= Impulse.ar(0.6); SinOsc.ar([60, 63], Decay.ar(t, 0.15)*2pi, Decay.ar(t, 0.25))}
~bd= {var t= Impulse.ar(0.6); SinOsc.ar([60, 63], Decay.ar(t, 0.01)*2pi, Decay.ar(t, 0.25))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.5))), 9000, 0.1))}
~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.25, 0.5))), 9000, 0.15))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.25, 0.35))), 9000, 0.15))}

~sn= {Pan2.ar(BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15))}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15); z= z+CombN.ar(z, 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(400), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(400, 0, 3), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(4000, 0, 3), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.15, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.kr(0.1, 0, 3000, 4000), 0, 3), 0.2, 0.2); Pan2.ar(z)}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 1601]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, LFNoise2.kr(0.2, 0.4, 0.45), 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 1681]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 200, LFNoise2.kr(0.2, 0.4, 0.45), 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 1681]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 2000, LFNoise2.kr(0.2, 0.4, 0.45), 1), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([400, 797, 1681]+LFPulse.kr([0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 2000, LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.19, 0.2, 0.21, 0.22], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 2000, LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.2).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 2000, LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.1).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), 2000, LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar(0.1).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(5, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.12, 0.14]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(5, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~bd= {var t= Impulse.ar(0.8); SinOsc.ar([60, 63], Decay.ar(t, 0.01)*2pi, Decay.ar(t, 0.25))}

~bd= {var t= Impulse.ar(0.8)+Impulse.ar(0.4, 0.25); SinOsc.ar([60, 63], Decay.ar(t, 0.01)*2pi, Decay.ar(t, 0.25))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.12, 0.14]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([99, 200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, 10), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFPulse.ar([99, 200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, 0.3, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.13, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.kr(0.1, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}


~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([99, 200, 400, 797, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~gl= {Pan2.ar(SinOsc.ar(8000, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl= {Pan2.ar(SinOsc.ar(800, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl= {Pan2.ar(SinOsc.ar(80, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl= {Pan2.ar(SinOsc.ar(8, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl= {Pan2.ar(SinOsc.ar(SinOsc.kr(0.1, 0, 100, 800).round(100), 0, LFPulse.kr(0.2, 0.2, 0.2)))}

~glplus= {CombN.ar(~gl.ar, 0.3, 0.3)}
~glplus.play
~glplus= {CombN.ar(~gl.ar, 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar(400), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, 0.3), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, SinOsc.ar(20).abs), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, SinOsc.ar(SinOsc.ar(0.1, 0, 10, 10)).abs), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, SinOsc.ar(LFPulse.ar([0.1, 0.15], 0, 0.3, 1))), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, SinOsc.ar(LFPulse.ar([1.1, 1.15], 0, 0.3, 1))), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, LFPulse.ar([1.1, 1.15], 0, 0.3, 1)), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404], 0, LFPulse.ar([10.1, 10.15], 0, 0.3, 1)), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]*(SinOsc.kr(0.1)>0.8+1), 0, LFPulse.ar([5.1, 5.15], 0, 0.3, 1)), 1, 1)}
~gl2= {Pan2.ar(Mix(SinOsc.ar([1020, 101], 0, LFPulse.kr(0.25, 0.1, 0.2))))}
~gl2= {Pan2.ar(Mix(SinOsc.ar([1020, 101], 0, LFPulse.kr([0.25, 2], 0.1, 0.2))))}
~gl2= {Pan2.ar(Mix(SinOsc.ar([2020, 101], 0, LFPulse.kr([0.25, 0.3], 0.1, 0.2))))}

~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]*(SinOsc.kr(0.2)>0.8+1), 0, LFPulse.ar([0.1, 0.15], 0, 0.3, 1)), 1, 1)}

~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]*(SinOsc.kr(0.2)>0.8+1), 0, LFPulse.ar([1, 1], 0, [0.3, 0.7], 1)), 1, 1)}

~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]*(SinOsc.kr(0.2)>0.5+1), 0, LFPulse.ar([1, 1.01], 0, [0.6, 0.7], 1)), 1, 1)}
~glplus= {CombN.ar(~gl.ar*SinOsc.ar([400, 404]*(SinOsc.kr(SinOsc.kr(0.2, 0, 0.2, 0.3)).abs>0.7+1), 0, LFPulse.ar([1, 1.01], 0, [0.6, 0.7], 1)), 1, 1)}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([99, 200, 400, 797, 1681]+LFPulse.kr([10.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([55, 200, 400, 797, 1681]+LFPulse.kr([10.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 100, 400, 497, 1681]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.2, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), LFNoise2.kr(0.2, 0.4, 0.45), 0.3), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]*2), 0, [0.1, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]*2), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(BPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]*3), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]*3), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3))), SinOsc.ar(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Limiter.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2], 0, [10, 5, 10, 5, 10]*3), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3)))), SinOsc.kr(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Limiter.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2]*2, 0, [10, 5, 10, 5, 10]*3), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3)))), SinOsc.kr(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Limiter.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2]*2, 0, [10, 5, 10, 5, 10]*5), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.2, 0, 0.4, 0.3, 0.3)))), SinOsc.kr(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~chord= {Pan2.ar(RLPF.ar(Limiter.ar(Mix(LFSaw.ar([50, 101, 202, 404, 808]+LFPulse.kr([0.1, 0.2, 0.1, 0.2]*2, 0, [10, 5, 10, 5, 10]*5), 0, [0.5, 0.2, 0.3], SinOsc.ar([0.1, 0.101, 0.102]).abs>LFPulse.kr(0.5, 0, 0.4, 0.3, 0.3)))), SinOsc.kr(0.5, 0, 500, 1500), SinOsc.kr(0.2, 0, 0.4, 0.45), 0.5), LFNoise2.kr(2, 0.7))}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.13, 0.25))), 9000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.kr(13, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.13, 0.25))), 5000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.kr(13, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.13, 0.25))), 5000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.ar(30, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.13, 0.25))), 5000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.ar(30, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}

~sn= {var z= BPF.ar(WhiteNoise.ar(EnvGen.ar(Env.perc(0, 0.08), Lag.kr(Amplitude.kr(CombN.ar(~gl2.ar, 1, 1, 2))>0.93, 0.25))), 5000, 0.15); z= z+CombN.ar(z*SinOsc.ar(LFSaw.ar(30, 0, 3000, 4000), 0, 5), 0.2, 0.2); Pan2.ar(z)}

~sn.release
~chord.release(30)
~gl2= {Pan2.ar(SinOsc.ar(200, 0, LFPulse.kr(1, 0.1, 0.2)))}
~gl= {Pan2.ar(SinOsc.ar(800, 0, LFPulse.kr(0.2, 0.2, 0.2)))}
~gl.release(30)
~gl2.release(30)
~lund.release(10)
~bd.release(10)
~glplus.release(10)
p.clear
p.pop