p= ProxySpace.push(s.boot)
p.makeTempoClock(50/60)
c= p.clock

~out= {Pan2.ar(BPF.ar(WhiteNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.1).abs), 5000, 0.3))}
~out.play
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.1).abs), 5000, 0.3))}
~out2.play
~out2.fadeTime_(10)
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.1).abs), 500, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.1).abs), 50, 0.3))}
~out3.fadeTime_(10)
~out3.play

~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.3).abs), 50, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.5).abs), 50, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(SinOsc.ar(c.tempo.reciprocal, 0, 0.8).abs), 50, 0.3))}
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(SinOsc.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 0.8).abs), 50, 0.3))}

~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.1), 50, 0.001))}
~sine.fadeTime_(10)
~sine.play
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.1), 1000, 0.001))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.2), 1000, 0.0005))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.2), 1000+SinOsc.kr(c.tempo.reciprocal*8, 0, 10), 0.0005))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.2), 1000+SinOsc.kr(c.tempo.reciprocal*8, 0, 10).round(10), 0.0005))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.2), 1000+SinOsc.kr(c.tempo.reciprocal*8, 0, 50).round(50), 0.0005))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.2), 1000+SinOsc.kr(c.tempo.reciprocal*8, 0, 50).round(50), 0.0001))}
~sine= {Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+1000, 0, 0.4), 1000+SinOsc.kr(c.tempo.reciprocal*8, 0, 50).round(50), 0.0001))}

~sine= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+Lag.kr(freq, 2), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*8, 0, 50).round(50), 0.0001))}
Tdef(\sine).play(c, quant:1)
(Tdef(\sine, {
	inf.do{|i|
		~sine.set(\freq, i.div(10)%3*200+1000);
		1.wait;
	}
}))
~out.release(20)
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(LFSaw.ar(c.tempo.reciprocal-0.05, 0, 0.8).abs), 50, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(LFSaw.ar(c.tempo.reciprocal/2-0.05, 0, 0.8).abs), 50, 0.3))}
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(1-LFSaw.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, 0.3))}
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(0.1-LFSaw.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, 0.3))}
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(0.1-LFSaw.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, LFSaw.kr(c.tempo.reciprocal, 0, 0.1, 0.4)))}
~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(0.1-LFSaw.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, LFSaw.kr(c.tempo.reciprocal, 0, 0.1, 0.4)), LFTri.kr(c.tempo.reciprocal, 0, 0.5))}

~sine= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 2), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*8, 0, 50).round(50), 0.0001))}

~sine= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 4), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFSaw.kr(1/c.tempo, 0, 4, 8), 0, 50).round(50), 0.0001))}

~sine= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 4), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFSaw.kr(1/c.tempo/3, 0, 4, 4.5), 0, 50).round(50), 0.0001))}

~out2= {Pan2.ar(BPF.ar(BrownNoise.ar(0.1-LFSaw.ar(c.tempo.reciprocal+0.05, 0, 0.1).abs), 500, LFSaw.kr(c.tempo.reciprocal, 0, 0.1, 0.4)), LFTri.kr(c.tempo.reciprocal, 0, 0.5), SinOsc.kr(0.04, 0, 0.5, 0.5))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(LFSaw.ar(c.tempo.reciprocal, 0, 0.1).abs), 50, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(LFSaw.ar(c.tempo.reciprocal, 0, 0.4).abs), 50, 0.3))}
~out3= {Pan2.ar(BPF.ar(ClipNoise.ar(LFSaw.ar(c.tempo.reciprocal, 0, 0.4).abs), 50, 0.3), SinOsc.kr(0.11, 0, 0.5), SinOsc.kr(0.011, 0, 0.5, 0.5))}

~sine2= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 200).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 4), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFTri.kr(1/c.tempo/3, 0, 4, 4.5), 0, 50).round(50), 0.0001))}
~sine2.fadeTime_(10)
~sine2.play
~sine2.set(\freq, 500)
~sine2.set(\freq, 800)

~sine3= {|freq= 1000| Pan2.ar(BPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 300).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 4), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFPulse.kr(1/c.tempo/3, 0, 0.3, 4, 4.5), 0, 50).round(50), 0.0001))}
~sine3.fadeTime_(10)
~sine3.play
~sine3.set(\freq, 1400)
~sine3.set(\freq, 400)
~sine3.set(\freq, 1400)

~delout.ar(2)
~delout= {CombN.ar(~out.ar, 0.5, 0.5)}
~delout.play
~out.play

~delout2.ar(2)
~delout2= {CombN.ar(~out2.ar, 0.5, 0.5)}
~delout2.play

~delout3.ar(2)
~delout3= {CombN.ar(~out3.ar, 0.5, 0.5)}
~delout3.play
~delout3.fadeTime_(10)
~delout2.fadeTime_(10)
~delout.fadeTime_(10)

~out4.ar(2)
~out4.fadeTime_(5)
~out4= {Pan2.ar(LFPulse.ar(3, 0, 0.4), LFPulse.ar(3, 0, 0.4))}
~out4.play
~out4= {Pan2.ar(LFPulse.ar(3, 0, 0.4), LFPulse.ar(3, 0, 0.4)-0.5)}
~out4= {Pan2.ar(LFPulse.ar(3, 0, 0.4), LFPulse.ar(3, 0, 0.4)-1)}
~out4= {Pan2.ar(LFPulse.ar(3, 0, 0.4), LFSaw.ar(3, 0)-1)}
~out4= {Pan2.ar(LFPulse.ar(3, 0, 0.4), LFSaw.ar(3.01, 0)-1)}

(Tdef(\sine, {
	inf.do{|i|
		~sine.set(\freq, i.div(10)%3*20+50);
		1.wait;
	}
}))
~sine.release(0)
~sine.stop

~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+Lag.kr(freq, 4), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFSaw.kr(1/c.tempo/3, 0, 4, 4.5), 0, 50).round(50)))}
~sine.play
(Tdef(\sine, {
	inf.do{|i|
		~sine.set(\freq, i.div(10)%3*20+50);
		1.wait;
	}
}))
~sine.stop
(Tdef(\sine, {
	inf.do{|i|
		~sine.set(\freq, [50, 150].wrapAt(i));
		1.wait;
	}
}))
~sine.play
~sine.stop
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+freq, 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal*LFSaw.kr(1/c.tempo/3, 0, 4, 4.5), 0, 50).round(5)))}
~sine.play
~sine.stop
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5)+freq, 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal)))}
~sine.play
~sine.stop
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5), 0, 0.4), freq+SinOsc.kr(c.tempo.reciprocal)))}
~sine.play
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal-0.05, 0, 100).abs+SinOsc.ar(400, 0, 5), 0, 0.2), freq+SinOsc.kr(c.tempo.reciprocal)))}
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal, 0, 100).abs.round(50)+SinOsc.ar(400, 0, 5), 0, 0.2), freq+SinOsc.kr(c.tempo.reciprocal)))}
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal, 0, 100).abs.round(50)+SinOsc.ar(400, 0, 5), 0, 0.2), freq))}
~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal, Decay.ar(Impulse.ar(c.tempo.reciprocal*0.5), 0.1)*2pi, 100).abs.round(50)+SinOsc.ar(400, 0, 5), 0, 0.2), freq))}

~sine= {|freq= 1000| Pan2.ar(LPF.ar(SinOsc.ar(SinOsc.ar(c.tempo.reciprocal, Decay.ar(Impulse.ar(c.tempo.reciprocal*0.5), 0.4)*2pi, 100).abs.round(50)+SinOsc.ar(400, 0, 5), 0, 0.2), freq))}

~out4= {Pan2.ar(LFPulse.ar(3*(SinOsc.kr(1/(c.tempo/2))<0.8+1), 0, 0.4), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)<0.8+1), 0, 0.4), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.4), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.2), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(LPF.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.2), 5600), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(LPF.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.2), 600), LFSaw.ar(3.01, 0)-1)}

~out4= {Pan2.ar(BPF.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.2), 600), LFSaw.ar(3.01, 0)-1)}
~out4= {Pan2.ar(BPF.ar(LFPulse.ar(3*(SinOsc.kr(c.tempo.reciprocal/4)>0.8+1), 0, 0.2), 600, 0.2), LFSaw.ar(3.01, 0)-1)}
~out3.release(5)
~delout3.release(5)
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/3)>0.9*4000, 0, [0.4, 0.5])}
~malmo.fadeTime_(10)
~malmo.play
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/3)>0.9*4000, [0.4, 0.5])}
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/3)>0.9*4000, [0.4, 0.5], 0.2)}
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/3, Decay.ar(Impulse.ar(c.tempo.reciprocal), 0.01)*2pi)>0.9*4000, [0.4, 0.5], 0.2)}
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/3, Decay.ar(Impulse.ar(c.tempo.reciprocal), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*4000, [0.4, 0.5], 0.2)}
~sine2.set(\freq, 18000)
//hehe
~sine2.release
~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.01), t_trig)*BPF.ar(WhiteNoise.ar(1), freq), 0.3)}
~hh.play
~hh.set(\t_trig, 1)
Tdef(\hh).play(c, quant:1)
(Tdef(\hh, {
	0.5.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1);
		1.wait;
	}
}))
(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1);
		0.5.wait;
	}
}))
~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*4000, [0.4, 0.5], 0.2)}

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [8000, 8500, 5000, 6000].wrapAt(i));
		0.5.wait;
	}
}))

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.01), t_trig)*BPF.ar(WhiteNoise.ar(1), freq), 0.3, 0.4)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.01), t_trig)*BPF.ar(WhiteNoise.ar(1), freq), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.01), t_trig)*BPF.ar(WhiteNoise.ar(1), freq, 0.5), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.04), t_trig)*BPF.ar(WhiteNoise.ar(1), freq, 0.5), 0.8, 0.3)}

~malmo= {Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(Amplitude.ar(~hh.ar)>0.3), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*4000, [0.4, 0.5], 0.2)}

~malmo= {|freq= 4000| Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(Amplitude.ar(~hh.ar)>0.3), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2)}

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [8000, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [4000, 400].wrapAt(i%4));
		0.5.wait;
	}
}))

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [8000, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [4000, 400, 4000, 100].wrapAt(i%4));
		0.5.wait;
	}
}))

~malmo= {|freq= 4000| HPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(Amplitude.ar(~hh.ar)>0.3), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), 400)}

~malmo= {|freq= 4000| HPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(Amplitude.ar(~hh.ar)>0.3), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), 1400)}

~malmo= {|freq= 4000| HPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(Amplitude.ar(~hh.ar)>0.3), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}
~sine3.release(20)

~malmo= {|freq= 4000| HPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.3, c.tempo, c.tempo)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}

~malmo= {|freq= 4000| HPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.3, c.beatDur/2, c.beatDur/2)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [800, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [4000, 400, 4000, 100].wrapAt(i%4));
		0.5.wait;
	}
}))

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [800, 800, 800, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [4000, 400, 4000, 100].wrapAt(i%4));
		[0.125, 0.125, 0.25, 0.5, 0.5, 0.5].wrapAt(i).wait;
	}
}))

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [800, 800, 800, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [4000, 400, 40, 100].wrapAt(i%4));
		[0.125, 0.125, 0.25, 0.5, 0.5, 0.5].wrapAt(i).wait;
	}
}))

(Tdef(\hh, {
	0.25.wait;
	inf.do{|i|
		~hh.set(\t_trig, 1, \freq, [800, 800, 800, 8500, 5000, 6000].wrapAt(i));
		~malmo.set(\freq, [1400, 400, 40, 100].wrapAt(i%4));
		[0.125, 0.125, 0.25, 0.5, 0.5, 0.5].wrapAt(i).wait;
	}
}))
~out3.play
~delout3.play
~sine.release(20)

~malmo= {|freq= 4000| BPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.3, c.beatDur/2, c.beatDur/2)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.9*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}

~malmo= {|freq= 4000| BPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.1, c.beatDur/3, c.beatDur/3)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}

~malmo= {|freq= 4000| LPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/4, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.1, c.beatDur/3, c.beatDur/3)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}
~out4.release(20)
~out3.release(20)
~out2.release(20)
~out.release(20)

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.04), t_trig)*BPF.ar(PinkNoise.ar(1), freq*0.1, 0.5), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)*BPF.ar(PinkNoise.ar(1), freq*0.1, 0.5), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)*PinkNoise.ar(1), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)*BrownNoise.ar(1), 0.8, 0.3)}

~hh= {|t_trig= 0, amp= 0.4, freq= 8000| Pan2.ar(EnvGen.ar(Env.perc(0, 0.1), t_trig)*BrownNoise.ar(1), 0.8, 0.3)}
~malmo= {|freq= 4000| LPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/2, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.1, c.beatDur/3, c.beatDur/3)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.05, 0, 1000, 1400))}
~malmo= {|freq= 4000| LPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/2, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.1, c.beatDur/2, c.beatDur/2)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}
~malmo= {|freq= 4000| RLPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/2, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.1, c.beatDur/2, c.beatDur/2)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}
~malmo= {|freq= 4000| RLPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/2, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.3, c.beatDur/8, c.beatDur/8)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}
~malmo= {|freq= 4000| RLPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/2, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.01, c.beatDur/8, c.beatDur/8)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}
~malmo= {|freq= 4000| RLPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/16, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.01, c.beatDur/8, c.beatDur/8)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}
~malmo= {|freq= 4000| RLPF.ar(Pulse.ar(SinOsc.kr(c.tempo.reciprocal/16, Decay.ar(Impulse.ar(c.tempo.reciprocal)+(CombN.ar(Amplitude.ar(~hh.ar)>0.01, c.beatDur/8, c.beatDur/8)), SinOsc.kr(0.011, 0, 0.05, 0.1))*2pi)>0.8*freq, [0.4, 0.5], 0.2), SinOsc.kr(0.4, 0, 1000, 1400))}

~hh.release(20)
~malmo.release(1)
p.pop
p.clear